/* RsyncTask.c generated by valac 0.34.6, the Vala compiler
 * generated from RsyncTask.vala, do not modify */

/*
 * RsyncTask.vala
 *
 * Copyright 2012-17 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <float.h>
#include <math.h>
#include <gee.h>
#include <glib/gi18n-lib.h>


#define TYPE_ASYNC_TASK (async_task_get_type ())
#define ASYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_ASYNC_TASK, AsyncTask))
#define ASYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_ASYNC_TASK, AsyncTaskClass))
#define IS_ASYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_ASYNC_TASK))
#define IS_ASYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_ASYNC_TASK))
#define ASYNC_TASK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_ASYNC_TASK, AsyncTaskClass))

typedef struct _AsyncTask AsyncTask;
typedef struct _AsyncTaskClass AsyncTaskClass;
typedef struct _AsyncTaskPrivate AsyncTaskPrivate;

#define TYPE_APP_STATUS (app_status_get_type ())

#define TYPE_RSYNC_TASK (rsync_task_get_type ())
#define RSYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_RSYNC_TASK, RsyncTask))
#define RSYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_RSYNC_TASK, RsyncTaskClass))
#define IS_RSYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_RSYNC_TASK))
#define IS_RSYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_RSYNC_TASK))
#define RSYNC_TASK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_RSYNC_TASK, RsyncTaskClass))

typedef struct _RsyncTask RsyncTask;
typedef struct _RsyncTaskClass RsyncTaskClass;
typedef struct _RsyncTaskPrivate RsyncTaskPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define __g_queue_free__g_free0_0(var) ((var == NULL) ? NULL : (var = (_g_queue_free__g_free0_ (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

#define TYPE_FILE_ITEM (file_item_get_type ())
#define FILE_ITEM(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_FILE_ITEM, FileItem))
#define FILE_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_FILE_ITEM, FileItemClass))
#define IS_FILE_ITEM(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_FILE_ITEM))
#define IS_FILE_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_FILE_ITEM))
#define FILE_ITEM_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_FILE_ITEM, FileItemClass))

typedef struct _FileItem FileItem;
typedef struct _FileItemClass FileItemClass;
#define _g_match_info_unref0(var) ((var == NULL) ? NULL : (var = (g_match_info_unref (var), NULL)))
typedef struct _FileItemPrivate FileItemPrivate;

typedef enum  {
	APP_STATUS_NOT_STARTED,
	APP_STATUS_RUNNING,
	APP_STATUS_PAUSED,
	APP_STATUS_FINISHED,
	APP_STATUS_CANCELLED,
	APP_STATUS_PASSWORD_REQUIRED
} AppStatus;

struct _AsyncTask {
	GObject parent_instance;
	AsyncTaskPrivate * priv;
	GDataOutputStream* dos_log;
	gboolean is_terminated;
	GPid child_pid;
	gchar* script_file;
	gchar* working_dir;
	gchar* log_file;
	gboolean background_mode;
	AppStatus status;
	gchar* status_line;
	gint exit_code;
	gchar* error_msg;
	GTimer* timer;
	gdouble progress;
	gdouble percent;
	gint64 prg_count;
	gint64 prg_count_total;
	gint64 prg_bytes;
	gint64 prg_bytes_total;
	gchar* eta;
};

struct _AsyncTaskClass {
	GObjectClass parent_class;
	void (*parse_stdout_line) (AsyncTask* self, const gchar* out_line);
	void (*parse_stderr_line) (AsyncTask* self, const gchar* err_line);
	void (*finish_task) (AsyncTask* self);
};

struct _RsyncTask {
	AsyncTask parent_instance;
	RsyncTaskPrivate * priv;
	gboolean delete_extra;
	gboolean delete_after;
	gboolean delete_excluded;
	gboolean relative;
	gchar* rsync_log_file;
	gchar* exclude_from_file;
	gchar* link_from_path;
	gchar* source_path;
	gchar* dest_path;
	gboolean verbose;
	gboolean io_nice;
	GQueue* status_lines;
	gint64 status_line_count;
	gint64 total_size;
	gint64 count_created;
	gint64 count_deleted;
	gint64 count_modified;
	gint64 count_checksum;
	gint64 count_size;
	gint64 count_timestamp;
	gint64 count_permissions;
	gint64 count_owner;
	gint64 count_group;
	gint64 count_unchanged;
};

struct _RsyncTaskClass {
	AsyncTaskClass parent_class;
};

struct _RsyncTaskPrivate {
	GeeHashMap* regex_list;
};

struct _FileItem {
	GObject parent_instance;
	FileItemPrivate * priv;
	gchar* file_name;
	gchar* file_location;
	gchar* file_path;
	gchar* file_path_prefix;
	GFileType file_type;
	GDateTime* modified;
	gchar* permissions;
	gchar* owner_user;
	gchar* owner_group;
	gchar* content_type;
	gchar* file_status;
	gboolean is_selected;
	gboolean is_symlink;
	gchar* symlink_target;
	gboolean is_archive;
	gboolean is_stale;
	FileItem* parent;
	GeeHashMap* children;
	FileItem* source_archive;
	GObject* tag;
	glong file_count;
	glong dir_count;
	glong file_count_total;
	glong dir_count_total;
	GIcon* icon;
	gboolean is_dummy;
};

struct _FileItemClass {
	GObjectClass parent_class;
};


static gpointer rsync_task_parent_class = NULL;

GType async_task_get_type (void) G_GNUC_CONST;
GType app_status_get_type (void) G_GNUC_CONST;
GType rsync_task_get_type (void) G_GNUC_CONST;
#define RSYNC_TASK_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_RSYNC_TASK, RsyncTaskPrivate))
enum  {
	RSYNC_TASK_DUMMY_PROPERTY
};
static void _g_free0_ (gpointer var);
static void _g_queue_free__g_free0_ (GQueue* self);
RsyncTask* rsync_task_new (void);
RsyncTask* rsync_task_construct (GType object_type);
AsyncTask* async_task_construct (GType object_type);
static void rsync_task_init_regular_expressions (RsyncTask* self);
void tee_jee_logging_log_error (const gchar* message, gboolean highlight, gboolean is_warning);
void rsync_task_prepare (RsyncTask* self);
static gchar* rsync_task_build_script (RsyncTask* self);
void tee_jee_logging_log_debug (const gchar* message);
gchar* tee_jee_process_helper_save_bash_script_temp (const gchar* commands, const gchar* script_path, gboolean force_locale, gboolean supress_errors);
gchar* tee_jee_file_system_escape_single_quote (const gchar* file_path);
gchar* tee_jee_file_system_remove_trailing_slash (const gchar* path);
GType file_item_get_type (void) G_GNUC_CONST;
FileItem* rsync_task_parse_log (RsyncTask* self, const gchar* log_file_path);
FileItem* file_item_new_dummy_root (void);
FileItem* file_item_construct_dummy_root (GType object_type);
gboolean tee_jee_file_system_file_exists (const gchar* file_path);
gint64 tee_jee_file_system_file_line_count (const gchar* file_path);
gchar* tee_jee_file_system_path_combine (const gchar* path1, const gchar* path2);
gchar* tee_jee_file_system_file_parent (const gchar* file_path);
gint64 tee_jee_file_system_file_get_size (const gchar* file_path);
FileItem* file_item_add_descendant (FileItem* self, const gchar* _file_path, GFileType* _file_type, gint64 item_size, gint64 item_size_compressed);
gboolean tee_jee_file_system_file_gzip (const gchar* src_file);
void rsync_task_execute (RsyncTask* self);
gboolean async_task_begin (AsyncTask* self);
static void rsync_task_real_parse_stdout_line (AsyncTask* base, const gchar* out_line);
gboolean rsync_task_update_progress_parse_console_output (RsyncTask* self, const gchar* line);
static void rsync_task_real_parse_stderr_line (AsyncTask* base, const gchar* err_line);
static void rsync_task_real_finish_task (AsyncTask* base);
gint rsync_task_read_status (RsyncTask* self);
gchar* tee_jee_file_system_file_read (const gchar* file_path);
static void rsync_task_finalize (GObject* obj);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static void _g_free0_ (gpointer var) {
#line 51 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	var = (g_free (var), NULL);
#line 243 "RsyncTask.c"
}


static void _g_queue_free__g_free0_ (GQueue* self) {
#line 51 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	g_queue_foreach (self, (GFunc) _g_free0_, NULL);
#line 51 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	g_queue_free (self);
#line 252 "RsyncTask.c"
}


RsyncTask* rsync_task_construct (GType object_type) {
	RsyncTask * self = NULL;
	GQueue* _tmp0_ = NULL;
#line 66 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self = (RsyncTask*) async_task_construct (object_type);
#line 67 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	rsync_task_init_regular_expressions (self);
#line 68 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp0_ = g_queue_new ();
#line 68 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	__g_queue_free__g_free0_0 (self->status_lines);
#line 68 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->status_lines = _tmp0_;
#line 66 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	return self;
#line 271 "RsyncTask.c"
}


RsyncTask* rsync_task_new (void) {
#line 66 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	return rsync_task_construct (TYPE_RSYNC_TASK);
#line 278 "RsyncTask.c"
}


static void rsync_task_init_regular_expressions (RsyncTask* self) {
	GeeHashMap* _tmp0_ = NULL;
	GeeHashMap* _tmp1_ = NULL;
	GError * _inner_error_ = NULL;
#line 71 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 72 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp0_ = self->priv->regex_list;
#line 72 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp0_ != NULL) {
#line 73 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		return;
#line 294 "RsyncTask.c"
	}
#line 76 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp1_ = gee_hash_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, G_TYPE_REGEX, (GBoxedCopyFunc) g_regex_ref, (GDestroyNotify) g_regex_unref, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 76 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_object_unref0 (self->priv->regex_list);
#line 76 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->priv->regex_list = _tmp1_;
#line 302 "RsyncTask.c"
	{
		GRegex* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GeeHashMap* _tmp4_ = NULL;
		GRegex* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		GeeHashMap* _tmp7_ = NULL;
		GRegex* _tmp8_ = NULL;
		GRegex* _tmp9_ = NULL;
		GeeHashMap* _tmp10_ = NULL;
		GRegex* _tmp11_ = NULL;
		GRegex* _tmp12_ = NULL;
		GeeHashMap* _tmp13_ = NULL;
		GRegex* _tmp14_ = NULL;
		GRegex* _tmp15_ = NULL;
		GeeHashMap* _tmp16_ = NULL;
		GRegex* _tmp17_ = NULL;
		GRegex* _tmp18_ = NULL;
		GeeHashMap* _tmp19_ = NULL;
		GRegex* _tmp20_ = NULL;
		GRegex* _tmp21_ = NULL;
		GeeHashMap* _tmp22_ = NULL;
		GRegex* _tmp23_ = NULL;
		GRegex* _tmp24_ = NULL;
		GeeHashMap* _tmp25_ = NULL;
		GRegex* _tmp26_ = NULL;
		GRegex* _tmp27_ = NULL;
		GeeHashMap* _tmp28_ = NULL;
		GRegex* _tmp29_ = NULL;
		GRegex* _tmp30_ = NULL;
		GeeHashMap* _tmp31_ = NULL;
#line 80 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp3_ = g_regex_new ("(.)(.)(c|\\+|\\.| )(s|\\+|\\.| )(t|\\+|\\.| )(p|\\+|\\.| )(o|\\+|\\.| " \
")(g|\\+|\\.| )(u|\\+|\\.| )(a|\\+|\\.| )(x|\\+|\\.| ) (.*)", 0, 0, &_inner_error_);
#line 80 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp2_ = _tmp3_;
#line 80 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 340 "RsyncTask.c"
			goto __catch59_g_error;
		}
#line 80 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp4_ = self->priv->regex_list;
#line 80 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp4_, "status", _tmp2_);
#line 83 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp6_ = g_regex_new ("(.)(.)\\+\\+\\+\\+\\+\\+\\+\\+\\+ (.*)", 0, 0, &_inner_error_);
#line 83 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp5_ = _tmp6_;
#line 83 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 83 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 355 "RsyncTask.c"
			goto __catch59_g_error;
		}
#line 83 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp7_ = self->priv->regex_list;
#line 83 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp7_, "created", _tmp5_);
#line 86 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp9_ = g_regex_new ("[0-9/]+ [0-9:.]+ \\[[0-9]+\\] (.)(.)\\+\\+\\+\\+\\+\\+\\+\\+\\+ (.*)", 0, 0, &_inner_error_);
#line 86 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp8_ = _tmp9_;
#line 86 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 86 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 86 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 372 "RsyncTask.c"
			goto __catch59_g_error;
		}
#line 86 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp10_ = self->priv->regex_list;
#line 86 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp10_, "log-created", _tmp8_);
#line 89 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp12_ = g_regex_new ("\\*deleting[ \\t]+(.*)", 0, 0, &_inner_error_);
#line 89 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp11_ = _tmp12_;
#line 89 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 89 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 89 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 89 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 391 "RsyncTask.c"
			goto __catch59_g_error;
		}
#line 89 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp13_ = self->priv->regex_list;
#line 89 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp13_, "deleted", _tmp11_);
#line 92 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp15_ = g_regex_new ("[0-9/]+ [0-9:.]+ \\[[0-9]+\\] \\*deleting[ \\t]+(.*)", 0, 0, &_inner_error_);
#line 92 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp14_ = _tmp15_;
#line 92 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 92 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 92 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 92 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 92 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 412 "RsyncTask.c"
			goto __catch59_g_error;
		}
#line 92 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp16_ = self->priv->regex_list;
#line 92 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp16_, "log-deleted", _tmp14_);
#line 95 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp18_ = g_regex_new ("(.)(.)(c|\\+|\\.| )(s|\\+|\\.| )(t|\\+|\\.| )(p|\\+|\\.| )(o|\\+|\\.| " \
")(g|\\+|\\.| )(u|\\+|\\.| )(a|\\+|\\.| )(x|\\+|\\.) (.*)", 0, 0, &_inner_error_);
#line 95 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp17_ = _tmp18_;
#line 95 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 95 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp14_);
#line 95 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 95 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 95 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 95 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 435 "RsyncTask.c"
			goto __catch59_g_error;
		}
#line 95 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp19_ = self->priv->regex_list;
#line 95 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp19_, "modified", _tmp17_);
#line 98 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp21_ = g_regex_new ("[0-9/]+ [0-9:.]+ \\[[0-9]+\\] (.)(.)(c|\\+|\\.| )(s|\\+|\\.| )(t|\\+|\\" \
".| )(p|\\+|\\.| )(o|\\+|\\.| )(g|\\+|\\.| )(u|\\+|\\.| )(a|\\+|\\.| )(" \
"x|\\+|\\.) (.*)", 0, 0, &_inner_error_);
#line 98 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp20_ = _tmp21_;
#line 98 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 98 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp17_);
#line 98 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp14_);
#line 98 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 98 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 98 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 98 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 460 "RsyncTask.c"
			goto __catch59_g_error;
		}
#line 98 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp22_ = self->priv->regex_list;
#line 98 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp22_, "log-modified", _tmp20_);
#line 101 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp24_ = g_regex_new ("(.)(.)          (.*)", 0, 0, &_inner_error_);
#line 101 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp23_ = _tmp24_;
#line 101 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 101 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp20_);
#line 101 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp17_);
#line 101 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp14_);
#line 101 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 101 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 101 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 101 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 487 "RsyncTask.c"
			goto __catch59_g_error;
		}
#line 101 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp25_ = self->priv->regex_list;
#line 101 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp25_, "unchanged", _tmp23_);
#line 104 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp27_ = g_regex_new ("[0-9/]+ [0-9:.]+ \\[[0-9]+\\] (.)(.)\\+\\+\\+\\+\\+\\+\\+\\+\\+ (.*)", 0, 0, &_inner_error_);
#line 104 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp26_ = _tmp27_;
#line 104 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 104 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp23_);
#line 104 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp20_);
#line 104 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp17_);
#line 104 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp14_);
#line 104 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 104 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 104 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 104 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 516 "RsyncTask.c"
			goto __catch59_g_error;
		}
#line 104 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp28_ = self->priv->regex_list;
#line 104 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp28_, "log-unchanged", _tmp26_);
#line 107 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp30_ = g_regex_new ("total size is ([0-9,]+)[ \\t]+speedup is [0-9.]+", 0, 0, &_inner_error_);
#line 107 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp29_ = _tmp30_;
#line 107 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 107 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp26_);
#line 107 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp23_);
#line 107 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp20_);
#line 107 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp17_);
#line 107 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp14_);
#line 107 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 107 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 107 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 107 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 547 "RsyncTask.c"
			goto __catch59_g_error;
		}
#line 107 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp31_ = self->priv->regex_list;
#line 107 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp31_, "total-size", _tmp29_);
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp29_);
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp26_);
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp23_);
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp20_);
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp17_);
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp14_);
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp11_);
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp8_);
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp5_);
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp2_);
#line 574 "RsyncTask.c"
	}
	goto __finally59;
	__catch59_g_error:
	{
		GError* e = NULL;
		GError* _tmp32_ = NULL;
		const gchar* _tmp33_ = NULL;
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		e = _inner_error_;
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_inner_error_ = NULL;
#line 112 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp32_ = e;
#line 112 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp33_ = _tmp32_->message;
#line 112 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		tee_jee_logging_log_error (_tmp33_, FALSE, FALSE);
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_error_free0 (e);
#line 594 "RsyncTask.c"
	}
	__finally59:
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		g_clear_error (&_inner_error_);
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		return;
#line 605 "RsyncTask.c"
	}
}


void rsync_task_prepare (RsyncTask* self) {
	gchar* script_text = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
#line 116 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 117 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp0_ = rsync_task_build_script (self);
#line 117 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	script_text = _tmp0_;
#line 119 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug (script_text);
#line 121 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp1_ = ((AsyncTask*) self)->script_file;
#line 121 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp2_ = tee_jee_process_helper_save_bash_script_temp (script_text, _tmp1_, TRUE, FALSE);
#line 121 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp3_ = _tmp2_;
#line 121 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp3_);
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp4_ = ((AsyncTask*) self)->script_file;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp5_ = g_strdup_printf ("RsyncTask:prepare(): saved: %s", _tmp4_);
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp6_ = _tmp5_;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug (_tmp6_);
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp6_);
#line 125 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->status_line_count = (gint64) 0;
#line 126 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->total_size = (gint64) 0;
#line 128 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->count_created = (gint64) 0;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->count_deleted = (gint64) 0;
#line 130 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->count_modified = (gint64) 0;
#line 131 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->count_checksum = (gint64) 0;
#line 132 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->count_size = (gint64) 0;
#line 133 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->count_timestamp = (gint64) 0;
#line 134 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->count_permissions = (gint64) 0;
#line 135 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->count_owner = (gint64) 0;
#line 136 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->count_group = (gint64) 0;
#line 137 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->count_unchanged = (gint64) 0;
#line 116 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (script_text);
#line 671 "RsyncTask.c"
}


static gchar* rsync_task_build_script (RsyncTask* self) {
	gchar* result = NULL;
	gchar* cmd = NULL;
	gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp9_ = FALSE;
	gboolean _tmp12_ = FALSE;
	const gchar* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	const gchar* _tmp17_ = NULL;
	gchar* _tmp18_ = NULL;
	gboolean _tmp19_ = FALSE;
	const gchar* _tmp22_ = NULL;
	gint _tmp23_ = 0;
	gint _tmp24_ = 0;
	const gchar* _tmp36_ = NULL;
	gint _tmp37_ = 0;
	gint _tmp38_ = 0;
	const gchar* _tmp46_ = NULL;
	gint _tmp47_ = 0;
	gint _tmp48_ = 0;
	const gchar* _tmp61_ = NULL;
	gchar* _tmp62_ = NULL;
	const gchar* _tmp63_ = NULL;
	gchar* _tmp64_ = NULL;
	const gchar* _tmp65_ = NULL;
	const gchar* _tmp66_ = NULL;
	gchar* _tmp67_ = NULL;
	gchar* _tmp68_ = NULL;
	gchar* _tmp69_ = NULL;
	gchar* _tmp70_ = NULL;
	gchar* _tmp71_ = NULL;
	const gchar* _tmp72_ = NULL;
	const gchar* _tmp73_ = NULL;
	gchar* _tmp74_ = NULL;
	gchar* _tmp75_ = NULL;
	gchar* _tmp76_ = NULL;
	gchar* _tmp77_ = NULL;
	gchar* _tmp78_ = NULL;
#line 140 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 141 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp0_ = g_strdup ("");
#line 141 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	cmd = _tmp0_;
#line 143 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp1_ = self->io_nice;
#line 143 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp1_) {
#line 727 "RsyncTask.c"
	}
#line 147 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp2_ = cmd;
#line 147 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp3_ = g_strconcat (_tmp2_, "rsync -aii --recursive", NULL);
#line 147 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (cmd);
#line 147 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	cmd = _tmp3_;
#line 149 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp4_ = self->verbose;
#line 149 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp4_) {
#line 741 "RsyncTask.c"
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
#line 150 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp5_ = cmd;
#line 150 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp6_ = g_strconcat (_tmp5_, " --verbose", NULL);
#line 150 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 150 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		cmd = _tmp6_;
#line 752 "RsyncTask.c"
	} else {
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp7_ = cmd;
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp8_ = g_strconcat (_tmp7_, " --quiet", NULL);
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 153 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		cmd = _tmp8_;
#line 764 "RsyncTask.c"
	}
#line 156 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp9_ = self->delete_extra;
#line 156 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp9_) {
#line 770 "RsyncTask.c"
		const gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
#line 157 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp10_ = cmd;
#line 157 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp11_ = g_strconcat (_tmp10_, " --delete", NULL);
#line 157 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 157 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		cmd = _tmp11_;
#line 781 "RsyncTask.c"
	}
#line 160 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp12_ = self->delete_after;
#line 160 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp12_) {
#line 787 "RsyncTask.c"
		const gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
#line 161 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp13_ = cmd;
#line 161 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp14_ = g_strconcat (_tmp13_, " --delete-after", NULL);
#line 161 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 161 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		cmd = _tmp14_;
#line 798 "RsyncTask.c"
	}
#line 164 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp15_ = cmd;
#line 164 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp16_ = g_strconcat (_tmp15_, " --force", NULL);
#line 164 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (cmd);
#line 164 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	cmd = _tmp16_;
#line 168 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp17_ = cmd;
#line 168 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp18_ = g_strconcat (_tmp17_, " --stats", NULL);
#line 168 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (cmd);
#line 168 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	cmd = _tmp18_;
#line 174 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp19_ = self->delete_excluded;
#line 174 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp19_) {
#line 820 "RsyncTask.c"
		const gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
#line 175 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp20_ = cmd;
#line 175 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp21_ = g_strconcat (_tmp20_, " --delete-excluded", NULL);
#line 175 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 175 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		cmd = _tmp21_;
#line 831 "RsyncTask.c"
	}
#line 178 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp22_ = self->link_from_path;
#line 178 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp23_ = strlen (_tmp22_);
#line 178 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp24_ = _tmp23_;
#line 178 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp24_ > 0) {
#line 841 "RsyncTask.c"
		const gchar* _tmp25_ = NULL;
		gboolean _tmp26_ = FALSE;
		const gchar* _tmp29_ = NULL;
		const gchar* _tmp30_ = NULL;
		gchar* _tmp31_ = NULL;
		gchar* _tmp32_ = NULL;
		gchar* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
		gchar* _tmp35_ = NULL;
#line 179 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp25_ = self->link_from_path;
#line 179 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp26_ = g_str_has_suffix (_tmp25_, "/");
#line 179 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		if (!_tmp26_) {
#line 857 "RsyncTask.c"
			const gchar* _tmp27_ = NULL;
			gchar* _tmp28_ = NULL;
#line 180 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp27_ = self->link_from_path;
#line 180 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp28_ = g_strdup_printf ("%s/", _tmp27_);
#line 180 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_free0 (self->link_from_path);
#line 180 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			self->link_from_path = _tmp28_;
#line 868 "RsyncTask.c"
		}
#line 183 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp29_ = cmd;
#line 183 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp30_ = self->link_from_path;
#line 183 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp31_ = tee_jee_file_system_escape_single_quote (_tmp30_);
#line 183 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp32_ = _tmp31_;
#line 183 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp33_ = g_strdup_printf (" --link-dest='%s'", _tmp32_);
#line 183 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp34_ = _tmp33_;
#line 183 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp35_ = g_strconcat (_tmp29_, _tmp34_, NULL);
#line 183 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 183 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		cmd = _tmp35_;
#line 183 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp34_);
#line 183 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp32_);
#line 892 "RsyncTask.c"
	}
#line 186 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp36_ = self->rsync_log_file;
#line 186 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp37_ = strlen (_tmp36_);
#line 186 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp38_ = _tmp37_;
#line 186 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp38_ > 0) {
#line 902 "RsyncTask.c"
		const gchar* _tmp39_ = NULL;
		const gchar* _tmp40_ = NULL;
		gchar* _tmp41_ = NULL;
		gchar* _tmp42_ = NULL;
		gchar* _tmp43_ = NULL;
		gchar* _tmp44_ = NULL;
		gchar* _tmp45_ = NULL;
#line 187 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp39_ = cmd;
#line 187 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp40_ = self->rsync_log_file;
#line 187 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp41_ = tee_jee_file_system_escape_single_quote (_tmp40_);
#line 187 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp42_ = _tmp41_;
#line 187 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp43_ = g_strdup_printf (" --log-file='%s'", _tmp42_);
#line 187 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp44_ = _tmp43_;
#line 187 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp45_ = g_strconcat (_tmp39_, _tmp44_, NULL);
#line 187 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 187 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		cmd = _tmp45_;
#line 187 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp44_);
#line 187 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp42_);
#line 932 "RsyncTask.c"
	}
#line 190 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp46_ = self->exclude_from_file;
#line 190 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp47_ = strlen (_tmp46_);
#line 190 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp48_ = _tmp47_;
#line 190 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp48_ > 0) {
#line 942 "RsyncTask.c"
		const gchar* _tmp49_ = NULL;
		const gchar* _tmp50_ = NULL;
		gchar* _tmp51_ = NULL;
		gchar* _tmp52_ = NULL;
		gchar* _tmp53_ = NULL;
		gchar* _tmp54_ = NULL;
		gchar* _tmp55_ = NULL;
		gboolean _tmp56_ = FALSE;
		gboolean _tmp57_ = FALSE;
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp49_ = cmd;
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp50_ = self->exclude_from_file;
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp51_ = tee_jee_file_system_escape_single_quote (_tmp50_);
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp52_ = _tmp51_;
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp53_ = g_strdup_printf (" --exclude-from='%s'", _tmp52_);
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp54_ = _tmp53_;
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp55_ = g_strconcat (_tmp49_, _tmp54_, NULL);
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		cmd = _tmp55_;
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp54_);
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp52_);
#line 193 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp57_ = self->delete_extra;
#line 193 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		if (_tmp57_) {
#line 978 "RsyncTask.c"
			gboolean _tmp58_ = FALSE;
#line 193 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp58_ = self->delete_excluded;
#line 193 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp56_ = _tmp58_;
#line 984 "RsyncTask.c"
		} else {
#line 193 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp56_ = FALSE;
#line 988 "RsyncTask.c"
		}
#line 193 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		if (_tmp56_) {
#line 992 "RsyncTask.c"
			const gchar* _tmp59_ = NULL;
			gchar* _tmp60_ = NULL;
#line 194 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp59_ = cmd;
#line 194 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp60_ = g_strconcat (_tmp59_, " --delete-excluded", NULL);
#line 194 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_free0 (cmd);
#line 194 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			cmd = _tmp60_;
#line 1003 "RsyncTask.c"
		}
	}
#line 198 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp61_ = self->source_path;
#line 198 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp62_ = tee_jee_file_system_remove_trailing_slash (_tmp61_);
#line 198 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (self->source_path);
#line 198 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->source_path = _tmp62_;
#line 200 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp63_ = self->dest_path;
#line 200 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp64_ = tee_jee_file_system_remove_trailing_slash (_tmp63_);
#line 200 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (self->dest_path);
#line 200 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->dest_path = _tmp64_;
#line 202 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp65_ = cmd;
#line 202 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp66_ = self->source_path;
#line 202 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp67_ = tee_jee_file_system_escape_single_quote (_tmp66_);
#line 202 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp68_ = _tmp67_;
#line 202 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp69_ = g_strdup_printf (" '%s/'", _tmp68_);
#line 202 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp70_ = _tmp69_;
#line 202 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp71_ = g_strconcat (_tmp65_, _tmp70_, NULL);
#line 202 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (cmd);
#line 202 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	cmd = _tmp71_;
#line 202 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp70_);
#line 202 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp68_);
#line 204 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp72_ = cmd;
#line 204 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp73_ = self->dest_path;
#line 204 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp74_ = tee_jee_file_system_escape_single_quote (_tmp73_);
#line 204 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp75_ = _tmp74_;
#line 204 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp76_ = g_strdup_printf (" '%s/'", _tmp75_);
#line 204 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp77_ = _tmp76_;
#line 204 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp78_ = g_strconcat (_tmp72_, _tmp77_, NULL);
#line 204 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (cmd);
#line 204 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	cmd = _tmp78_;
#line 204 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp77_);
#line 204 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp75_);
#line 206 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	result = cmd;
#line 206 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	return result;
#line 1070 "RsyncTask.c"
}


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 1207 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _result_;
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 1093 "RsyncTask.c"
}


FileItem* rsync_task_parse_log (RsyncTask* self, const gchar* log_file_path) {
	FileItem* result = NULL;
	FileItem* root = NULL;
	FileItem* _tmp0_ = NULL;
	gchar* log_file = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	GDataOutputStream* dos_changes = NULL;
	const gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	const gchar* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	gchar* _tmp24_ = NULL;
	const gchar* _tmp25_ = NULL;
	gint64 _tmp26_ = 0LL;
	GDataOutputStream* _tmp196_ = NULL;
	GError * _inner_error_ = NULL;
#line 209 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 209 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (log_file_path != NULL, NULL);
#line 210 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp0_ = file_item_new_dummy_root ();
#line 210 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	root = _tmp0_;
#line 212 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp1_ = log_file_path;
#line 212 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 212 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	log_file = _tmp2_;
#line 213 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	dos_changes = NULL;
#line 215 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp3_ = log_file;
#line 215 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp4_ = g_str_has_suffix (_tmp3_, "-changes");
#line 215 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (!_tmp4_) {
#line 1136 "RsyncTask.c"
		gchar* log_file_changes = NULL;
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gboolean _tmp8_ = FALSE;
#line 217 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp5_ = log_file_path;
#line 217 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp6_ = g_strconcat (_tmp5_, "-changes", NULL);
#line 217 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		log_file_changes = _tmp6_;
#line 219 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp7_ = log_file_changes;
#line 219 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp8_ = tee_jee_file_system_file_exists (_tmp7_);
#line 219 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		if (_tmp8_) {
#line 1154 "RsyncTask.c"
			const gchar* _tmp9_ = NULL;
			gchar* _tmp10_ = NULL;
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp9_ = log_file_changes;
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp10_ = g_strdup (_tmp9_);
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_free0 (log_file);
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			log_file = _tmp10_;
#line 1165 "RsyncTask.c"
		} else {
			{
				GFile* file = NULL;
				const gchar* _tmp11_ = NULL;
				GFile* _tmp12_ = NULL;
				GFile* _tmp13_ = NULL;
				gboolean _tmp14_ = FALSE;
				GFileOutputStream* file_stream = NULL;
				GFile* _tmp16_ = NULL;
				GFileOutputStream* _tmp17_ = NULL;
				GFileOutputStream* _tmp18_ = NULL;
				GDataOutputStream* _tmp19_ = NULL;
#line 226 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp11_ = log_file_changes;
#line 226 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp12_ = g_file_new_for_path (_tmp11_);
#line 226 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				file = _tmp12_;
#line 227 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp13_ = file;
#line 227 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp14_ = g_file_query_exists (_tmp13_, NULL);
#line 227 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				if (_tmp14_) {
#line 1190 "RsyncTask.c"
					GFile* _tmp15_ = NULL;
#line 228 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp15_ = file;
#line 228 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					g_file_delete (_tmp15_, NULL, &_inner_error_);
#line 228 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 228 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_g_object_unref0 (file);
#line 1200 "RsyncTask.c"
						goto __catch60_g_error;
					}
				}
#line 230 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp16_ = file;
#line 230 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp17_ = g_file_create (_tmp16_, G_FILE_CREATE_REPLACE_DESTINATION, NULL, &_inner_error_);
#line 230 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				file_stream = _tmp17_;
#line 230 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 230 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_g_object_unref0 (file);
#line 1214 "RsyncTask.c"
					goto __catch60_g_error;
				}
#line 231 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp18_ = file_stream;
#line 231 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp19_ = g_data_output_stream_new ((GOutputStream*) _tmp18_);
#line 231 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (dos_changes);
#line 231 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				dos_changes = _tmp19_;
#line 225 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (file_stream);
#line 225 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (file);
#line 1229 "RsyncTask.c"
			}
			goto __finally60;
			__catch60_g_error:
			{
				GError* e = NULL;
				GError* _tmp20_ = NULL;
				const gchar* _tmp21_ = NULL;
#line 225 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				e = _inner_error_;
#line 225 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_inner_error_ = NULL;
#line 234 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp20_ = e;
#line 234 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp21_ = _tmp20_->message;
#line 234 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				tee_jee_logging_log_error (_tmp21_, FALSE, FALSE);
#line 225 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_error_free0 (e);
#line 1249 "RsyncTask.c"
			}
			__finally60:
#line 225 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 225 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_free0 (log_file_changes);
#line 225 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (dos_changes);
#line 225 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_free0 (log_file);
#line 225 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (root);
#line 225 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 225 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				g_clear_error (&_inner_error_);
#line 225 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				return NULL;
#line 1268 "RsyncTask.c"
			}
		}
#line 215 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (log_file_changes);
#line 1273 "RsyncTask.c"
	}
#line 239 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug ("RsyncTask: parse_log()");
#line 240 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp22_ = log_file;
#line 240 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp23_ = g_strdup_printf ("log_file = %s", _tmp22_);
#line 240 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp24_ = _tmp23_;
#line 240 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug (_tmp24_);
#line 240 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp24_);
#line 242 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	((AsyncTask*) self)->prg_count = (gint64) 0;
#line 243 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp25_ = log_file;
#line 243 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp26_ = tee_jee_file_system_file_line_count (_tmp25_);
#line 243 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	((AsyncTask*) self)->prg_count_total = _tmp26_;
#line 1295 "RsyncTask.c"
	{
		gchar* line = NULL;
		GFile* file = NULL;
		const gchar* _tmp27_ = NULL;
		GFile* _tmp28_ = NULL;
		GFile* _tmp29_ = NULL;
		gboolean _tmp30_ = FALSE;
		GFileInputStream* _tmp37_ = NULL;
		GFile* _tmp38_ = NULL;
		GFileInputStream* _tmp39_ = NULL;
		GDataInputStream* dis = NULL;
		GDataInputStream* _tmp40_ = NULL;
#line 247 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp27_ = log_file;
#line 247 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp28_ = g_file_new_for_path (_tmp27_);
#line 247 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		file = _tmp28_;
#line 248 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp29_ = file;
#line 248 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp30_ = g_file_query_exists (_tmp29_, NULL);
#line 248 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		if (!_tmp30_) {
#line 1320 "RsyncTask.c"
			const gchar* _tmp31_ = NULL;
			const gchar* _tmp32_ = NULL;
			gchar* _tmp33_ = NULL;
			gchar* _tmp34_ = NULL;
			gchar* _tmp35_ = NULL;
			gchar* _tmp36_ = NULL;
#line 249 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp31_ = _ ("File not found");
#line 249 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp32_ = log_file;
#line 249 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp33_ = g_strdup_printf (": %s", _tmp32_);
#line 249 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp34_ = _tmp33_;
#line 249 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp35_ = g_strconcat (_tmp31_, _tmp34_, NULL);
#line 249 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp36_ = _tmp35_;
#line 249 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			tee_jee_logging_log_error (_tmp36_, FALSE, FALSE);
#line 249 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_free0 (_tmp36_);
#line 249 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_free0 (_tmp34_);
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			result = root;
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_object_unref0 (file);
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_free0 (line);
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_object_unref0 (dos_changes);
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_free0 (log_file);
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			return result;
#line 1357 "RsyncTask.c"
		}
#line 253 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp38_ = file;
#line 253 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp39_ = g_file_read (_tmp38_, NULL, &_inner_error_);
#line 253 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp37_ = _tmp39_;
#line 253 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 253 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_object_unref0 (file);
#line 253 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_free0 (line);
#line 1371 "RsyncTask.c"
			goto __catch61_g_error;
		}
#line 253 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp40_ = g_data_input_stream_new ((GInputStream*) _tmp37_);
#line 253 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		dis = _tmp40_;
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		while (TRUE) {
#line 1380 "RsyncTask.c"
			gchar* _tmp41_ = NULL;
			GDataInputStream* _tmp42_ = NULL;
			gchar* _tmp43_ = NULL;
			gchar* _tmp44_ = NULL;
			const gchar* _tmp45_ = NULL;
			gint64 _tmp46_ = 0LL;
			const gchar* _tmp47_ = NULL;
			gchar* _tmp48_ = NULL;
			gchar* _tmp49_ = NULL;
			gint _tmp50_ = 0;
			gint _tmp51_ = 0;
			gboolean _tmp52_ = FALSE;
			gchar* item_path = NULL;
			gchar* _tmp53_ = NULL;
			GFileType item_type = 0;
			gchar* item_status = NULL;
			gchar* _tmp54_ = NULL;
			gboolean item_is_symlink = FALSE;
			GMatchInfo* match = NULL;
			GeeHashMap* _tmp55_ = NULL;
			gpointer _tmp56_ = NULL;
			GRegex* _tmp57_ = NULL;
			const gchar* _tmp58_ = NULL;
			GMatchInfo* _tmp59_ = NULL;
			gboolean _tmp60_ = FALSE;
			gboolean _tmp61_ = FALSE;
			gboolean _tmp166_ = FALSE;
			gboolean _tmp167_ = FALSE;
			const gchar* _tmp168_ = NULL;
			gint _tmp169_ = 0;
			gint _tmp170_ = 0;
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp42_ = dis;
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp43_ = g_data_input_stream_read_line (_tmp42_, NULL, NULL, &_inner_error_);
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp41_ = _tmp43_;
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (dis);
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (_tmp37_);
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (file);
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_free0 (line);
#line 1428 "RsyncTask.c"
				goto __catch61_g_error;
			}
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp44_ = _tmp41_;
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp41_ = NULL;
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_free0 (line);
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			line = _tmp44_;
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp45_ = line;
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			if (!(_tmp45_ != NULL)) {
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_free0 (_tmp41_);
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				break;
#line 1447 "RsyncTask.c"
			}
#line 256 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp46_ = ((AsyncTask*) self)->prg_count;
#line 256 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			((AsyncTask*) self)->prg_count = _tmp46_ + 1;
#line 258 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp47_ = line;
#line 258 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp48_ = string_strip (_tmp47_);
#line 258 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp49_ = _tmp48_;
#line 258 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp50_ = strlen (_tmp49_);
#line 258 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp51_ = _tmp50_;
#line 258 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp52_ = _tmp51_ == 0;
#line 258 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_free0 (_tmp49_);
#line 258 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			if (_tmp52_) {
#line 258 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_free0 (_tmp41_);
#line 258 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				continue;
#line 1473 "RsyncTask.c"
			}
#line 260 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp53_ = g_strdup ("");
#line 260 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			item_path = _tmp53_;
#line 261 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			item_type = G_FILE_TYPE_REGULAR;
#line 262 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp54_ = g_strdup ("");
#line 262 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			item_status = _tmp54_;
#line 263 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			item_is_symlink = FALSE;
#line 266 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp55_ = self->priv->regex_list;
#line 266 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp56_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp55_, "log-created");
#line 266 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp57_ = (GRegex*) _tmp56_;
#line 266 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp58_ = line;
#line 266 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp60_ = g_regex_match (_tmp57_, _tmp58_, 0, &_tmp59_);
#line 266 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_match_info_unref0 (match);
#line 266 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			match = _tmp59_;
#line 266 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp61_ = _tmp60_;
#line 266 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp57_);
#line 266 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			if (_tmp61_) {
#line 1507 "RsyncTask.c"
				GDataOutputStream* _tmp62_ = NULL;
				GMatchInfo* _tmp67_ = NULL;
				gchar* _tmp68_ = NULL;
				gchar* _tmp69_ = NULL;
				gchar** _tmp70_ = NULL;
				gchar** _tmp71_ = NULL;
				gchar** _tmp72_ = NULL;
				gint _tmp72__length1 = 0;
				const gchar* _tmp73_ = NULL;
				gchar* _tmp74_ = NULL;
				GMatchInfo* _tmp75_ = NULL;
				gchar* _tmp76_ = NULL;
				gchar* _tmp77_ = NULL;
				gboolean _tmp78_ = FALSE;
				gchar* _tmp83_ = NULL;
#line 268 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp62_ = dos_changes;
#line 268 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				if (_tmp62_ != NULL) {
#line 1527 "RsyncTask.c"
					GDataOutputStream* _tmp63_ = NULL;
					const gchar* _tmp64_ = NULL;
					gchar* _tmp65_ = NULL;
					gchar* _tmp66_ = NULL;
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp63_ = dos_changes;
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp64_ = line;
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp65_ = g_strdup_printf ("%s\n", _tmp64_);
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp66_ = _tmp65_;
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					g_data_output_stream_put_string (_tmp63_, _tmp66_, NULL, &_inner_error_);
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_g_free0 (_tmp66_);
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_g_match_info_unref0 (match);
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_g_free0 (item_status);
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_g_free0 (item_path);
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp41_);
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_g_object_unref0 (dis);
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_g_object_unref0 (_tmp37_);
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_g_object_unref0 (file);
#line 269 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_g_free0 (line);
#line 1562 "RsyncTask.c"
						goto __catch61_g_error;
					}
				}
#line 274 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp67_ = match;
#line 274 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp68_ = g_match_info_fetch (_tmp67_, 3);
#line 274 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp69_ = _tmp68_;
#line 274 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp71_ = _tmp70_ = g_strsplit (_tmp69_, " -> ", 0);
#line 274 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp72_ = _tmp71_;
#line 274 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp72__length1 = _vala_array_length (_tmp70_);
#line 274 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp73_ = _tmp72_[0];
#line 274 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp74_ = string_strip (_tmp73_);
#line 274 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_free0 (item_path);
#line 274 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				item_path = _tmp74_;
#line 274 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp72_ = (_vala_array_free (_tmp72_, _tmp72__length1, (GDestroyNotify) g_free), NULL);
#line 274 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_free0 (_tmp69_);
#line 275 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				item_type = G_FILE_TYPE_REGULAR;
#line 276 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp75_ = match;
#line 276 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp76_ = g_match_info_fetch (_tmp75_, 2);
#line 276 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp77_ = _tmp76_;
#line 276 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp78_ = g_strcmp0 (_tmp77_, "d") == 0;
#line 276 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_free0 (_tmp77_);
#line 276 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				if (_tmp78_) {
#line 277 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					item_type = G_FILE_TYPE_DIRECTORY;
#line 1606 "RsyncTask.c"
				} else {
					GMatchInfo* _tmp79_ = NULL;
					gchar* _tmp80_ = NULL;
					gchar* _tmp81_ = NULL;
					gboolean _tmp82_ = FALSE;
#line 279 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp79_ = match;
#line 279 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp80_ = g_match_info_fetch (_tmp79_, 2);
#line 279 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp81_ = _tmp80_;
#line 279 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp82_ = g_strcmp0 (_tmp81_, "L") == 0;
#line 279 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_g_free0 (_tmp81_);
#line 279 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					if (_tmp82_) {
#line 280 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						item_is_symlink = TRUE;
#line 1626 "RsyncTask.c"
					}
				}
#line 282 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp83_ = g_strdup ("created");
#line 282 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_free0 (item_status);
#line 282 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				item_status = _tmp83_;
#line 1635 "RsyncTask.c"
			} else {
				GeeHashMap* _tmp84_ = NULL;
				gpointer _tmp85_ = NULL;
				GRegex* _tmp86_ = NULL;
				const gchar* _tmp87_ = NULL;
				GMatchInfo* _tmp88_ = NULL;
				gboolean _tmp89_ = FALSE;
				gboolean _tmp90_ = FALSE;
#line 284 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp84_ = self->priv->regex_list;
#line 284 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp85_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp84_, "log-deleted");
#line 284 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp86_ = (GRegex*) _tmp85_;
#line 284 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp87_ = line;
#line 284 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp89_ = g_regex_match (_tmp86_, _tmp87_, 0, &_tmp88_);
#line 284 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_match_info_unref0 (match);
#line 284 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				match = _tmp88_;
#line 284 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp90_ = _tmp89_;
#line 284 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_regex_unref0 (_tmp86_);
#line 284 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				if (_tmp90_) {
#line 1664 "RsyncTask.c"
					GDataOutputStream* _tmp91_ = NULL;
					GMatchInfo* _tmp96_ = NULL;
					gchar* _tmp97_ = NULL;
					gchar* _tmp98_ = NULL;
					gchar** _tmp99_ = NULL;
					gchar** _tmp100_ = NULL;
					gchar** _tmp101_ = NULL;
					gint _tmp101__length1 = 0;
					const gchar* _tmp102_ = NULL;
					gchar* _tmp103_ = NULL;
					GFileType _tmp104_ = 0;
					const gchar* _tmp105_ = NULL;
					gboolean _tmp106_ = FALSE;
					gchar* _tmp107_ = NULL;
#line 288 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp91_ = dos_changes;
#line 288 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					if (_tmp91_ != NULL) {
#line 1683 "RsyncTask.c"
						GDataOutputStream* _tmp92_ = NULL;
						const gchar* _tmp93_ = NULL;
						gchar* _tmp94_ = NULL;
						gchar* _tmp95_ = NULL;
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp92_ = dos_changes;
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp93_ = line;
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp94_ = g_strdup_printf ("%s\n", _tmp93_);
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp95_ = _tmp94_;
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						g_data_output_stream_put_string (_tmp92_, _tmp95_, NULL, &_inner_error_);
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp95_);
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_g_match_info_unref0 (match);
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_g_free0 (item_status);
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_g_free0 (item_path);
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_g_free0 (_tmp41_);
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_g_object_unref0 (dis);
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_g_object_unref0 (_tmp37_);
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_g_object_unref0 (file);
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_g_free0 (line);
#line 1718 "RsyncTask.c"
							goto __catch61_g_error;
						}
					}
#line 292 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp96_ = match;
#line 292 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp97_ = g_match_info_fetch (_tmp96_, 1);
#line 292 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp98_ = _tmp97_;
#line 292 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp100_ = _tmp99_ = g_strsplit (_tmp98_, " -> ", 0);
#line 292 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp101_ = _tmp100_;
#line 292 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp101__length1 = _vala_array_length (_tmp99_);
#line 292 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp102_ = _tmp101_[0];
#line 292 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp103_ = string_strip (_tmp102_);
#line 292 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_g_free0 (item_path);
#line 292 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					item_path = _tmp103_;
#line 292 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp101_ = (_vala_array_free (_tmp101_, _tmp101__length1, (GDestroyNotify) g_free), NULL);
#line 292 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_g_free0 (_tmp98_);
#line 293 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp105_ = item_path;
#line 293 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp106_ = g_str_has_suffix (_tmp105_, "/");
#line 293 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					if (_tmp106_) {
#line 293 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp104_ = G_FILE_TYPE_DIRECTORY;
#line 1754 "RsyncTask.c"
					} else {
#line 293 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp104_ = G_FILE_TYPE_REGULAR;
#line 1758 "RsyncTask.c"
					}
#line 293 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					item_type = _tmp104_;
#line 294 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp107_ = g_strdup ("deleted");
#line 294 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_g_free0 (item_status);
#line 294 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					item_status = _tmp107_;
#line 1768 "RsyncTask.c"
				} else {
					GeeHashMap* _tmp108_ = NULL;
					gpointer _tmp109_ = NULL;
					GRegex* _tmp110_ = NULL;
					const gchar* _tmp111_ = NULL;
					GMatchInfo* _tmp112_ = NULL;
					gboolean _tmp113_ = FALSE;
					gboolean _tmp114_ = FALSE;
#line 296 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp108_ = self->priv->regex_list;
#line 296 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp109_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp108_, "log-modified");
#line 296 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp110_ = (GRegex*) _tmp109_;
#line 296 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp111_ = line;
#line 296 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp113_ = g_regex_match (_tmp110_, _tmp111_, 0, &_tmp112_);
#line 296 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_g_match_info_unref0 (match);
#line 296 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					match = _tmp112_;
#line 296 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp114_ = _tmp113_;
#line 296 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_g_regex_unref0 (_tmp110_);
#line 296 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					if (_tmp114_) {
#line 1797 "RsyncTask.c"
						GDataOutputStream* _tmp115_ = NULL;
						GMatchInfo* _tmp120_ = NULL;
						gchar* _tmp121_ = NULL;
						gchar* _tmp122_ = NULL;
						gchar** _tmp123_ = NULL;
						gchar** _tmp124_ = NULL;
						gchar** _tmp125_ = NULL;
						gint _tmp125__length1 = 0;
						const gchar* _tmp126_ = NULL;
						gchar* _tmp127_ = NULL;
						GMatchInfo* _tmp128_ = NULL;
						gchar* _tmp129_ = NULL;
						gchar* _tmp130_ = NULL;
						gboolean _tmp131_ = FALSE;
						GMatchInfo* _tmp136_ = NULL;
						gchar* _tmp137_ = NULL;
						gchar* _tmp138_ = NULL;
						gboolean _tmp139_ = FALSE;
#line 300 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp115_ = dos_changes;
#line 300 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						if (_tmp115_ != NULL) {
#line 1820 "RsyncTask.c"
							GDataOutputStream* _tmp116_ = NULL;
							const gchar* _tmp117_ = NULL;
							gchar* _tmp118_ = NULL;
							gchar* _tmp119_ = NULL;
#line 301 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp116_ = dos_changes;
#line 301 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp117_ = line;
#line 301 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp118_ = g_strdup_printf ("%s\n", _tmp117_);
#line 301 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp119_ = _tmp118_;
#line 301 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							g_data_output_stream_put_string (_tmp116_, _tmp119_, NULL, &_inner_error_);
#line 301 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_g_free0 (_tmp119_);
#line 301 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 301 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_g_match_info_unref0 (match);
#line 301 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_g_free0 (item_status);
#line 301 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_g_free0 (item_path);
#line 301 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_g_free0 (_tmp41_);
#line 301 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_g_object_unref0 (dis);
#line 301 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_g_object_unref0 (_tmp37_);
#line 301 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_g_object_unref0 (file);
#line 301 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_g_free0 (line);
#line 1855 "RsyncTask.c"
								goto __catch61_g_error;
							}
						}
#line 304 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp120_ = match;
#line 304 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp121_ = g_match_info_fetch (_tmp120_, 12);
#line 304 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp122_ = _tmp121_;
#line 304 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp124_ = _tmp123_ = g_strsplit (_tmp122_, " -> ", 0);
#line 304 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp125_ = _tmp124_;
#line 304 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp125__length1 = _vala_array_length (_tmp123_);
#line 304 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp126_ = _tmp125_[0];
#line 304 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp127_ = string_strip (_tmp126_);
#line 304 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_g_free0 (item_path);
#line 304 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						item_path = _tmp127_;
#line 304 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp125_ = (_vala_array_free (_tmp125_, _tmp125__length1, (GDestroyNotify) g_free), NULL);
#line 304 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp122_);
#line 306 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp128_ = match;
#line 306 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp129_ = g_match_info_fetch (_tmp128_, 2);
#line 306 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp130_ = _tmp129_;
#line 306 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp131_ = g_strcmp0 (_tmp130_, "d") == 0;
#line 306 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp130_);
#line 306 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						if (_tmp131_) {
#line 307 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							item_type = G_FILE_TYPE_DIRECTORY;
#line 1897 "RsyncTask.c"
						} else {
							GMatchInfo* _tmp132_ = NULL;
							gchar* _tmp133_ = NULL;
							gchar* _tmp134_ = NULL;
							gboolean _tmp135_ = FALSE;
#line 309 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp132_ = match;
#line 309 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp133_ = g_match_info_fetch (_tmp132_, 2);
#line 309 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp134_ = _tmp133_;
#line 309 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp135_ = g_strcmp0 (_tmp134_, "L") == 0;
#line 309 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_g_free0 (_tmp134_);
#line 309 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							if (_tmp135_) {
#line 310 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								item_is_symlink = TRUE;
#line 1917 "RsyncTask.c"
							}
						}
#line 313 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp136_ = match;
#line 313 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp137_ = g_match_info_fetch (_tmp136_, 3);
#line 313 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp138_ = _tmp137_;
#line 313 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp139_ = g_strcmp0 (_tmp138_, "c") == 0;
#line 313 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp138_);
#line 313 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						if (_tmp139_) {
#line 1932 "RsyncTask.c"
							gchar* _tmp140_ = NULL;
#line 314 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp140_ = g_strdup ("checksum");
#line 314 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_g_free0 (item_status);
#line 314 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							item_status = _tmp140_;
#line 1940 "RsyncTask.c"
						} else {
							GMatchInfo* _tmp141_ = NULL;
							gchar* _tmp142_ = NULL;
							gchar* _tmp143_ = NULL;
							gboolean _tmp144_ = FALSE;
#line 316 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp141_ = match;
#line 316 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp142_ = g_match_info_fetch (_tmp141_, 4);
#line 316 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp143_ = _tmp142_;
#line 316 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp144_ = g_strcmp0 (_tmp143_, "s") == 0;
#line 316 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_g_free0 (_tmp143_);
#line 316 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							if (_tmp144_) {
#line 1958 "RsyncTask.c"
								gchar* _tmp145_ = NULL;
#line 317 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_tmp145_ = g_strdup ("size");
#line 317 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_g_free0 (item_status);
#line 317 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								item_status = _tmp145_;
#line 1966 "RsyncTask.c"
							} else {
								GMatchInfo* _tmp146_ = NULL;
								gchar* _tmp147_ = NULL;
								gchar* _tmp148_ = NULL;
								gboolean _tmp149_ = FALSE;
#line 319 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_tmp146_ = match;
#line 319 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_tmp147_ = g_match_info_fetch (_tmp146_, 5);
#line 319 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_tmp148_ = _tmp147_;
#line 319 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_tmp149_ = g_strcmp0 (_tmp148_, "t") == 0;
#line 319 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_g_free0 (_tmp148_);
#line 319 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								if (_tmp149_) {
#line 1984 "RsyncTask.c"
									gchar* _tmp150_ = NULL;
#line 320 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
									_tmp150_ = g_strdup ("timestamp");
#line 320 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
									_g_free0 (item_status);
#line 320 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
									item_status = _tmp150_;
#line 1992 "RsyncTask.c"
								} else {
									GMatchInfo* _tmp151_ = NULL;
									gchar* _tmp152_ = NULL;
									gchar* _tmp153_ = NULL;
									gboolean _tmp154_ = FALSE;
#line 322 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
									_tmp151_ = match;
#line 322 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
									_tmp152_ = g_match_info_fetch (_tmp151_, 6);
#line 322 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
									_tmp153_ = _tmp152_;
#line 322 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
									_tmp154_ = g_strcmp0 (_tmp153_, "p") == 0;
#line 322 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
									_g_free0 (_tmp153_);
#line 322 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
									if (_tmp154_) {
#line 2010 "RsyncTask.c"
										gchar* _tmp155_ = NULL;
#line 323 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
										_tmp155_ = g_strdup ("permissions");
#line 323 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
										_g_free0 (item_status);
#line 323 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
										item_status = _tmp155_;
#line 2018 "RsyncTask.c"
									} else {
										GMatchInfo* _tmp156_ = NULL;
										gchar* _tmp157_ = NULL;
										gchar* _tmp158_ = NULL;
										gboolean _tmp159_ = FALSE;
#line 325 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
										_tmp156_ = match;
#line 325 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
										_tmp157_ = g_match_info_fetch (_tmp156_, 7);
#line 325 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
										_tmp158_ = _tmp157_;
#line 325 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
										_tmp159_ = g_strcmp0 (_tmp158_, "o") == 0;
#line 325 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
										_g_free0 (_tmp158_);
#line 325 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
										if (_tmp159_) {
#line 2036 "RsyncTask.c"
											gchar* _tmp160_ = NULL;
#line 326 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
											_tmp160_ = g_strdup ("owner");
#line 326 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
											_g_free0 (item_status);
#line 326 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
											item_status = _tmp160_;
#line 2044 "RsyncTask.c"
										} else {
											GMatchInfo* _tmp161_ = NULL;
											gchar* _tmp162_ = NULL;
											gchar* _tmp163_ = NULL;
											gboolean _tmp164_ = FALSE;
#line 328 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
											_tmp161_ = match;
#line 328 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
											_tmp162_ = g_match_info_fetch (_tmp161_, 8);
#line 328 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
											_tmp163_ = _tmp162_;
#line 328 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
											_tmp164_ = g_strcmp0 (_tmp163_, "g") == 0;
#line 328 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
											_g_free0 (_tmp163_);
#line 328 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
											if (_tmp164_) {
#line 2062 "RsyncTask.c"
												gchar* _tmp165_ = NULL;
#line 329 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
												_tmp165_ = g_strdup ("group");
#line 329 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
												_g_free0 (item_status);
#line 329 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
												item_status = _tmp165_;
#line 2070 "RsyncTask.c"
											}
										}
									}
								}
							}
						}
					} else {
					}
				}
			}
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp168_ = item_path;
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp169_ = strlen (_tmp168_);
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp170_ = _tmp169_;
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			if (_tmp170_ > 0) {
#line 2089 "RsyncTask.c"
				const gchar* _tmp171_ = NULL;
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp171_ = item_path;
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp167_ = g_strcmp0 (_tmp171_, "/./") != 0;
#line 2095 "RsyncTask.c"
			} else {
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp167_ = FALSE;
#line 2099 "RsyncTask.c"
			}
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			if (_tmp167_) {
#line 2103 "RsyncTask.c"
				const gchar* _tmp172_ = NULL;
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp172_ = item_path;
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp166_ = g_strcmp0 (_tmp172_, "./") != 0;
#line 2109 "RsyncTask.c"
			} else {
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp166_ = FALSE;
#line 2113 "RsyncTask.c"
			}
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			if (_tmp166_) {
#line 2117 "RsyncTask.c"
				gint64 item_size = 0LL;
				gchar* item_disk_path = NULL;
				const gchar* _tmp173_ = NULL;
				gchar* _tmp174_ = NULL;
				gchar* _tmp175_ = NULL;
				gchar* _tmp176_ = NULL;
				gchar* _tmp177_ = NULL;
				const gchar* _tmp178_ = NULL;
				const gchar* _tmp179_ = NULL;
				gchar* _tmp180_ = NULL;
				const gchar* _tmp181_ = NULL;
				gint64 _tmp182_ = 0LL;
				gint64 _tmp183_ = 0LL;
				FileItem* item = NULL;
				FileItem* _tmp184_ = NULL;
				const gchar* _tmp185_ = NULL;
				GFileType _tmp186_ = 0;
				gint64 _tmp187_ = 0LL;
				FileItem* _tmp188_ = NULL;
				FileItem* _tmp189_ = NULL;
				const gchar* _tmp190_ = NULL;
				gchar* _tmp191_ = NULL;
				FileItem* _tmp192_ = NULL;
				gboolean _tmp193_ = FALSE;
#line 340 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				item_size = (gint64) 0;
#line 341 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp173_ = log_file_path;
#line 341 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp174_ = tee_jee_file_system_file_parent (_tmp173_);
#line 341 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp175_ = _tmp174_;
#line 341 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp176_ = tee_jee_file_system_path_combine (_tmp175_, "localhost");
#line 341 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp177_ = _tmp176_;
#line 341 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_free0 (_tmp175_);
#line 341 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				item_disk_path = _tmp177_;
#line 342 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp178_ = item_disk_path;
#line 342 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp179_ = item_path;
#line 342 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp180_ = tee_jee_file_system_path_combine (_tmp178_, _tmp179_);
#line 342 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_free0 (item_disk_path);
#line 342 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				item_disk_path = _tmp180_;
#line 343 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp181_ = item_disk_path;
#line 343 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp182_ = tee_jee_file_system_file_get_size (_tmp181_);
#line 343 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				item_size = _tmp182_;
#line 344 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp183_ = item_size;
#line 344 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				if (_tmp183_ == ((gint64) -1)) {
#line 345 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					item_size = (gint64) 0;
#line 2180 "RsyncTask.c"
				}
#line 348 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp184_ = root;
#line 348 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp185_ = item_path;
#line 348 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp186_ = item_type;
#line 348 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp187_ = item_size;
#line 348 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp188_ = file_item_add_descendant (_tmp184_, _tmp185_, &_tmp186_, _tmp187_, (gint64) 0);
#line 348 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				item = _tmp188_;
#line 349 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp189_ = item;
#line 349 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp190_ = item_status;
#line 349 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp191_ = g_strdup (_tmp190_);
#line 349 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_free0 (_tmp189_->file_status);
#line 349 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp189_->file_status = _tmp191_;
#line 350 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp192_ = item;
#line 350 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp193_ = item_is_symlink;
#line 350 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp192_->is_symlink = _tmp193_;
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_object_unref0 (item);
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_free0 (item_disk_path);
#line 2214 "RsyncTask.c"
			}
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_match_info_unref0 (match);
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_free0 (item_status);
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_free0 (item_path);
#line 254 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_free0 (_tmp41_);
#line 2224 "RsyncTask.c"
		}
#line 245 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_object_unref0 (dis);
#line 245 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_object_unref0 (_tmp37_);
#line 245 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_object_unref0 (file);
#line 245 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (line);
#line 2234 "RsyncTask.c"
	}
	goto __finally61;
	__catch61_g_error:
	{
		GError* e = NULL;
		GError* _tmp194_ = NULL;
		const gchar* _tmp195_ = NULL;
#line 245 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		e = _inner_error_;
#line 245 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_inner_error_ = NULL;
#line 357 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp194_ = e;
#line 357 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp195_ = _tmp194_->message;
#line 357 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		tee_jee_logging_log_error (_tmp195_, FALSE, FALSE);
#line 245 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_error_free0 (e);
#line 2254 "RsyncTask.c"
	}
	__finally61:
#line 245 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 245 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_object_unref0 (dos_changes);
#line 245 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (log_file);
#line 245 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_object_unref0 (root);
#line 245 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 245 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		g_clear_error (&_inner_error_);
#line 245 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		return NULL;
#line 2271 "RsyncTask.c"
	}
#line 360 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp196_ = dos_changes;
#line 360 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp196_ != NULL) {
#line 2277 "RsyncTask.c"
		const gchar* _tmp197_ = NULL;
#line 362 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp197_ = log_file_path;
#line 362 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		tee_jee_file_system_file_gzip (_tmp197_);
#line 2283 "RsyncTask.c"
	}
#line 365 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug ("RsyncTask: parse_log(): exit");
#line 367 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	result = root;
#line 367 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_object_unref0 (dos_changes);
#line 367 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (log_file);
#line 367 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	return result;
#line 2295 "RsyncTask.c"
}


void rsync_task_execute (RsyncTask* self) {
	AppStatus _tmp0_ = 0;
#line 372 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 373 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug ("RsyncTask:execute()");
#line 375 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	rsync_task_prepare (self);
#line 383 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	async_task_begin ((AsyncTask*) self);
#line 385 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp0_ = ((AsyncTask*) self)->status;
#line 385 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp0_ == APP_STATUS_RUNNING) {
#line 2313 "RsyncTask.c"
	}
}


static void rsync_task_real_parse_stdout_line (AsyncTask* base, const gchar* out_line) {
	RsyncTask * self;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
#line 391 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self = (RsyncTask*) base;
#line 391 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	g_return_if_fail (out_line != NULL);
#line 392 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp0_ = ((AsyncTask*) self)->is_terminated;
#line 392 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp0_) {
#line 393 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		return;
#line 2332 "RsyncTask.c"
	}
#line 396 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp1_ = out_line;
#line 396 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	rsync_task_update_progress_parse_console_output (self, _tmp1_);
#line 2338 "RsyncTask.c"
}


static void rsync_task_real_parse_stderr_line (AsyncTask* base, const gchar* err_line) {
	RsyncTask * self;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
#line 399 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self = (RsyncTask*) base;
#line 399 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	g_return_if_fail (err_line != NULL);
#line 400 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp0_ = ((AsyncTask*) self)->is_terminated;
#line 400 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp0_) {
#line 401 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		return;
#line 2356 "RsyncTask.c"
	}
#line 404 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp1_ = err_line;
#line 404 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	rsync_task_update_progress_parse_console_output (self, _tmp1_);
#line 2362 "RsyncTask.c"
}


static gint64 int64_parse (const gchar* str) {
	gint64 result = 0LL;
	const gchar* _tmp0_ = NULL;
	gint64 _tmp1_ = 0LL;
#line 679 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0LL);
#line 680 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 680 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = g_ascii_strtoll (_tmp0_, NULL, (guint) 0);
#line 680 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp1_;
#line 680 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 2380 "RsyncTask.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 2393 "RsyncTask.c"
	{
		GRegex* regex = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2424 "RsyncTask.c"
				goto __catch62_g_regex_error;
			}
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 2433 "RsyncTask.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6_ = regex;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp7_ = replacement;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = g_regex_replace_literal (_tmp6_, self, (gssize) -1, 0, _tmp7_, 0, &_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = _tmp8_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2449 "RsyncTask.c"
				goto __catch62_g_regex_error;
			}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 2460 "RsyncTask.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp9_ = _tmp5_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = NULL;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = _tmp9_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp5_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 2474 "RsyncTask.c"
	}
	goto __finally62;
	__catch62_g_regex_error:
	{
		GError* e = NULL;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 2488 "RsyncTask.c"
	}
	__finally62:
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return NULL;
#line 2499 "RsyncTask.c"
	}
}


gboolean rsync_task_update_progress_parse_console_output (RsyncTask* self, const gchar* line) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
	gint64 _tmp5_ = 0LL;
	gint64 _tmp6_ = 0LL;
	GMatchInfo* match = NULL;
	GeeHashMap* _tmp10_ = NULL;
	gpointer _tmp11_ = NULL;
	GRegex* _tmp12_ = NULL;
	const gchar* _tmp13_ = NULL;
	GMatchInfo* _tmp14_ = NULL;
	gboolean _tmp15_ = FALSE;
	gboolean _tmp16_ = FALSE;
#line 407 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 407 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (line != NULL, FALSE);
#line 408 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp1_ = line;
#line 408 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp1_ == NULL) {
#line 408 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp0_ = TRUE;
#line 2528 "RsyncTask.c"
	} else {
		const gchar* _tmp2_ = NULL;
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
#line 408 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp2_ = line;
#line 408 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp3_ = strlen (_tmp2_);
#line 408 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp4_ = _tmp3_;
#line 408 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp0_ = _tmp4_ == 0;
#line 2541 "RsyncTask.c"
	}
#line 408 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp0_) {
#line 409 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		result = TRUE;
#line 409 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		return result;
#line 2549 "RsyncTask.c"
	}
#line 412 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp5_ = self->status_line_count;
#line 412 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->status_line_count = _tmp5_ + 1;
#line 414 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp6_ = ((AsyncTask*) self)->prg_count_total;
#line 414 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp6_ > ((gint64) 0)) {
#line 2559 "RsyncTask.c"
		gint64 _tmp7_ = 0LL;
		gint64 _tmp8_ = 0LL;
		gint64 _tmp9_ = 0LL;
#line 415 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp7_ = self->status_line_count;
#line 415 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		((AsyncTask*) self)->prg_count = _tmp7_;
#line 416 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp8_ = ((AsyncTask*) self)->prg_count;
#line 416 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp9_ = ((AsyncTask*) self)->prg_count_total;
#line 416 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		((AsyncTask*) self)->progress = (_tmp8_ * 1.0) / _tmp9_;
#line 2573 "RsyncTask.c"
	}
#line 429 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp10_ = self->priv->regex_list;
#line 429 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp11_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp10_, "created");
#line 429 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp12_ = (GRegex*) _tmp11_;
#line 429 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp13_ = line;
#line 429 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp15_ = g_regex_match (_tmp12_, _tmp13_, 0, &_tmp14_);
#line 429 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_match_info_unref0 (match);
#line 429 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	match = _tmp14_;
#line 429 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp16_ = _tmp15_;
#line 429 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_regex_unref0 (_tmp12_);
#line 429 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp16_) {
#line 2595 "RsyncTask.c"
		gint64 _tmp17_ = 0LL;
		GMatchInfo* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar** _tmp21_ = NULL;
		gchar** _tmp22_ = NULL;
		gchar** _tmp23_ = NULL;
		gint _tmp23__length1 = 0;
		const gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
#line 433 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp17_ = self->count_created;
#line 433 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		self->count_created = _tmp17_ + 1;
#line 434 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp18_ = match;
#line 434 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp19_ = g_match_info_fetch (_tmp18_, 3);
#line 434 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp20_ = _tmp19_;
#line 434 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp22_ = _tmp21_ = g_strsplit (_tmp20_, " -> ", 0);
#line 434 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp23_ = _tmp22_;
#line 434 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp23__length1 = _vala_array_length (_tmp21_);
#line 434 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp24_ = _tmp23_[0];
#line 434 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp25_ = string_strip (_tmp24_);
#line 434 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (((AsyncTask*) self)->status_line);
#line 434 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		((AsyncTask*) self)->status_line = _tmp25_;
#line 434 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp23_ = (_vala_array_free (_tmp23_, _tmp23__length1, (GDestroyNotify) g_free), NULL);
#line 434 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp20_);
#line 2634 "RsyncTask.c"
	} else {
		GeeHashMap* _tmp26_ = NULL;
		gpointer _tmp27_ = NULL;
		GRegex* _tmp28_ = NULL;
		const gchar* _tmp29_ = NULL;
		GMatchInfo* _tmp30_ = NULL;
		gboolean _tmp31_ = FALSE;
		gboolean _tmp32_ = FALSE;
#line 436 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp26_ = self->priv->regex_list;
#line 436 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp27_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp26_, "deleted");
#line 436 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp28_ = (GRegex*) _tmp27_;
#line 436 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp29_ = line;
#line 436 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp31_ = g_regex_match (_tmp28_, _tmp29_, 0, &_tmp30_);
#line 436 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_match_info_unref0 (match);
#line 436 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		match = _tmp30_;
#line 436 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp32_ = _tmp31_;
#line 436 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp28_);
#line 436 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		if (_tmp32_) {
#line 2663 "RsyncTask.c"
			gint64 _tmp33_ = 0LL;
			GMatchInfo* _tmp34_ = NULL;
			gchar* _tmp35_ = NULL;
			gchar* _tmp36_ = NULL;
			gchar** _tmp37_ = NULL;
			gchar** _tmp38_ = NULL;
			gchar** _tmp39_ = NULL;
			gint _tmp39__length1 = 0;
			const gchar* _tmp40_ = NULL;
			gchar* _tmp41_ = NULL;
#line 440 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp33_ = self->count_deleted;
#line 440 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			self->count_deleted = _tmp33_ + 1;
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp34_ = match;
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp35_ = g_match_info_fetch (_tmp34_, 1);
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp36_ = _tmp35_;
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp38_ = _tmp37_ = g_strsplit (_tmp36_, " -> ", 0);
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp39_ = _tmp38_;
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp39__length1 = _vala_array_length (_tmp37_);
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp40_ = _tmp39_[0];
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp41_ = string_strip (_tmp40_);
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_free0 (((AsyncTask*) self)->status_line);
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			((AsyncTask*) self)->status_line = _tmp41_;
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp39_ = (_vala_array_free (_tmp39_, _tmp39__length1, (GDestroyNotify) g_free), NULL);
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_free0 (_tmp36_);
#line 2702 "RsyncTask.c"
		} else {
			GeeHashMap* _tmp42_ = NULL;
			gpointer _tmp43_ = NULL;
			GRegex* _tmp44_ = NULL;
			const gchar* _tmp45_ = NULL;
			GMatchInfo* _tmp46_ = NULL;
			gboolean _tmp47_ = FALSE;
			gboolean _tmp48_ = FALSE;
#line 443 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp42_ = self->priv->regex_list;
#line 443 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp43_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp42_, "unchanged");
#line 443 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp44_ = (GRegex*) _tmp43_;
#line 443 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp45_ = line;
#line 443 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp47_ = g_regex_match (_tmp44_, _tmp45_, 0, &_tmp46_);
#line 443 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_match_info_unref0 (match);
#line 443 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			match = _tmp46_;
#line 443 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_tmp48_ = _tmp47_;
#line 443 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp44_);
#line 443 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
			if (_tmp48_) {
#line 2731 "RsyncTask.c"
				gint64 _tmp49_ = 0LL;
				GMatchInfo* _tmp50_ = NULL;
				gchar* _tmp51_ = NULL;
				gchar* _tmp52_ = NULL;
				gchar** _tmp53_ = NULL;
				gchar** _tmp54_ = NULL;
				gchar** _tmp55_ = NULL;
				gint _tmp55__length1 = 0;
				const gchar* _tmp56_ = NULL;
				gchar* _tmp57_ = NULL;
#line 447 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp49_ = self->count_unchanged;
#line 447 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				self->count_unchanged = _tmp49_ + 1;
#line 448 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp50_ = match;
#line 448 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp51_ = g_match_info_fetch (_tmp50_, 3);
#line 448 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp52_ = _tmp51_;
#line 448 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp54_ = _tmp53_ = g_strsplit (_tmp52_, " -> ", 0);
#line 448 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp55_ = _tmp54_;
#line 448 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp55__length1 = _vala_array_length (_tmp53_);
#line 448 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp56_ = _tmp55_[0];
#line 448 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp57_ = string_strip (_tmp56_);
#line 448 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_free0 (((AsyncTask*) self)->status_line);
#line 448 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				((AsyncTask*) self)->status_line = _tmp57_;
#line 448 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp55_ = (_vala_array_free (_tmp55_, _tmp55__length1, (GDestroyNotify) g_free), NULL);
#line 448 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_free0 (_tmp52_);
#line 2770 "RsyncTask.c"
			} else {
				GeeHashMap* _tmp58_ = NULL;
				gpointer _tmp59_ = NULL;
				GRegex* _tmp60_ = NULL;
				const gchar* _tmp61_ = NULL;
				GMatchInfo* _tmp62_ = NULL;
				gboolean _tmp63_ = FALSE;
				gboolean _tmp64_ = FALSE;
#line 450 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp58_ = self->priv->regex_list;
#line 450 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp59_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp58_, "modified");
#line 450 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp60_ = (GRegex*) _tmp59_;
#line 450 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp61_ = line;
#line 450 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp63_ = g_regex_match (_tmp60_, _tmp61_, 0, &_tmp62_);
#line 450 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_match_info_unref0 (match);
#line 450 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				match = _tmp62_;
#line 450 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_tmp64_ = _tmp63_;
#line 450 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				_g_regex_unref0 (_tmp60_);
#line 450 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
				if (_tmp64_) {
#line 2799 "RsyncTask.c"
					gint64 _tmp65_ = 0LL;
					GMatchInfo* _tmp66_ = NULL;
					gchar* _tmp67_ = NULL;
					gchar* _tmp68_ = NULL;
					gchar** _tmp69_ = NULL;
					gchar** _tmp70_ = NULL;
					gchar** _tmp71_ = NULL;
					gint _tmp71__length1 = 0;
					const gchar* _tmp72_ = NULL;
					gchar* _tmp73_ = NULL;
					GMatchInfo* _tmp74_ = NULL;
					gchar* _tmp75_ = NULL;
					gchar* _tmp76_ = NULL;
					gboolean _tmp77_ = FALSE;
#line 454 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp65_ = self->count_modified;
#line 454 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					self->count_modified = _tmp65_ + 1;
#line 455 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp66_ = match;
#line 455 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp67_ = g_match_info_fetch (_tmp66_, 12);
#line 455 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp68_ = _tmp67_;
#line 455 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp70_ = _tmp69_ = g_strsplit (_tmp68_, " -> ", 0);
#line 455 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp71_ = _tmp70_;
#line 455 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp71__length1 = _vala_array_length (_tmp69_);
#line 455 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp72_ = _tmp71_[0];
#line 455 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp73_ = string_strip (_tmp72_);
#line 455 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_g_free0 (((AsyncTask*) self)->status_line);
#line 455 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					((AsyncTask*) self)->status_line = _tmp73_;
#line 455 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp71_ = (_vala_array_free (_tmp71_, _tmp71__length1, (GDestroyNotify) g_free), NULL);
#line 455 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_g_free0 (_tmp68_);
#line 457 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp74_ = match;
#line 457 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp75_ = g_match_info_fetch (_tmp74_, 3);
#line 457 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp76_ = _tmp75_;
#line 457 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp77_ = g_strcmp0 (_tmp76_, "c") == 0;
#line 457 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_g_free0 (_tmp76_);
#line 457 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					if (_tmp77_) {
#line 2854 "RsyncTask.c"
						gint64 _tmp78_ = 0LL;
#line 458 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp78_ = self->count_checksum;
#line 458 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						self->count_checksum = _tmp78_ + 1;
#line 2860 "RsyncTask.c"
					} else {
						GMatchInfo* _tmp79_ = NULL;
						gchar* _tmp80_ = NULL;
						gchar* _tmp81_ = NULL;
						gboolean _tmp82_ = FALSE;
#line 460 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp79_ = match;
#line 460 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp80_ = g_match_info_fetch (_tmp79_, 4);
#line 460 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp81_ = _tmp80_;
#line 460 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp82_ = g_strcmp0 (_tmp81_, "s") == 0;
#line 460 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp81_);
#line 460 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						if (_tmp82_) {
#line 2878 "RsyncTask.c"
							gint64 _tmp83_ = 0LL;
#line 461 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp83_ = self->count_size;
#line 461 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							self->count_size = _tmp83_ + 1;
#line 2884 "RsyncTask.c"
						} else {
							GMatchInfo* _tmp84_ = NULL;
							gchar* _tmp85_ = NULL;
							gchar* _tmp86_ = NULL;
							gboolean _tmp87_ = FALSE;
#line 463 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp84_ = match;
#line 463 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp85_ = g_match_info_fetch (_tmp84_, 5);
#line 463 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp86_ = _tmp85_;
#line 463 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_tmp87_ = g_strcmp0 (_tmp86_, "t") == 0;
#line 463 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							_g_free0 (_tmp86_);
#line 463 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
							if (_tmp87_) {
#line 2902 "RsyncTask.c"
								gint64 _tmp88_ = 0LL;
#line 464 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_tmp88_ = self->count_timestamp;
#line 464 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								self->count_timestamp = _tmp88_ + 1;
#line 2908 "RsyncTask.c"
							} else {
								GMatchInfo* _tmp89_ = NULL;
								gchar* _tmp90_ = NULL;
								gchar* _tmp91_ = NULL;
								gboolean _tmp92_ = FALSE;
#line 466 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_tmp89_ = match;
#line 466 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_tmp90_ = g_match_info_fetch (_tmp89_, 6);
#line 466 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_tmp91_ = _tmp90_;
#line 466 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_tmp92_ = g_strcmp0 (_tmp91_, "p") == 0;
#line 466 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								_g_free0 (_tmp91_);
#line 466 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
								if (_tmp92_) {
#line 2926 "RsyncTask.c"
									gint64 _tmp93_ = 0LL;
#line 467 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
									_tmp93_ = self->count_permissions;
#line 467 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
									self->count_permissions = _tmp93_ + 1;
#line 2932 "RsyncTask.c"
								} else {
									GMatchInfo* _tmp94_ = NULL;
									gchar* _tmp95_ = NULL;
									gchar* _tmp96_ = NULL;
									gboolean _tmp97_ = FALSE;
#line 469 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
									_tmp94_ = match;
#line 469 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
									_tmp95_ = g_match_info_fetch (_tmp94_, 7);
#line 469 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
									_tmp96_ = _tmp95_;
#line 469 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
									_tmp97_ = g_strcmp0 (_tmp96_, "o") == 0;
#line 469 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
									_g_free0 (_tmp96_);
#line 469 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
									if (_tmp97_) {
#line 2950 "RsyncTask.c"
										gint64 _tmp98_ = 0LL;
#line 470 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
										_tmp98_ = self->count_owner;
#line 470 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
										self->count_owner = _tmp98_ + 1;
#line 2956 "RsyncTask.c"
									} else {
										GMatchInfo* _tmp99_ = NULL;
										gchar* _tmp100_ = NULL;
										gchar* _tmp101_ = NULL;
										gboolean _tmp102_ = FALSE;
#line 472 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
										_tmp99_ = match;
#line 472 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
										_tmp100_ = g_match_info_fetch (_tmp99_, 8);
#line 472 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
										_tmp101_ = _tmp100_;
#line 472 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
										_tmp102_ = g_strcmp0 (_tmp101_, "g") == 0;
#line 472 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
										_g_free0 (_tmp101_);
#line 472 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
										if (_tmp102_) {
#line 2974 "RsyncTask.c"
											gint64 _tmp103_ = 0LL;
#line 473 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
											_tmp103_ = self->count_group;
#line 473 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
											self->count_group = _tmp103_ + 1;
#line 2980 "RsyncTask.c"
										} else {
											gint64 _tmp104_ = 0LL;
#line 476 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
											_tmp104_ = self->count_unchanged;
#line 476 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
											self->count_unchanged = _tmp104_ + 1;
#line 2987 "RsyncTask.c"
										}
									}
								}
							}
						}
					}
				} else {
					GeeHashMap* _tmp105_ = NULL;
					gpointer _tmp106_ = NULL;
					GRegex* _tmp107_ = NULL;
					const gchar* _tmp108_ = NULL;
					GMatchInfo* _tmp109_ = NULL;
					gboolean _tmp110_ = FALSE;
					gboolean _tmp111_ = FALSE;
#line 479 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp105_ = self->priv->regex_list;
#line 479 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp106_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp105_, "total-size");
#line 479 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp107_ = (GRegex*) _tmp106_;
#line 479 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp108_ = line;
#line 479 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp110_ = g_regex_match (_tmp107_, _tmp108_, 0, &_tmp109_);
#line 479 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_g_match_info_unref0 (match);
#line 479 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					match = _tmp109_;
#line 479 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_tmp111_ = _tmp110_;
#line 479 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					_g_regex_unref0 (_tmp107_);
#line 479 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
					if (_tmp111_) {
#line 3022 "RsyncTask.c"
						GMatchInfo* _tmp112_ = NULL;
						gchar* _tmp113_ = NULL;
						gchar* _tmp114_ = NULL;
						gchar* _tmp115_ = NULL;
						gchar* _tmp116_ = NULL;
						gint64 _tmp117_ = 0LL;
#line 480 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp112_ = match;
#line 480 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp113_ = g_match_info_fetch (_tmp112_, 1);
#line 480 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp114_ = _tmp113_;
#line 480 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp115_ = string_replace (_tmp114_, ",", "");
#line 480 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp116_ = _tmp115_;
#line 480 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_tmp117_ = int64_parse (_tmp116_);
#line 480 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						self->total_size = _tmp117_;
#line 480 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp116_);
#line 480 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp114_);
#line 3047 "RsyncTask.c"
					} else {
					}
				}
			}
		}
	}
#line 486 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	result = TRUE;
#line 486 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_match_info_unref0 (match);
#line 486 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	return result;
#line 3060 "RsyncTask.c"
}


static void rsync_task_real_finish_task (AsyncTask* base) {
	RsyncTask * self;
	gboolean _tmp0_ = FALSE;
	AppStatus _tmp1_ = 0;
#line 489 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self = (RsyncTask*) base;
#line 490 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp1_ = ((AsyncTask*) self)->status;
#line 490 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp1_ != APP_STATUS_CANCELLED) {
#line 3074 "RsyncTask.c"
		AppStatus _tmp2_ = 0;
#line 490 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp2_ = ((AsyncTask*) self)->status;
#line 490 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp0_ = _tmp2_ != APP_STATUS_PASSWORD_REQUIRED;
#line 3080 "RsyncTask.c"
	} else {
#line 490 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp0_ = FALSE;
#line 3084 "RsyncTask.c"
	}
#line 490 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp0_) {
#line 491 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		((AsyncTask*) self)->status = APP_STATUS_FINISHED;
#line 3090 "RsyncTask.c"
	}
}


gint rsync_task_read_status (RsyncTask* self) {
	gint result = 0;
	gchar* status_file = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	GFile* f = NULL;
	const gchar* _tmp2_ = NULL;
	GFile* _tmp3_ = NULL;
	GFile* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
#line 495 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 496 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp0_ = ((AsyncTask*) self)->working_dir;
#line 496 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp1_ = g_strconcat (_tmp0_, "/status", NULL);
#line 496 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	status_file = _tmp1_;
#line 497 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp2_ = status_file;
#line 497 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp3_ = g_file_new_for_path (_tmp2_);
#line 497 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	f = _tmp3_;
#line 498 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp4_ = f;
#line 498 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp5_ = g_file_query_exists (_tmp4_, NULL);
#line 498 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	if (_tmp5_) {
#line 3125 "RsyncTask.c"
		gchar* txt = NULL;
		const gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		gint _tmp9_ = 0;
#line 499 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp6_ = status_file;
#line 499 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp7_ = tee_jee_file_system_file_read (_tmp6_);
#line 499 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		txt = _tmp7_;
#line 500 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp8_ = txt;
#line 500 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_tmp9_ = atoi (_tmp8_);
#line 500 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		result = _tmp9_;
#line 500 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (txt);
#line 500 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_object_unref0 (f);
#line 500 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		_g_free0 (status_file);
#line 500 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
		return result;
#line 3151 "RsyncTask.c"
	}
#line 502 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	result = -1;
#line 502 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_object_unref0 (f);
#line 502 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (status_file);
#line 502 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	return result;
#line 3161 "RsyncTask.c"
}


static void rsync_task_class_init (RsyncTaskClass * klass) {
#line 31 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	rsync_task_parent_class = g_type_class_peek_parent (klass);
#line 31 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	g_type_class_add_private (klass, sizeof (RsyncTaskPrivate));
#line 31 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	((AsyncTaskClass *) klass)->parse_stdout_line = (void (*)(AsyncTask*, const gchar*)) rsync_task_real_parse_stdout_line;
#line 31 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	((AsyncTaskClass *) klass)->parse_stderr_line = (void (*)(AsyncTask*, const gchar*)) rsync_task_real_parse_stderr_line;
#line 31 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	((AsyncTaskClass *) klass)->finish_task = (void (*)(AsyncTask*)) rsync_task_real_finish_task;
#line 31 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	G_OBJECT_CLASS (klass)->finalize = rsync_task_finalize;
#line 3178 "RsyncTask.c"
}


static void rsync_task_instance_init (RsyncTask * self) {
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
#line 31 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->priv = RSYNC_TASK_GET_PRIVATE (self);
#line 34 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->delete_extra = TRUE;
#line 35 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->delete_after = FALSE;
#line 36 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->delete_excluded = FALSE;
#line 37 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->relative = FALSE;
#line 39 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp0_ = g_strdup ("");
#line 39 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->rsync_log_file = _tmp0_;
#line 40 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp1_ = g_strdup ("");
#line 40 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->exclude_from_file = _tmp1_;
#line 41 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp2_ = g_strdup ("");
#line 41 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->link_from_path = _tmp2_;
#line 42 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp3_ = g_strdup ("");
#line 42 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->source_path = _tmp3_;
#line 43 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_tmp4_ = g_strdup ("");
#line 43 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->dest_path = _tmp4_;
#line 44 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->verbose = TRUE;
#line 45 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->io_nice = TRUE;
#line 52 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->status_line_count = (gint64) 0;
#line 53 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self->total_size = (gint64) 0;
#line 3226 "RsyncTask.c"
}


static void rsync_task_finalize (GObject* obj) {
	RsyncTask * self;
#line 31 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_RSYNC_TASK, RsyncTask);
#line 39 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (self->rsync_log_file);
#line 40 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (self->exclude_from_file);
#line 41 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (self->link_from_path);
#line 42 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (self->source_path);
#line 43 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_free0 (self->dest_path);
#line 48 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	_g_object_unref0 (self->priv->regex_list);
#line 51 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	__g_queue_free__g_free0_0 (self->status_lines);
#line 31 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/RsyncTask.vala"
	G_OBJECT_CLASS (rsync_task_parent_class)->finalize (obj);
#line 3250 "RsyncTask.c"
}


GType rsync_task_get_type (void) {
	static volatile gsize rsync_task_type_id__volatile = 0;
	if (g_once_init_enter (&rsync_task_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (RsyncTaskClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) rsync_task_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (RsyncTask), 0, (GInstanceInitFunc) rsync_task_instance_init, NULL };
		GType rsync_task_type_id;
		rsync_task_type_id = g_type_register_static (TYPE_ASYNC_TASK, "RsyncTask", &g_define_type_info, 0);
		g_once_init_leave (&rsync_task_type_id__volatile, rsync_task_type_id);
	}
	return rsync_task_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



