/* TeeJee.FileSystem.c generated by valac 0.34.6, the Vala compiler
 * generated from TeeJee.FileSystem.vala, do not modify */

/*
 * TeeJee.FileSystem.vala
 *
 * Copyright 2012-17 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <glib/gstdio.h>
#include <glib/gi18n-lib.h>
#include <gee.h>
#include <stdio.h>

#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_date_time_unref0(var) ((var == NULL) ? NULL : (var = (g_date_time_unref (var), NULL)))
#define _fclose0(var) ((var == NULL) ? NULL : (var = (fclose (var), NULL)))
#define _g_checksum_free0(var) ((var == NULL) ? NULL : (var = (g_checksum_free (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))



#define TEE_JEE_FILE_SYSTEM_KB ((gint64) 1000)
#define TEE_JEE_FILE_SYSTEM_MB (1000 * TEE_JEE_FILE_SYSTEM_KB)
#define TEE_JEE_FILE_SYSTEM_GB (1000 * TEE_JEE_FILE_SYSTEM_MB)
#define TEE_JEE_FILE_SYSTEM_TB (1000 * TEE_JEE_FILE_SYSTEM_GB)
#define TEE_JEE_FILE_SYSTEM_KiB ((gint64) 1024)
#define TEE_JEE_FILE_SYSTEM_MiB (1024 * TEE_JEE_FILE_SYSTEM_KiB)
#define TEE_JEE_FILE_SYSTEM_GiB (1024 * TEE_JEE_FILE_SYSTEM_MiB)
#define TEE_JEE_FILE_SYSTEM_TiB (1024 * TEE_JEE_FILE_SYSTEM_GiB)
gchar* tee_jee_file_system_file_parent (const gchar* file_path);
gchar* tee_jee_file_system_file_basename (const gchar* file_path);
gchar* tee_jee_file_system_path_combine (const gchar* path1, const gchar* path2);
gchar* tee_jee_file_system_remove_trailing_slash (const gchar* path);
gboolean tee_jee_file_system_file_or_dir_exists (const gchar* item_path);
gboolean tee_jee_file_system_file_exists (const gchar* file_path);
gboolean tee_jee_file_system_file_exists_regular (const gchar* file_path);
gboolean tee_jee_file_system_file_delete (const gchar* file_path);
void tee_jee_logging_log_error (const gchar* message, gboolean highlight, gboolean is_warning);
gboolean tee_jee_file_system_file_move_to_trash (const gchar* file_path);
gchar* tee_jee_file_system_escape_single_quote (const gchar* file_path);
gboolean tee_jee_file_system_file_shred (const gchar* file_path);
gint64 tee_jee_file_system_file_line_count (const gchar* file_path);
gint tee_jee_process_helper_exec_sync (const gchar* cmd, gchar** std_out, gchar** std_err);
gchar* tee_jee_file_system_file_read (const gchar* file_path);
gboolean tee_jee_file_system_file_write (const gchar* file_path, const gchar* contents);
gboolean tee_jee_file_system_dir_create (const gchar* dir_path, gboolean show_message);
gboolean tee_jee_file_system_file_copy (const gchar* src_file, const gchar* dest_file);
void tee_jee_file_system_file_move (const gchar* src_file, const gchar* dest_file);
gboolean tee_jee_file_system_file_gzip (const gchar* src_file);
gboolean tee_jee_file_system_file_gunzip (const gchar* src_file);
gchar* tee_jee_file_system_file_resolve_executable_path (const gchar* file_path);
gint64 tee_jee_file_system_file_get_size (const gchar* file_path);
GDateTime* tee_jee_file_system_file_get_modified_date (const gchar* file_path);
gchar* tee_jee_file_system_file_get_symlink_target (const gchar* file_path);
gboolean tee_jee_file_system_dir_exists (const gchar* dir_path);
void tee_jee_logging_log_msg (const gchar* message, gboolean highlight);
gboolean tee_jee_file_system_dir_delete (const gchar* dir_path, gboolean show_message);
void tee_jee_logging_log_debug (const gchar* message);
gboolean tee_jee_file_system_dir_move_to_trash (const gchar* dir_path);
gboolean tee_jee_file_system_dir_is_empty (const gchar* dir_path);
gboolean tee_jee_file_system_filesystem_supports_hardlinks (const gchar* path, gboolean* is_readonly);
gchar* tee_jee_misc_random_string (gint length, const gchar* charset);
GeeArrayList* tee_jee_file_system_dir_list_names (const gchar* path);
static gint __lambda17_ (const gchar* a, const gchar* b);
static gint ___lambda17__gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self);
gboolean tee_jee_file_system_dir_tar (const gchar* src_dir, const gchar* tar_file, gboolean recursion);
gint tee_jee_process_helper_exec_script_sync (const gchar* script, gchar** std_out, gchar** std_err, gboolean supress_errors, gboolean run_as_admin, gboolean cleanup_tmp, gboolean print_to_terminal);
gboolean tee_jee_file_system_dir_untar (const gchar* tar_file, const gchar* dst_dir);
gboolean tee_jee_file_system_chown (const gchar* dir_path, const gchar* user, const gchar* group);
glong tee_jee_file_system_dir_count (const gchar* path);
glong tee_jee_file_system_dir_size (const gchar* path);
glong tee_jee_file_system_dir_size_kb (const gchar* path);
gboolean tee_jee_file_system_file_tar_encrypt (const gchar* src_file, const gchar* dst_file, const gchar* password);
gchar* tee_jee_file_system_file_decrypt_untar_read (const gchar* src_file, const gchar* password);
gboolean tee_jee_file_system_decrypt_and_untar (const gchar* src_file, const gchar* dst_file, const gchar* password);
gchar* tee_jee_file_system_hash_md5 (const gchar* path);
gchar* tee_jee_file_system_format_file_size (guint64 size, gboolean binary_units, const gchar* unit, gboolean show_units, gint decimals);
gint tee_jee_file_system_chmod (const gchar* file, const gchar* permission);
gchar* tee_jee_file_system_resolve_relative_path (const gchar* filePath);
gint tee_jee_file_system_rsync (const gchar* sourceDirectory, const gchar* destDirectory, gboolean updateExisting, gboolean deleteExtra);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


gchar* tee_jee_file_system_file_parent (const gchar* file_path) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	GFile* _tmp3_ = NULL;
	GFile* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
#line 45 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = file_path;
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_file_new_for_path (_tmp0_);
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = _tmp1_;
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = g_file_get_parent (_tmp2_);
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = g_file_get_path (_tmp4_);
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp6_ = _tmp5_;
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_object_unref0 (_tmp4_);
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_object_unref0 (_tmp2_);
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp6_;
#line 46 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 145 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_file_basename (const gchar* file_path) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
#line 49 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 50 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = file_path;
#line 50 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_file_new_for_path (_tmp0_);
#line 50 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = _tmp1_;
#line 50 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = g_file_get_basename (_tmp2_);
#line 50 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 50 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_object_unref0 (_tmp2_);
#line 50 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp4_;
#line 50 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 174 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_path_combine (const gchar* path1, const gchar* path2) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 53 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path1 != NULL, NULL);
#line 53 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path2 != NULL, NULL);
#line 54 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = path1;
#line 54 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = path2;
#line 54 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_build_path ("/", _tmp0_, _tmp1_, NULL);
#line 54 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp2_;
#line 54 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 197 "TeeJee.FileSystem.c"
}


static gchar* string_slice (const gchar* self, glong start, glong end) {
	gchar* result = NULL;
	glong string_length = 0L;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	glong _tmp2_ = 0L;
	glong _tmp5_ = 0L;
	gboolean _tmp8_ = FALSE;
	glong _tmp9_ = 0L;
	gboolean _tmp12_ = FALSE;
	glong _tmp13_ = 0L;
	glong _tmp16_ = 0L;
	glong _tmp17_ = 0L;
	glong _tmp18_ = 0L;
	glong _tmp19_ = 0L;
	glong _tmp20_ = 0L;
	gchar* _tmp21_ = NULL;
#line 1328 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1329 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1329 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1329 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	string_length = (glong) _tmp1_;
#line 1330 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp2_ = start;
#line 1330 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp2_ < ((glong) 0)) {
#line 230 "TeeJee.FileSystem.c"
		glong _tmp3_ = 0L;
		glong _tmp4_ = 0L;
#line 1331 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = string_length;
#line 1331 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = start;
#line 1331 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		start = _tmp3_ + _tmp4_;
#line 239 "TeeJee.FileSystem.c"
	}
#line 1333 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp5_ = end;
#line 1333 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp5_ < ((glong) 0)) {
#line 245 "TeeJee.FileSystem.c"
		glong _tmp6_ = 0L;
		glong _tmp7_ = 0L;
#line 1334 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6_ = string_length;
#line 1334 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp7_ = end;
#line 1334 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		end = _tmp6_ + _tmp7_;
#line 254 "TeeJee.FileSystem.c"
	}
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp9_ = start;
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp9_ >= ((glong) 0)) {
#line 260 "TeeJee.FileSystem.c"
		glong _tmp10_ = 0L;
		glong _tmp11_ = 0L;
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp10_ = start;
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp11_ = string_length;
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = _tmp10_ <= _tmp11_;
#line 269 "TeeJee.FileSystem.c"
	} else {
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = FALSE;
#line 273 "TeeJee.FileSystem.c"
	}
#line 1336 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp8_, NULL);
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp13_ = end;
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp13_ >= ((glong) 0)) {
#line 281 "TeeJee.FileSystem.c"
		glong _tmp14_ = 0L;
		glong _tmp15_ = 0L;
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp14_ = end;
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp15_ = string_length;
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp12_ = _tmp14_ <= _tmp15_;
#line 290 "TeeJee.FileSystem.c"
	} else {
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp12_ = FALSE;
#line 294 "TeeJee.FileSystem.c"
	}
#line 1337 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp12_, NULL);
#line 1338 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp16_ = start;
#line 1338 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp17_ = end;
#line 1338 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp16_ <= _tmp17_, NULL);
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp18_ = start;
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp19_ = end;
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp20_ = start;
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp21_ = g_strndup (((gchar*) self) + _tmp18_, (gsize) (_tmp19_ - _tmp20_));
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp21_;
#line 1339 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 316 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_remove_trailing_slash (const gchar* path) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 57 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path != NULL, NULL);
#line 58 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = path;
#line 58 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_str_has_suffix (_tmp0_, "/");
#line 58 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp1_) {
#line 332 "TeeJee.FileSystem.c"
		const gchar* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		gint _tmp4_ = 0;
		gint _tmp5_ = 0;
		gchar* _tmp6_ = NULL;
#line 59 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = path;
#line 59 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = path;
#line 59 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = strlen (_tmp3_);
#line 59 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = _tmp4_;
#line 59 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = string_slice (_tmp2_, (glong) 0, (glong) (_tmp5_ - 1));
#line 59 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		result = _tmp6_;
#line 59 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 352 "TeeJee.FileSystem.c"
	} else {
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
#line 62 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = path;
#line 62 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = g_strdup (_tmp7_);
#line 62 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		result = _tmp8_;
#line 62 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 364 "TeeJee.FileSystem.c"
	}
}


gboolean tee_jee_file_system_file_or_dir_exists (const gchar* item_path) {
	gboolean result = FALSE;
	GFile* item = NULL;
	const gchar* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 68 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (item_path != NULL, FALSE);
#line 72 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = item_path;
#line 72 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_file_parse_name (_tmp0_);
#line 72 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	item = _tmp1_;
#line 73 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_file_query_exists (item, NULL);
#line 73 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp2_;
#line 73 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_object_unref0 (item);
#line 73 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 391 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_file_exists (const gchar* file_path) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 76 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, FALSE);
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = file_path;
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_file_test (_tmp1_, G_FILE_TEST_EXISTS);
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp2_) {
#line 408 "TeeJee.FileSystem.c"
		const gchar* _tmp3_ = NULL;
		gboolean _tmp4_ = FALSE;
#line 79 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = file_path;
#line 79 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = g_file_test (_tmp3_, G_FILE_TEST_IS_DIR);
#line 79 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = !_tmp4_;
#line 417 "TeeJee.FileSystem.c"
	} else {
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = FALSE;
#line 421 "TeeJee.FileSystem.c"
	}
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp0_;
#line 78 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 427 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_file_exists_regular (const gchar* file_path) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 82 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, FALSE);
#line 84 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = file_path;
#line 84 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_file_test (_tmp1_, G_FILE_TEST_EXISTS);
#line 84 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp2_) {
#line 444 "TeeJee.FileSystem.c"
		const gchar* _tmp3_ = NULL;
		gboolean _tmp4_ = FALSE;
#line 85 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = file_path;
#line 85 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = g_file_test (_tmp3_, G_FILE_TEST_IS_REGULAR);
#line 85 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = _tmp4_;
#line 453 "TeeJee.FileSystem.c"
	} else {
#line 84 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = FALSE;
#line 457 "TeeJee.FileSystem.c"
	}
#line 84 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp0_;
#line 84 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 463 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_file_delete (const gchar* file_path) {
	gboolean result = FALSE;
	gboolean _tmp13_ = FALSE;
	GError * _inner_error_ = NULL;
#line 88 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, FALSE);
#line 473 "TeeJee.FileSystem.c"
	{
		GFile* file = NULL;
		const gchar* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 93 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = file_path;
#line 93 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_new_for_path (_tmp0_);
#line 93 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		file = _tmp1_;
#line 94 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = file;
#line 94 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 94 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 492 "TeeJee.FileSystem.c"
			GFile* _tmp4_ = NULL;
#line 95 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = file;
#line 95 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			g_file_delete (_tmp4_, NULL, &_inner_error_);
#line 95 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 95 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 502 "TeeJee.FileSystem.c"
				goto __catch63_g_error;
			}
		}
#line 97 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		result = TRUE;
#line 97 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 97 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 512 "TeeJee.FileSystem.c"
	}
	goto __finally63;
	__catch63_g_error:
	{
		GError* e = NULL;
		GError* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
#line 92 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 92 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 99 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = e;
#line 99 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = _tmp5_->message;
#line 99 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp6_, FALSE, FALSE);
#line 100 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = _ ("Failed to delete file");
#line 100 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = file_path;
#line 100 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = g_strdup_printf (": %s", _tmp8_);
#line 100 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = _tmp9_;
#line 100 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = g_strconcat (_tmp7_, _tmp10_, NULL);
#line 100 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = _tmp11_;
#line 100 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp12_, FALSE, FALSE);
#line 100 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp12_);
#line 100 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp10_);
#line 101 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		result = FALSE;
#line 101 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 101 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 560 "TeeJee.FileSystem.c"
	}
	__finally63:
#line 92 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 92 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_clear_error (&_inner_error_);
#line 92 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return _tmp13_;
#line 569 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_file_move_to_trash (const gchar* file_path) {
	gboolean result = FALSE;
	GFile* file = NULL;
	const gchar* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
#line 105 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, FALSE);
#line 109 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = file_path;
#line 109 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_file_new_for_path (_tmp0_);
#line 109 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	file = _tmp1_;
#line 110 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = file;
#line 110 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 110 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp3_) {
#line 594 "TeeJee.FileSystem.c"
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
#line 111 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = file_path;
#line 111 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = tee_jee_file_system_escape_single_quote (_tmp4_);
#line 111 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = _tmp5_;
#line 111 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = g_strdup_printf ("gvfs-trash '%s'", _tmp6_);
#line 111 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = _tmp7_;
#line 111 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		system (_tmp8_);
#line 111 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp8_);
#line 111 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp6_);
#line 616 "TeeJee.FileSystem.c"
	}
#line 113 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = TRUE;
#line 113 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_object_unref0 (file);
#line 113 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 624 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_file_shred (const gchar* file_path) {
	gboolean result = FALSE;
	GFile* file = NULL;
	const gchar* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
#line 116 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, FALSE);
#line 120 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = file_path;
#line 120 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_file_new_for_path (_tmp0_);
#line 120 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	file = _tmp1_;
#line 121 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = file;
#line 121 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 121 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp3_) {
#line 649 "TeeJee.FileSystem.c"
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = file_path;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = tee_jee_file_system_escape_single_quote (_tmp4_);
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = _tmp5_;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = g_strdup_printf ("shred -u '%s'", _tmp6_);
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = _tmp7_;
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		system (_tmp8_);
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp8_);
#line 122 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp6_);
#line 671 "TeeJee.FileSystem.c"
	}
#line 124 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = TRUE;
#line 124 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_object_unref0 (file);
#line 124 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 679 "TeeJee.FileSystem.c"
}


gint64 tee_jee_file_system_file_line_count (const gchar* file_path) {
	gint64 result = 0LL;
	gchar* cmd = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar** _tmp7_ = NULL;
	gchar** _tmp8_ = NULL;
	gchar** _tmp9_ = NULL;
	gint _tmp9__length1 = 0;
	const gchar* _tmp10_ = NULL;
	glong _tmp11_ = 0L;
	gint64 _tmp12_ = 0LL;
#line 127 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, 0LL);
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = file_path;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_escape_single_quote (_tmp0_);
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = _tmp1_;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = g_strdup_printf ("wc -l '%s'", _tmp2_);
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp2_);
#line 129 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp4_;
#line 131 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_process_helper_exec_sync (cmd, &_tmp5_, &_tmp6_);
#line 131 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 131 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	std_out = _tmp5_;
#line 131 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 131 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	std_err = _tmp6_;
#line 132 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp8_ = _tmp7_ = g_strsplit (std_out, "\t", 0);
#line 132 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = _tmp8_;
#line 132 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp9__length1 = _vala_array_length (_tmp7_);
#line 132 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp10_ = _tmp9_[0];
#line 132 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp11_ = atol (_tmp10_);
#line 132 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp12_ = (gint64) _tmp11_;
#line 132 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = (_vala_array_free (_tmp9_, _tmp9__length1, (GDestroyNotify) g_free), NULL);
#line 132 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp12_;
#line 132 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 132 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 132 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 132 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 752 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_file_read (const gchar* file_path) {
	gchar* result = NULL;
	gchar* txt = NULL;
	gsize size = 0UL;
	GError * _inner_error_ = NULL;
#line 135 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 763 "TeeJee.FileSystem.c"
	{
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gsize _tmp2_ = 0UL;
#line 143 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = file_path;
#line 143 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_file_get_contents (_tmp0_, &_tmp1_, &_tmp2_, &_inner_error_);
#line 143 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (txt);
#line 143 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		txt = _tmp1_;
#line 143 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		size = _tmp2_;
#line 143 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 780 "TeeJee.FileSystem.c"
			goto __catch64_g_error;
		}
#line 144 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		result = txt;
#line 144 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 787 "TeeJee.FileSystem.c"
	}
	goto __finally64;
	__catch64_g_error:
	{
		GError* e = NULL;
		GError* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
#line 142 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 142 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 147 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = e;
#line 147 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = _tmp3_->message;
#line 147 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp4_, FALSE, FALSE);
#line 148 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = _ ("Failed to read file");
#line 148 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = file_path;
#line 148 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = g_strdup_printf (": %s", _tmp6_);
#line 148 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = _tmp7_;
#line 148 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = g_strconcat (_tmp5_, _tmp8_, NULL);
#line 148 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = _tmp9_;
#line 148 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp10_, FALSE, FALSE);
#line 148 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp10_);
#line 148 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp8_);
#line 142 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 831 "TeeJee.FileSystem.c"
	}
	__finally64:
#line 142 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 142 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (txt);
#line 142 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 142 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error_);
#line 142 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return NULL;
#line 844 "TeeJee.FileSystem.c"
	}
#line 151 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = NULL;
#line 151 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (txt);
#line 151 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 852 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_file_write (const gchar* file_path, const gchar* contents) {
	gboolean result = FALSE;
	gboolean _tmp23_ = FALSE;
	GError * _inner_error_ = NULL;
#line 154 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, FALSE);
#line 154 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (contents != NULL, FALSE);
#line 864 "TeeJee.FileSystem.c"
	{
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GFile* file = NULL;
		const gchar* _tmp3_ = NULL;
		GFile* _tmp4_ = NULL;
		GFile* _tmp5_ = NULL;
		gboolean _tmp6_ = FALSE;
		GFileOutputStream* file_stream = NULL;
		GFile* _tmp8_ = NULL;
		GFileOutputStream* _tmp9_ = NULL;
		GDataOutputStream* data_stream = NULL;
		GFileOutputStream* _tmp10_ = NULL;
		GDataOutputStream* _tmp11_ = NULL;
		GDataOutputStream* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
		GDataOutputStream* _tmp14_ = NULL;
#line 160 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = file_path;
#line 160 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = tee_jee_file_system_file_parent (_tmp0_);
#line 160 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = _tmp1_;
#line 160 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_file_system_dir_create (_tmp2_, FALSE);
#line 160 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp2_);
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = file_path;
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = g_file_new_for_path (_tmp3_);
#line 162 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		file = _tmp4_;
#line 163 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = file;
#line 163 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = g_file_query_exists (_tmp5_, NULL);
#line 163 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp6_) {
#line 905 "TeeJee.FileSystem.c"
			GFile* _tmp7_ = NULL;
#line 164 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = file;
#line 164 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			g_file_delete (_tmp7_, NULL, &_inner_error_);
#line 164 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 164 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 915 "TeeJee.FileSystem.c"
				goto __catch65_g_error;
			}
		}
#line 167 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = file;
#line 167 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = g_file_create (_tmp8_, G_FILE_CREATE_REPLACE_DESTINATION, NULL, &_inner_error_);
#line 167 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		file_stream = _tmp9_;
#line 167 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 167 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 929 "TeeJee.FileSystem.c"
			goto __catch65_g_error;
		}
#line 168 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = file_stream;
#line 168 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = g_data_output_stream_new ((GOutputStream*) _tmp10_);
#line 168 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		data_stream = _tmp11_;
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = data_stream;
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = contents;
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_data_output_stream_put_string (_tmp12_, _tmp13_, NULL, &_inner_error_);
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (data_stream);
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file_stream);
#line 169 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 952 "TeeJee.FileSystem.c"
			goto __catch65_g_error;
		}
#line 170 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = data_stream;
#line 170 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_output_stream_close ((GOutputStream*) _tmp14_, NULL, &_inner_error_);
#line 170 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 170 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (data_stream);
#line 170 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file_stream);
#line 170 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 967 "TeeJee.FileSystem.c"
			goto __catch65_g_error;
		}
#line 171 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		result = TRUE;
#line 171 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (data_stream);
#line 171 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file_stream);
#line 171 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 171 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 980 "TeeJee.FileSystem.c"
	}
	goto __finally65;
	__catch65_g_error:
	{
		GError* e = NULL;
		GError* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
#line 158 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 158 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 174 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = e;
#line 174 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = _tmp15_->message;
#line 174 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp16_, FALSE, FALSE);
#line 175 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = _ ("Failed to write file");
#line 175 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = file_path;
#line 175 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = g_strdup_printf (": %s", _tmp18_);
#line 175 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = _tmp19_;
#line 175 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = g_strconcat (_tmp17_, _tmp20_, NULL);
#line 175 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = _tmp21_;
#line 175 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp22_, FALSE, FALSE);
#line 175 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp22_);
#line 175 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp20_);
#line 176 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		result = FALSE;
#line 176 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 176 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 1028 "TeeJee.FileSystem.c"
	}
	__finally65:
#line 158 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 158 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_clear_error (&_inner_error_);
#line 158 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return _tmp23_;
#line 1037 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_file_copy (const gchar* src_file, const gchar* dest_file) {
	gboolean result = FALSE;
	GError * _inner_error_ = NULL;
#line 180 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (src_file != NULL, FALSE);
#line 180 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dest_file != NULL, FALSE);
#line 1048 "TeeJee.FileSystem.c"
	{
		GFile* file_src = NULL;
		const gchar* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 182 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = src_file;
#line 182 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_new_for_path (_tmp0_);
#line 182 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		file_src = _tmp1_;
#line 183 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = file_src;
#line 183 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 183 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 1067 "TeeJee.FileSystem.c"
			GFile* file_dest = NULL;
			const gchar* _tmp4_ = NULL;
			GFile* _tmp5_ = NULL;
			GFile* _tmp6_ = NULL;
			GFile* _tmp7_ = NULL;
#line 184 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = dest_file;
#line 184 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = g_file_new_for_path (_tmp4_);
#line 184 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			file_dest = _tmp5_;
#line 185 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = file_src;
#line 185 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = file_dest;
#line 185 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			g_file_copy (_tmp6_, _tmp7_, G_FILE_COPY_OVERWRITE, NULL, NULL, NULL, &_inner_error_);
#line 185 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 185 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file_dest);
#line 185 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file_src);
#line 1091 "TeeJee.FileSystem.c"
				goto __catch66_g_error;
			}
#line 186 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			result = TRUE;
#line 186 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file_dest);
#line 186 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file_src);
#line 186 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 1102 "TeeJee.FileSystem.c"
		}
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file_src);
#line 1106 "TeeJee.FileSystem.c"
	}
	goto __finally66;
	__catch66_g_error:
	{
		GError* e = NULL;
		GError* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 190 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = e;
#line 190 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = _tmp8_->message;
#line 190 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp9_, FALSE, FALSE);
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = _ ("Failed to copy file");
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = src_file;
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = dest_file;
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = g_strdup_printf (": '%s', '%s'", _tmp11_, _tmp12_);
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = _tmp13_;
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = g_strconcat (_tmp10_, _tmp14_, NULL);
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = _tmp15_;
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp16_, FALSE, FALSE);
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp16_);
#line 191 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp14_);
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 1153 "TeeJee.FileSystem.c"
	}
	__finally66:
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1158 "TeeJee.FileSystem.c"
		gboolean _tmp17_ = FALSE;
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error_);
#line 181 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return _tmp17_;
#line 1166 "TeeJee.FileSystem.c"
	}
#line 194 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = FALSE;
#line 194 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 1172 "TeeJee.FileSystem.c"
}


void tee_jee_file_system_file_move (const gchar* src_file, const gchar* dest_file) {
	GError * _inner_error_ = NULL;
#line 197 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_if_fail (src_file != NULL);
#line 197 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_if_fail (dest_file != NULL);
#line 1182 "TeeJee.FileSystem.c"
	{
		GFile* file_src = NULL;
		const gchar* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 199 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = src_file;
#line 199 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_new_for_path (_tmp0_);
#line 199 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		file_src = _tmp1_;
#line 200 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = file_src;
#line 200 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 200 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 1201 "TeeJee.FileSystem.c"
			GFile* file_dest = NULL;
			const gchar* _tmp4_ = NULL;
			GFile* _tmp5_ = NULL;
			GFile* _tmp6_ = NULL;
			GFile* _tmp7_ = NULL;
#line 201 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = dest_file;
#line 201 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = g_file_new_for_path (_tmp4_);
#line 201 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			file_dest = _tmp5_;
#line 202 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = file_src;
#line 202 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = file_dest;
#line 202 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			g_file_move (_tmp6_, _tmp7_, G_FILE_COPY_OVERWRITE, NULL, NULL, NULL, &_inner_error_);
#line 202 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 202 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file_dest);
#line 202 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file_src);
#line 1225 "TeeJee.FileSystem.c"
				goto __catch67_g_error;
			}
#line 200 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file_dest);
#line 1230 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp8_ = NULL;
			const gchar* _tmp9_ = NULL;
			gchar* _tmp10_ = NULL;
			gchar* _tmp11_ = NULL;
			gchar* _tmp12_ = NULL;
			gchar* _tmp13_ = NULL;
#line 205 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = _ ("File not found");
#line 205 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp9_ = src_file;
#line 205 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp10_ = g_strdup_printf (": '%s'", _tmp9_);
#line 205 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp11_ = _tmp10_;
#line 205 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp12_ = g_strconcat (_tmp8_, _tmp11_, NULL);
#line 205 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp13_ = _tmp12_;
#line 205 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_error (_tmp13_, FALSE, FALSE);
#line 205 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp13_);
#line 205 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp11_);
#line 1256 "TeeJee.FileSystem.c"
		}
#line 198 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file_src);
#line 1260 "TeeJee.FileSystem.c"
	}
	goto __finally67;
	__catch67_g_error:
	{
		GError* e = NULL;
		GError* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
#line 198 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 198 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 209 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = e;
#line 209 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = _tmp14_->message;
#line 209 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp15_, FALSE, FALSE);
#line 210 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = _ ("Failed to move file");
#line 210 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = src_file;
#line 210 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = dest_file;
#line 210 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = g_strdup_printf (": '%s', '%s'", _tmp17_, _tmp18_);
#line 210 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = _tmp19_;
#line 210 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = g_strconcat (_tmp16_, _tmp20_, NULL);
#line 210 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = _tmp21_;
#line 210 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp22_, FALSE, FALSE);
#line 210 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp22_);
#line 210 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp20_);
#line 198 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 1307 "TeeJee.FileSystem.c"
	}
	__finally67:
#line 198 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 198 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 198 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error_);
#line 198 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return;
#line 1318 "TeeJee.FileSystem.c"
	}
}


gboolean tee_jee_file_system_file_gzip (const gchar* src_file) {
	gboolean result = FALSE;
	gchar* dst_file = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* cmd = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
#line 214 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (src_file != NULL, FALSE);
#line 216 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = src_file;
#line 216 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_strconcat (_tmp0_, ".gz", NULL);
#line 216 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	dst_file = _tmp1_;
#line 217 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_file_system_file_delete (dst_file);
#line 219 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = src_file;
#line 219 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = tee_jee_file_system_escape_single_quote (_tmp2_);
#line 219 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 219 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = g_strdup_printf ("gzip '%s'", _tmp4_);
#line 219 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp6_ = _tmp5_;
#line 219 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp4_);
#line 219 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp6_;
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_process_helper_exec_sync (cmd, &_tmp7_, &_tmp8_);
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	std_out = _tmp7_;
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 221 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	std_err = _tmp8_;
#line 223 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = tee_jee_file_system_file_exists (dst_file);
#line 223 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp9_;
#line 223 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 223 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 223 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 223 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (dst_file);
#line 223 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 1387 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_file_gunzip (const gchar* src_file) {
	gboolean result = FALSE;
	gchar* dst_file = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* cmd = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
#line 226 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (src_file != NULL, FALSE);
#line 228 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = src_file;
#line 228 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 228 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	dst_file = _tmp1_;
#line 229 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_file_system_file_delete (dst_file);
#line 231 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = src_file;
#line 231 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = tee_jee_file_system_escape_single_quote (_tmp2_);
#line 231 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 231 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = g_strdup_printf ("gunzip '%s'", _tmp4_);
#line 231 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp6_ = _tmp5_;
#line 231 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp4_);
#line 231 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp6_;
#line 233 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_process_helper_exec_sync (cmd, &_tmp7_, &_tmp8_);
#line 233 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 233 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	std_out = _tmp7_;
#line 233 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 233 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	std_err = _tmp8_;
#line 235 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = tee_jee_file_system_file_exists (dst_file);
#line 235 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp9_;
#line 235 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 235 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 235 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 235 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (dst_file);
#line 235 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 1455 "TeeJee.FileSystem.c"
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 1376 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1376 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 1475 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_file_resolve_executable_path (const gchar* file_path) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 238 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 240 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = file_path;
#line 240 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_str_has_prefix (_tmp0_, "/");
#line 240 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp1_) {
#line 1491 "TeeJee.FileSystem.c"
		const gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
#line 241 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = file_path;
#line 241 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_strdup (_tmp2_);
#line 241 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		result = _tmp3_;
#line 241 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 1502 "TeeJee.FileSystem.c"
	} else {
		const gchar* _tmp4_ = NULL;
		gboolean _tmp5_ = FALSE;
#line 243 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = file_path;
#line 243 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = string_contains (_tmp4_, "/");
#line 243 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (!_tmp5_) {
#line 1512 "TeeJee.FileSystem.c"
			const gchar* _tmp6_ = NULL;
			gchar* _tmp7_ = NULL;
#line 244 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = file_path;
#line 244 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = g_find_program_in_path (_tmp6_);
#line 244 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			result = _tmp7_;
#line 244 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 1523 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp8_ = NULL;
			gboolean _tmp9_ = FALSE;
#line 246 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = file_path;
#line 246 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp9_ = g_str_has_prefix (_tmp8_, "./");
#line 246 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp9_) {
#line 1533 "TeeJee.FileSystem.c"
				gchar* _tmp10_ = NULL;
				gchar* _tmp11_ = NULL;
				const gchar* _tmp12_ = NULL;
				const gchar* _tmp13_ = NULL;
				gint _tmp14_ = 0;
				gint _tmp15_ = 0;
				gchar* _tmp16_ = NULL;
				gchar* _tmp17_ = NULL;
				gchar* _tmp18_ = NULL;
				gchar* _tmp19_ = NULL;
#line 247 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp10_ = g_get_current_dir ();
#line 247 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp11_ = _tmp10_;
#line 247 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp12_ = file_path;
#line 247 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp13_ = file_path;
#line 247 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp14_ = strlen (_tmp13_);
#line 247 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp15_ = _tmp14_;
#line 247 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp16_ = string_slice (_tmp12_, (glong) 2, (glong) _tmp15_);
#line 247 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp17_ = _tmp16_;
#line 247 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp18_ = tee_jee_file_system_path_combine (_tmp11_, _tmp17_);
#line 247 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp19_ = _tmp18_;
#line 247 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (_tmp17_);
#line 247 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (_tmp11_);
#line 247 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				result = _tmp19_;
#line 247 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				return result;
#line 1572 "TeeJee.FileSystem.c"
			} else {
				const gchar* _tmp20_ = NULL;
				gboolean _tmp21_ = FALSE;
#line 249 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp20_ = file_path;
#line 249 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp21_ = g_str_has_prefix (_tmp20_, "../");
#line 249 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				if (_tmp21_) {
#line 1582 "TeeJee.FileSystem.c"
					gchar* _tmp22_ = NULL;
					gchar* _tmp23_ = NULL;
					gchar* _tmp24_ = NULL;
					gchar* _tmp25_ = NULL;
					const gchar* _tmp26_ = NULL;
					const gchar* _tmp27_ = NULL;
					gint _tmp28_ = 0;
					gint _tmp29_ = 0;
					gchar* _tmp30_ = NULL;
					gchar* _tmp31_ = NULL;
					gchar* _tmp32_ = NULL;
					gchar* _tmp33_ = NULL;
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp22_ = g_get_current_dir ();
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp23_ = _tmp22_;
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp24_ = tee_jee_file_system_file_parent (_tmp23_);
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp25_ = _tmp24_;
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp26_ = file_path;
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp27_ = file_path;
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp28_ = strlen (_tmp27_);
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp29_ = _tmp28_;
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp30_ = string_slice (_tmp26_, (glong) 3, (glong) _tmp29_);
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp31_ = _tmp30_;
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp32_ = tee_jee_file_system_path_combine (_tmp25_, _tmp31_);
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp33_ = _tmp32_;
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp31_);
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp25_);
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp23_);
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					result = _tmp33_;
#line 250 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					return result;
#line 1629 "TeeJee.FileSystem.c"
				} else {
					gchar* _tmp34_ = NULL;
					gchar* _tmp35_ = NULL;
					const gchar* _tmp36_ = NULL;
					gchar* _tmp37_ = NULL;
					gchar* _tmp38_ = NULL;
#line 253 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp34_ = g_get_current_dir ();
#line 253 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp35_ = _tmp34_;
#line 253 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp36_ = file_path;
#line 253 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp37_ = tee_jee_file_system_path_combine (_tmp35_, _tmp36_);
#line 253 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp38_ = _tmp37_;
#line 253 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp35_);
#line 253 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					result = _tmp38_;
#line 253 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					return result;
#line 1652 "TeeJee.FileSystem.c"
				}
			}
		}
	}
}


gint64 tee_jee_file_system_file_get_size (const gchar* file_path) {
	gint64 result = 0LL;
	GError * _inner_error_ = NULL;
#line 259 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, 0LL);
#line 1665 "TeeJee.FileSystem.c"
	{
		GFile* file = NULL;
		const gchar* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 261 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = file_path;
#line 261 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_parse_name (_tmp0_);
#line 261 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		file = _tmp1_;
#line 262 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = file_path;
#line 262 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_file_test (_tmp2_, G_FILE_TEST_EXISTS);
#line 262 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 1684 "TeeJee.FileSystem.c"
			gboolean _tmp4_ = FALSE;
			const gchar* _tmp5_ = NULL;
			gboolean _tmp6_ = FALSE;
#line 263 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = file_path;
#line 263 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = g_file_test (_tmp5_, G_FILE_TEST_IS_REGULAR);
#line 263 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp6_) {
#line 1694 "TeeJee.FileSystem.c"
				const gchar* _tmp7_ = NULL;
				gboolean _tmp8_ = FALSE;
#line 264 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp7_ = file_path;
#line 264 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp8_ = g_file_test (_tmp7_, G_FILE_TEST_IS_SYMLINK);
#line 264 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp4_ = !_tmp8_;
#line 1703 "TeeJee.FileSystem.c"
			} else {
#line 263 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp4_ = FALSE;
#line 1707 "TeeJee.FileSystem.c"
			}
#line 263 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp4_) {
#line 1711 "TeeJee.FileSystem.c"
				GFileInfo* _tmp9_ = NULL;
				GFile* _tmp10_ = NULL;
				GFileInfo* _tmp11_ = NULL;
				GFileInfo* _tmp12_ = NULL;
				GFileInfo* _tmp13_ = NULL;
				gint64 _tmp14_ = 0LL;
				gint64 _tmp15_ = 0LL;
#line 265 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp10_ = file;
#line 265 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp11_ = g_file_query_info (_tmp10_, "standard::size", 0, NULL, &_inner_error_);
#line 265 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp9_ = _tmp11_;
#line 265 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 265 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_object_unref0 (file);
#line 1729 "TeeJee.FileSystem.c"
					goto __catch68_g_error;
				}
#line 265 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp12_ = _tmp9_;
#line 265 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp9_ = NULL;
#line 265 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp13_ = _tmp12_;
#line 265 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp14_ = g_file_info_get_size (_tmp13_);
#line 265 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp15_ = _tmp14_;
#line 265 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (_tmp13_);
#line 265 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				result = _tmp15_;
#line 265 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (_tmp9_);
#line 265 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 265 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				return result;
#line 1752 "TeeJee.FileSystem.c"
			}
		}
#line 260 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 1757 "TeeJee.FileSystem.c"
	}
	goto __finally68;
	__catch68_g_error:
	{
		GError* e = NULL;
		GError* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
#line 260 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 260 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 270 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = e;
#line 270 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = _tmp16_->message;
#line 270 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp17_, FALSE, FALSE);
#line 260 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 1777 "TeeJee.FileSystem.c"
	}
	__finally68:
#line 260 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1782 "TeeJee.FileSystem.c"
		gint64 _tmp18_ = 0LL;
#line 260 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 260 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error_);
#line 260 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return _tmp18_;
#line 1790 "TeeJee.FileSystem.c"
	}
#line 273 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = (gint64) -1;
#line 273 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 1796 "TeeJee.FileSystem.c"
}


GDateTime* tee_jee_file_system_file_get_modified_date (const gchar* file_path) {
	GDateTime* result = NULL;
	GDateTime* _tmp19_ = NULL;
	GError * _inner_error_ = NULL;
#line 276 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 1806 "TeeJee.FileSystem.c"
	{
		GFileInfo* info = NULL;
		GFile* file = NULL;
		const gchar* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 279 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = file_path;
#line 279 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_parse_name (_tmp0_);
#line 279 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		file = _tmp1_;
#line 280 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = file;
#line 280 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 280 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 1826 "TeeJee.FileSystem.c"
			GFileInfo* _tmp4_ = NULL;
			GFile* _tmp5_ = NULL;
			gchar* _tmp6_ = NULL;
			gchar* _tmp7_ = NULL;
			GFileInfo* _tmp8_ = NULL;
			GFileInfo* _tmp9_ = NULL;
			GFileInfo* _tmp10_ = NULL;
			GFileInfo* _tmp11_ = NULL;
			GTimeVal _tmp12_ = {0};
			GDateTime* _tmp13_ = NULL;
			GDateTime* _tmp14_ = NULL;
			GDateTime* _tmp15_ = NULL;
			GDateTime* _tmp16_ = NULL;
#line 281 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = file;
#line 281 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = g_strdup_printf ("%s", G_FILE_ATTRIBUTE_TIME_MODIFIED);
#line 281 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = _tmp6_;
#line 281 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = g_file_query_info (_tmp5_, _tmp7_, 0, NULL, &_inner_error_);
#line 281 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp9_ = _tmp8_;
#line 281 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp7_);
#line 281 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = _tmp9_;
#line 281 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 281 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 281 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (info);
#line 1860 "TeeJee.FileSystem.c"
				goto __catch69_g_error;
			}
#line 281 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp10_ = _tmp4_;
#line 281 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = NULL;
#line 281 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (info);
#line 281 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			info = _tmp10_;
#line 282 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp11_ = info;
#line 282 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			g_file_info_get_modification_time (_tmp11_, &_tmp12_);
#line 282 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp13_ = g_date_time_new_from_timeval_utc (&_tmp12_);
#line 282 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp14_ = _tmp13_;
#line 282 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp15_ = g_date_time_to_local (_tmp14_);
#line 282 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp16_ = _tmp15_;
#line 282 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_date_time_unref0 (_tmp14_);
#line 282 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			result = _tmp16_;
#line 282 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (_tmp4_);
#line 282 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 282 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (info);
#line 282 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 1895 "TeeJee.FileSystem.c"
		}
#line 277 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 277 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (info);
#line 1901 "TeeJee.FileSystem.c"
	}
	goto __finally69;
	__catch69_g_error:
	{
		GError* e = NULL;
		GError* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
#line 277 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 277 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 286 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = e;
#line 286 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = _tmp17_->message;
#line 286 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp18_, FALSE, FALSE);
#line 277 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 1921 "TeeJee.FileSystem.c"
	}
	__finally69:
#line 277 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 277 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 277 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error_);
#line 277 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return NULL;
#line 1932 "TeeJee.FileSystem.c"
	}
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp19_ = g_date_time_new_from_unix_utc ((gint64) 0);
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp19_;
#line 289 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 1940 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_file_get_symlink_target (const gchar* file_path) {
	gchar* result = NULL;
	gchar* _tmp16_ = NULL;
	GError * _inner_error_ = NULL;
#line 292 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 1950 "TeeJee.FileSystem.c"
	{
		GFileInfo* info = NULL;
		GFile* file = NULL;
		const gchar* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 295 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = file_path;
#line 295 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_parse_name (_tmp0_);
#line 295 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		file = _tmp1_;
#line 296 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = file;
#line 296 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 296 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 1970 "TeeJee.FileSystem.c"
			GFileInfo* _tmp4_ = NULL;
			GFile* _tmp5_ = NULL;
			gchar* _tmp6_ = NULL;
			gchar* _tmp7_ = NULL;
			GFileInfo* _tmp8_ = NULL;
			GFileInfo* _tmp9_ = NULL;
			GFileInfo* _tmp10_ = NULL;
			GFileInfo* _tmp11_ = NULL;
			const gchar* _tmp12_ = NULL;
			gchar* _tmp13_ = NULL;
#line 297 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = file;
#line 297 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = g_strdup_printf ("%s", G_FILE_ATTRIBUTE_STANDARD_SYMLINK_TARGET);
#line 297 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = _tmp6_;
#line 297 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = g_file_query_info (_tmp5_, _tmp7_, 0, NULL, &_inner_error_);
#line 297 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp9_ = _tmp8_;
#line 297 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp7_);
#line 297 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = _tmp9_;
#line 297 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 297 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 297 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (info);
#line 2001 "TeeJee.FileSystem.c"
				goto __catch70_g_error;
			}
#line 297 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp10_ = _tmp4_;
#line 297 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = NULL;
#line 297 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (info);
#line 297 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			info = _tmp10_;
#line 298 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp11_ = info;
#line 298 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp12_ = g_file_info_get_symlink_target (_tmp11_);
#line 298 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp13_ = g_strdup (_tmp12_);
#line 298 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			result = _tmp13_;
#line 298 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (_tmp4_);
#line 298 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 298 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (info);
#line 298 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 2028 "TeeJee.FileSystem.c"
		}
#line 293 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 293 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (info);
#line 2034 "TeeJee.FileSystem.c"
	}
	goto __finally70;
	__catch70_g_error:
	{
		GError* e = NULL;
		GError* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
#line 293 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 293 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 302 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = e;
#line 302 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = _tmp14_->message;
#line 302 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp15_, FALSE, FALSE);
#line 293 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 2054 "TeeJee.FileSystem.c"
	}
	__finally70:
#line 293 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 293 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 293 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error_);
#line 293 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return NULL;
#line 2065 "TeeJee.FileSystem.c"
	}
#line 305 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp16_ = g_strdup ("");
#line 305 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp16_;
#line 305 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 2073 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_dir_exists (const gchar* dir_path) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 310 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dir_path != NULL, FALSE);
#line 312 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = dir_path;
#line 312 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_file_test (_tmp1_, G_FILE_TEST_EXISTS);
#line 312 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp2_) {
#line 2090 "TeeJee.FileSystem.c"
		const gchar* _tmp3_ = NULL;
		gboolean _tmp4_ = FALSE;
#line 312 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = dir_path;
#line 312 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = g_file_test (_tmp3_, G_FILE_TEST_IS_DIR);
#line 312 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = _tmp4_;
#line 2099 "TeeJee.FileSystem.c"
	} else {
#line 312 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = FALSE;
#line 2103 "TeeJee.FileSystem.c"
	}
#line 312 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp0_;
#line 312 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 2109 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_dir_create (const gchar* dir_path, gboolean show_message) {
	gboolean result = FALSE;
	gboolean _tmp28_ = FALSE;
	GError * _inner_error_ = NULL;
#line 315 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dir_path != NULL, FALSE);
#line 2119 "TeeJee.FileSystem.c"
	{
		GFile* dir = NULL;
		const gchar* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 320 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = dir_path;
#line 320 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_parse_name (_tmp0_);
#line 320 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		dir = _tmp1_;
#line 321 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = dir;
#line 321 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 321 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_ == FALSE) {
#line 2138 "TeeJee.FileSystem.c"
			gboolean ok = FALSE;
			GFile* _tmp4_ = NULL;
			gboolean _tmp5_ = FALSE;
			gboolean _tmp6_ = FALSE;
#line 322 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = dir;
#line 322 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = g_file_make_directory_with_parents (_tmp4_, NULL, &_inner_error_);
#line 322 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			ok = _tmp5_;
#line 322 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 322 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (dir);
#line 2153 "TeeJee.FileSystem.c"
				goto __catch71_g_error;
			}
#line 323 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = show_message;
#line 323 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp6_) {
#line 2160 "TeeJee.FileSystem.c"
				gboolean _tmp7_ = FALSE;
#line 324 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp7_ = ok;
#line 324 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				if (_tmp7_) {
#line 2166 "TeeJee.FileSystem.c"
					const gchar* _tmp8_ = NULL;
					const gchar* _tmp9_ = NULL;
					gchar* _tmp10_ = NULL;
					gchar* _tmp11_ = NULL;
					gchar* _tmp12_ = NULL;
					gchar* _tmp13_ = NULL;
#line 325 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp8_ = _ ("Created directory");
#line 325 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp9_ = dir_path;
#line 325 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp10_ = g_strdup_printf (": %s", _tmp9_);
#line 325 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp11_ = _tmp10_;
#line 325 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp12_ = g_strconcat (_tmp8_, _tmp11_, NULL);
#line 325 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp13_ = _tmp12_;
#line 325 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					tee_jee_logging_log_msg (_tmp13_, FALSE);
#line 325 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp13_);
#line 325 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp11_);
#line 2191 "TeeJee.FileSystem.c"
				} else {
					const gchar* _tmp14_ = NULL;
					const gchar* _tmp15_ = NULL;
					gchar* _tmp16_ = NULL;
					gchar* _tmp17_ = NULL;
					gchar* _tmp18_ = NULL;
					gchar* _tmp19_ = NULL;
#line 328 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp14_ = _ ("Failed to create directory");
#line 328 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp15_ = dir_path;
#line 328 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp16_ = g_strdup_printf (": %s", _tmp15_);
#line 328 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp17_ = _tmp16_;
#line 328 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp18_ = g_strconcat (_tmp14_, _tmp17_, NULL);
#line 328 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp19_ = _tmp18_;
#line 328 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					tee_jee_logging_log_error (_tmp19_, FALSE, FALSE);
#line 328 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp19_);
#line 328 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp17_);
#line 2217 "TeeJee.FileSystem.c"
				}
			}
		}
#line 332 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		result = TRUE;
#line 332 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (dir);
#line 332 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 2227 "TeeJee.FileSystem.c"
	}
	goto __finally71;
	__catch71_g_error:
	{
		GError* e = NULL;
		GError* _tmp20_ = NULL;
		const gchar* _tmp21_ = NULL;
		const gchar* _tmp22_ = NULL;
		const gchar* _tmp23_ = NULL;
		gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
		gchar* _tmp26_ = NULL;
		gchar* _tmp27_ = NULL;
#line 319 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 319 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 335 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = e;
#line 335 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = _tmp20_->message;
#line 335 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp21_, FALSE, FALSE);
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = _ ("Failed to create directory");
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = dir_path;
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp24_ = g_strdup_printf (": %s", _tmp23_);
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp25_ = _tmp24_;
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp26_ = g_strconcat (_tmp22_, _tmp25_, NULL);
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp27_ = _tmp26_;
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp27_, FALSE, FALSE);
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp27_);
#line 336 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp25_);
#line 337 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		result = FALSE;
#line 337 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 337 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 2275 "TeeJee.FileSystem.c"
	}
	__finally71:
#line 319 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 319 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_clear_error (&_inner_error_);
#line 319 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return _tmp28_;
#line 2284 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_dir_delete (const gchar* dir_path, gboolean show_message) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gchar* cmd = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint status = 0;
	const gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	gint _tmp11_ = 0;
	gboolean _tmp12_ = FALSE;
	gint _tmp28_ = 0;
#line 341 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dir_path != NULL, FALSE);
#line 345 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = dir_path;
#line 345 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_dir_exists (_tmp0_);
#line 345 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (!_tmp1_) {
#line 346 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		result = TRUE;
#line 346 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 2320 "TeeJee.FileSystem.c"
	}
#line 349 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = dir_path;
#line 349 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = tee_jee_file_system_escape_single_quote (_tmp2_);
#line 349 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 349 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = g_strdup_printf ("rm -rf '%s'", _tmp4_);
#line 349 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp6_ = _tmp5_;
#line 349 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp4_);
#line 349 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp6_;
#line 350 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp7_ = cmd;
#line 350 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_logging_log_debug (_tmp7_);
#line 352 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp8_ = cmd;
#line 352 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp11_ = tee_jee_process_helper_exec_sync (_tmp8_, &_tmp9_, &_tmp10_);
#line 352 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 352 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	std_out = _tmp9_;
#line 352 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 352 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	std_err = _tmp10_;
#line 352 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	status = _tmp11_;
#line 353 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp12_ = show_message;
#line 353 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp12_) {
#line 2358 "TeeJee.FileSystem.c"
		gint _tmp13_ = 0;
#line 354 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = status;
#line 354 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp13_ == 0) {
#line 2364 "TeeJee.FileSystem.c"
			const gchar* _tmp14_ = NULL;
			const gchar* _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
			gchar* _tmp17_ = NULL;
			gchar* _tmp18_ = NULL;
			gchar* _tmp19_ = NULL;
#line 355 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp14_ = _ ("Deleted directory");
#line 355 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp15_ = dir_path;
#line 355 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp16_ = g_strdup_printf (": %s", _tmp15_);
#line 355 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp17_ = _tmp16_;
#line 355 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp18_ = g_strconcat (_tmp14_, _tmp17_, NULL);
#line 355 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp19_ = _tmp18_;
#line 355 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_msg (_tmp19_, FALSE);
#line 355 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp19_);
#line 355 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp17_);
#line 2389 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp20_ = NULL;
			const gchar* _tmp21_ = NULL;
			gchar* _tmp22_ = NULL;
			gchar* _tmp23_ = NULL;
			gchar* _tmp24_ = NULL;
			gchar* _tmp25_ = NULL;
			const gchar* _tmp26_ = NULL;
			const gchar* _tmp27_ = NULL;
#line 358 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp20_ = _ ("Failed to delete directory");
#line 358 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp21_ = dir_path;
#line 358 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp22_ = g_strdup_printf (": %s", _tmp21_);
#line 358 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp23_ = _tmp22_;
#line 358 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp24_ = g_strconcat (_tmp20_, _tmp23_, NULL);
#line 358 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp25_ = _tmp24_;
#line 358 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_error (_tmp25_, FALSE, FALSE);
#line 358 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp25_);
#line 358 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp23_);
#line 359 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp26_ = std_out;
#line 359 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_error (_tmp26_, FALSE, FALSE);
#line 360 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp27_ = std_err;
#line 360 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_error (_tmp27_, FALSE, FALSE);
#line 2425 "TeeJee.FileSystem.c"
		}
	}
#line 364 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp28_ = status;
#line 364 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp28_ == 0;
#line 364 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 364 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 364 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 364 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 2440 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_dir_move_to_trash (const gchar* dir_path) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 367 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dir_path != NULL, FALSE);
#line 368 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = dir_path;
#line 368 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_file_move_to_trash (_tmp0_);
#line 368 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp1_;
#line 368 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 2458 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_dir_is_empty (const gchar* dir_path) {
	gboolean result = FALSE;
	gboolean _tmp16_ = FALSE;
	GError * _inner_error_ = NULL;
#line 371 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dir_path != NULL, FALSE);
#line 2468 "TeeJee.FileSystem.c"
	{
		gboolean is_empty = FALSE;
		GFile* dir = NULL;
		const gchar* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 376 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		is_empty = TRUE;
#line 377 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = dir_path;
#line 377 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = g_file_parse_name (_tmp0_);
#line 377 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		dir = _tmp1_;
#line 378 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = dir;
#line 378 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = g_file_query_exists (_tmp2_, NULL);
#line 378 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 2490 "TeeJee.FileSystem.c"
			GFileInfo* info = NULL;
			GFileEnumerator* enu = NULL;
			GFile* _tmp4_ = NULL;
			gchar* _tmp5_ = NULL;
			gchar* _tmp6_ = NULL;
			GFileEnumerator* _tmp7_ = NULL;
			GFileEnumerator* _tmp8_ = NULL;
#line 380 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = dir;
#line 380 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp5_ = g_strdup_printf ("%s", G_FILE_ATTRIBUTE_STANDARD_NAME);
#line 380 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp6_ = _tmp5_;
#line 380 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp7_ = g_file_enumerate_children (_tmp4_, _tmp6_, 0, NULL, &_inner_error_);
#line 380 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = _tmp7_;
#line 380 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp6_);
#line 380 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			enu = _tmp8_;
#line 380 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 380 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (info);
#line 380 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (dir);
#line 2518 "TeeJee.FileSystem.c"
				goto __catch72_g_error;
			}
#line 381 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			while (TRUE) {
#line 2523 "TeeJee.FileSystem.c"
				GFileInfo* _tmp9_ = NULL;
				GFileEnumerator* _tmp10_ = NULL;
				GFileInfo* _tmp11_ = NULL;
				GFileInfo* _tmp12_ = NULL;
				GFileInfo* _tmp13_ = NULL;
#line 381 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp10_ = enu;
#line 381 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp11_ = g_file_enumerator_next_file (_tmp10_, NULL, &_inner_error_);
#line 381 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp9_ = _tmp11_;
#line 381 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 381 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_object_unref0 (enu);
#line 381 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_object_unref0 (info);
#line 381 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_object_unref0 (dir);
#line 2543 "TeeJee.FileSystem.c"
					goto __catch72_g_error;
				}
#line 381 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp12_ = _tmp9_;
#line 381 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp9_ = NULL;
#line 381 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (info);
#line 381 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				info = _tmp12_;
#line 381 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp13_ = info;
#line 381 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				if (!(_tmp13_ != NULL)) {
#line 381 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_object_unref0 (_tmp9_);
#line 381 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					break;
#line 2562 "TeeJee.FileSystem.c"
				}
#line 382 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				is_empty = FALSE;
#line 383 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (_tmp9_);
#line 383 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				break;
#line 2570 "TeeJee.FileSystem.c"
			}
#line 378 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (enu);
#line 378 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (info);
#line 2576 "TeeJee.FileSystem.c"
		}
#line 386 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		result = is_empty;
#line 386 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (dir);
#line 386 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 2584 "TeeJee.FileSystem.c"
	}
	goto __finally72;
	__catch72_g_error:
	{
		GError* e = NULL;
		GError* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
#line 375 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 375 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 389 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = e;
#line 389 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = _tmp14_->message;
#line 389 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp15_, FALSE, FALSE);
#line 390 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		result = FALSE;
#line 390 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 390 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return result;
#line 2608 "TeeJee.FileSystem.c"
	}
	__finally72:
#line 375 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 375 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_clear_error (&_inner_error_);
#line 375 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return _tmp16_;
#line 2617 "TeeJee.FileSystem.c"
}


static gboolean int64_try_parse (const gchar* str, gint64* _result_) {
	gint64 _vala_result = 0LL;
	gboolean result = FALSE;
	gchar* endptr = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gint64 _tmp2_ = 0LL;
	gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gint _tmp6_ = 0;
	gint _tmp7_ = 0;
#line 684 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, FALSE);
#line 686 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 686 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp2_ = g_ascii_strtoll (_tmp0_, &_tmp1_, (guint) 0);
#line 686 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	endptr = _tmp1_;
#line 686 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_vala_result = _tmp2_;
#line 687 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp3_ = endptr;
#line 687 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp4_ = str;
#line 687 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp5_ = str;
#line 687 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp6_ = strlen (_tmp5_);
#line 687 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp7_ = _tmp6_;
#line 687 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp3_ == (((gchar*) _tmp4_) + _tmp7_)) {
#line 688 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = TRUE;
#line 688 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (_result_) {
#line 688 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			*_result_ = _vala_result;
#line 2661 "TeeJee.FileSystem.c"
		}
#line 688 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 2665 "TeeJee.FileSystem.c"
	} else {
#line 690 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = FALSE;
#line 690 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (_result_) {
#line 690 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			*_result_ = _vala_result;
#line 2673 "TeeJee.FileSystem.c"
		}
#line 690 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 2677 "TeeJee.FileSystem.c"
	}
#line 684 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_result_) {
#line 684 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		*_result_ = _vala_result;
#line 2683 "TeeJee.FileSystem.c"
	}
}


gboolean tee_jee_file_system_filesystem_supports_hardlinks (const gchar* path, gboolean* is_readonly) {
	gboolean _vala_is_readonly = FALSE;
	gboolean result = FALSE;
	gboolean supports_hardlinks = FALSE;
	gchar* test_file = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	gboolean _tmp8_ = FALSE;
#line 394 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path != NULL, FALSE);
#line 395 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	supports_hardlinks = FALSE;
#line 396 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_vala_is_readonly = FALSE;
#line 398 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = path;
#line 398 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_misc_random_string (8, "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890");
#line 398 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = _tmp1_;
#line 398 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = g_strconcat (_tmp2_, "~", NULL);
#line 398 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 398 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = tee_jee_file_system_path_combine (_tmp0_, _tmp4_);
#line 398 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp6_ = _tmp5_;
#line 398 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp4_);
#line 398 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp2_);
#line 398 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	test_file = _tmp6_;
#line 400 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp7_ = test_file;
#line 400 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp8_ = tee_jee_file_system_file_write (_tmp7_, "");
#line 400 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp8_) {
#line 2734 "TeeJee.FileSystem.c"
		gchar* test_file2 = NULL;
		const gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		gchar* cmd = NULL;
		const gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		const gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
		gchar* _tmp23_ = NULL;
		const gchar* _tmp24_ = NULL;
		gint status = 0;
		const gchar* _tmp25_ = NULL;
		gint _tmp26_ = 0;
		const gchar* _tmp27_ = NULL;
		gchar* _tmp28_ = NULL;
		gchar* _tmp29_ = NULL;
		gchar* _tmp30_ = NULL;
		const gchar* _tmp31_ = NULL;
		gchar* std_out = NULL;
		gchar* std_err = NULL;
		const gchar* _tmp32_ = NULL;
		gchar* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
		gint _tmp35_ = 0;
		const gchar* _tmp36_ = NULL;
		gchar* _tmp37_ = NULL;
		gchar* _tmp38_ = NULL;
		gint64 count = 0LL;
		const gchar* _tmp39_ = NULL;
		gint64 _tmp40_ = 0LL;
		gboolean _tmp41_ = FALSE;
		const gchar* _tmp43_ = NULL;
		const gchar* _tmp44_ = NULL;
#line 402 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = path;
#line 402 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = tee_jee_misc_random_string (8, "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890");
#line 402 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = _tmp10_;
#line 402 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = g_strconcat (_tmp11_, "~", NULL);
#line 402 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = _tmp12_;
#line 402 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = tee_jee_file_system_path_combine (_tmp9_, _tmp13_);
#line 402 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = _tmp14_;
#line 402 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp13_);
#line 402 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp11_);
#line 402 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		test_file2 = _tmp15_;
#line 404 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = test_file;
#line 404 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = tee_jee_file_system_escape_single_quote (_tmp16_);
#line 404 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = _tmp17_;
#line 404 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = test_file2;
#line 404 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = tee_jee_file_system_escape_single_quote (_tmp19_);
#line 404 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = _tmp20_;
#line 404 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = g_strdup_printf ("ln '%s' '%s'", _tmp18_, _tmp21_);
#line 404 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = _tmp22_;
#line 404 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp21_);
#line 404 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp18_);
#line 404 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp23_;
#line 408 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp24_ = cmd;
#line 408 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_debug (_tmp24_);
#line 410 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp25_ = cmd;
#line 410 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp26_ = tee_jee_process_helper_exec_sync (_tmp25_, NULL, NULL);
#line 410 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		status = _tmp26_;
#line 412 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp27_ = test_file;
#line 412 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp28_ = tee_jee_file_system_escape_single_quote (_tmp27_);
#line 412 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp29_ = _tmp28_;
#line 412 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp30_ = g_strdup_printf ("stat --printf '%%h' '%s'", _tmp29_);
#line 412 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 412 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp30_;
#line 412 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp29_);
#line 415 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp31_ = cmd;
#line 415 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_debug (_tmp31_);
#line 418 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp32_ = cmd;
#line 418 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp35_ = tee_jee_process_helper_exec_sync (_tmp32_, &_tmp33_, &_tmp34_);
#line 418 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (std_out);
#line 418 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		std_out = _tmp33_;
#line 418 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (std_err);
#line 418 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		std_err = _tmp34_;
#line 418 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		status = _tmp35_;
#line 419 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp36_ = std_out;
#line 419 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp37_ = g_strdup_printf ("stdout: %s", _tmp36_);
#line 419 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp38_ = _tmp37_;
#line 419 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_debug (_tmp38_);
#line 419 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp38_);
#line 421 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		count = (gint64) 0;
#line 422 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp39_ = std_out;
#line 422 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp41_ = int64_try_parse (_tmp39_, &_tmp40_);
#line 422 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		count = _tmp40_;
#line 422 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp41_) {
#line 2880 "TeeJee.FileSystem.c"
			gint64 _tmp42_ = 0LL;
#line 423 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp42_ = count;
#line 423 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp42_ > ((gint64) 1)) {
#line 424 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				supports_hardlinks = TRUE;
#line 2888 "TeeJee.FileSystem.c"
			}
		}
#line 428 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp43_ = test_file2;
#line 428 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_file_system_file_delete (_tmp43_);
#line 429 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp44_ = test_file;
#line 429 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_file_system_file_delete (_tmp44_);
#line 400 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (std_err);
#line 400 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (std_out);
#line 400 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 400 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (test_file2);
#line 2907 "TeeJee.FileSystem.c"
	} else {
#line 432 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_vala_is_readonly = TRUE;
#line 2911 "TeeJee.FileSystem.c"
	}
#line 435 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = supports_hardlinks;
#line 435 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (test_file);
#line 435 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (is_readonly) {
#line 435 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		*is_readonly = _vala_is_readonly;
#line 2921 "TeeJee.FileSystem.c"
	}
#line 435 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 2925 "TeeJee.FileSystem.c"
}


static gint __lambda17_ (const gchar* a, const gchar* b) {
	gint result = 0;
	GCompareFunc _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gint _tmp3_ = 0;
#line 456 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (a != NULL, 0);
#line 456 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (b != NULL, 0);
#line 457 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = g_strcmp0;
#line 457 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = a;
#line 457 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = b;
#line 457 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = _tmp0_ (_tmp1_, _tmp2_);
#line 457 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp3_;
#line 457 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 2951 "TeeJee.FileSystem.c"
}


static gint ___lambda17__gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self) {
	gint result;
	result = __lambda17_ ((const gchar*) a, (const gchar*) b);
#line 456 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 2960 "TeeJee.FileSystem.c"
}


GeeArrayList* tee_jee_file_system_dir_list_names (const gchar* path) {
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_ = NULL;
	GCompareDataFunc entry_compare = NULL;
	void* entry_compare_target = NULL;
	GDestroyNotify entry_compare_target_destroy_notify = NULL;
	GeeArrayList* _tmp20_ = NULL;
	GCompareDataFunc _tmp21_ = NULL;
	void* _tmp21__target = NULL;
	GDestroyNotify _tmp21__target_destroy_notify = NULL;
	GError * _inner_error_ = NULL;
#line 438 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path != NULL, NULL);
#line 439 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 439 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	list = _tmp0_;
#line 2982 "TeeJee.FileSystem.c"
	{
		GFile* f_home = NULL;
		const gchar* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		GFileEnumerator* enumerator = NULL;
		GFile* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GFileEnumerator* _tmp6_ = NULL;
		GFileEnumerator* _tmp7_ = NULL;
		GFileInfo* file = NULL;
#line 443 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = path;
#line 443 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = g_file_new_for_path (_tmp1_);
#line 443 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		f_home = _tmp2_;
#line 444 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = f_home;
#line 444 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = g_strdup_printf ("%s", G_FILE_ATTRIBUTE_STANDARD_NAME);
#line 444 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = _tmp4_;
#line 444 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = g_file_enumerate_children (_tmp3_, _tmp5_, 0, NULL, &_inner_error_);
#line 444 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = _tmp6_;
#line 444 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp5_);
#line 444 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		enumerator = _tmp7_;
#line 444 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 444 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (f_home);
#line 3018 "TeeJee.FileSystem.c"
			goto __catch73_g_error;
		}
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		while (TRUE) {
#line 3023 "TeeJee.FileSystem.c"
			GFileInfo* _tmp8_ = NULL;
			GFileEnumerator* _tmp9_ = NULL;
			GFileInfo* _tmp10_ = NULL;
			GFileInfo* _tmp11_ = NULL;
			GFileInfo* _tmp12_ = NULL;
			gchar* name = NULL;
			GFileInfo* _tmp13_ = NULL;
			const gchar* _tmp14_ = NULL;
			gchar* _tmp15_ = NULL;
			GeeArrayList* _tmp16_ = NULL;
			const gchar* _tmp17_ = NULL;
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp9_ = enumerator;
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp10_ = g_file_enumerator_next_file (_tmp9_, NULL, &_inner_error_);
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = _tmp10_;
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (file);
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (enumerator);
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (f_home);
#line 3049 "TeeJee.FileSystem.c"
				goto __catch73_g_error;
			}
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp11_ = _tmp8_;
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp8_ = NULL;
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (file);
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			file = _tmp11_;
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp12_ = file;
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (!(_tmp12_ != NULL)) {
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_object_unref0 (_tmp8_);
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				break;
#line 3068 "TeeJee.FileSystem.c"
			}
#line 447 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp13_ = file;
#line 447 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp14_ = g_file_info_get_name (_tmp13_);
#line 447 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp15_ = g_strdup (_tmp14_);
#line 447 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			name = _tmp15_;
#line 448 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp16_ = list;
#line 448 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp17_ = name;
#line 448 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			gee_abstract_collection_add ((GeeAbstractCollection*) _tmp16_, _tmp17_);
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (name);
#line 446 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_object_unref0 (_tmp8_);
#line 3088 "TeeJee.FileSystem.c"
		}
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (file);
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (enumerator);
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (f_home);
#line 3096 "TeeJee.FileSystem.c"
	}
	goto __finally73;
	__catch73_g_error:
	{
		GError* e = NULL;
		GError* _tmp18_ = NULL;
		const gchar* _tmp19_ = NULL;
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 452 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = e;
#line 452 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = _tmp18_->message;
#line 452 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp19_, FALSE, FALSE);
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 3116 "TeeJee.FileSystem.c"
	}
	__finally73:
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_object_unref0 (list);
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error_);
#line 441 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return NULL;
#line 3129 "TeeJee.FileSystem.c"
	}
#line 456 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	entry_compare = ___lambda17__gcompare_data_func;
#line 456 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	entry_compare_target = NULL;
#line 456 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	entry_compare_target_destroy_notify = NULL;
#line 459 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp20_ = list;
#line 459 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp21_ = entry_compare;
#line 459 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp21__target = entry_compare_target;
#line 459 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp21__target_destroy_notify = entry_compare_target_destroy_notify;
#line 459 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	entry_compare_target_destroy_notify = NULL;
#line 459 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	gee_list_sort ((GeeList*) _tmp20_, _tmp21_, _tmp21__target, _tmp21__target_destroy_notify);
#line 461 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = list;
#line 461 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	(entry_compare_target_destroy_notify == NULL) ? NULL : (entry_compare_target_destroy_notify (entry_compare_target), NULL);
#line 461 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	entry_compare = NULL;
#line 461 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	entry_compare_target = NULL;
#line 461 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	entry_compare_target_destroy_notify = NULL;
#line 461 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 3161 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_dir_tar (const gchar* src_dir, const gchar* tar_file, gboolean recursion) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 464 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (src_dir != NULL, FALSE);
#line 464 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (tar_file != NULL, FALSE);
#line 465 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = src_dir;
#line 465 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_dir_exists (_tmp0_);
#line 465 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp1_) {
#line 3179 "TeeJee.FileSystem.c"
		const gchar* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
		gchar* src_parent = NULL;
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* src_name = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		gboolean _tmp10_ = FALSE;
		gchar* cmd = NULL;
		const gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		const gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		const gchar* _tmp22_ = NULL;
		gchar* stdout = NULL;
		gchar* stderr = NULL;
		gint status = 0;
		const gchar* _tmp23_ = NULL;
		gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
		gint _tmp26_ = 0;
		gint _tmp27_ = 0;
#line 467 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = tar_file;
#line 467 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = tee_jee_file_system_file_exists (_tmp2_);
#line 467 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 3217 "TeeJee.FileSystem.c"
			const gchar* _tmp4_ = NULL;
#line 468 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = tar_file;
#line 468 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_file_system_file_delete (_tmp4_);
#line 3223 "TeeJee.FileSystem.c"
		}
#line 471 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = src_dir;
#line 471 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = tee_jee_file_system_file_parent (_tmp5_);
#line 471 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		src_parent = _tmp6_;
#line 472 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = src_dir;
#line 472 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = tee_jee_file_system_file_basename (_tmp7_);
#line 472 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		src_name = _tmp8_;
#line 476 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = recursion;
#line 476 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp10_) {
#line 476 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp9_ = "";
#line 3243 "TeeJee.FileSystem.c"
		} else {
#line 476 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp9_ = "no-";
#line 3247 "TeeJee.FileSystem.c"
		}
#line 474 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = tar_file;
#line 474 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = tee_jee_file_system_escape_single_quote (_tmp11_);
#line 474 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = _tmp12_;
#line 474 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = src_parent;
#line 474 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = tee_jee_file_system_escape_single_quote (_tmp14_);
#line 474 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = _tmp15_;
#line 474 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = src_name;
#line 474 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = tee_jee_file_system_escape_single_quote (_tmp17_);
#line 474 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = _tmp18_;
#line 474 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = g_strdup_printf ("tar cvf '%s' --overwrite --%srecursion -C '%s' '%s'\n", _tmp13_, _tmp9_, _tmp16_, _tmp19_);
#line 474 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = _tmp20_;
#line 474 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp19_);
#line 474 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp16_);
#line 474 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp13_);
#line 474 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp21_;
#line 480 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = cmd;
#line 480 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_debug (_tmp22_);
#line 483 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = cmd;
#line 483 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp26_ = tee_jee_process_helper_exec_script_sync (_tmp23_, &_tmp24_, &_tmp25_, FALSE, FALSE, TRUE, FALSE);
#line 483 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stdout);
#line 483 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		stdout = _tmp24_;
#line 483 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stderr);
#line 483 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		stderr = _tmp25_;
#line 483 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		status = _tmp26_;
#line 484 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp27_ = status;
#line 484 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp27_ == 0) {
#line 485 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			result = TRUE;
#line 485 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stderr);
#line 485 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stdout);
#line 485 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 485 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (src_name);
#line 485 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (src_parent);
#line 485 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 3315 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp28_ = NULL;
#line 488 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp28_ = stderr;
#line 488 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_msg (_tmp28_, FALSE);
#line 3322 "TeeJee.FileSystem.c"
		}
#line 465 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stderr);
#line 465 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stdout);
#line 465 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 465 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (src_name);
#line 465 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (src_parent);
#line 3334 "TeeJee.FileSystem.c"
	} else {
		const gchar* _tmp29_ = NULL;
		const gchar* _tmp30_ = NULL;
		gchar* _tmp31_ = NULL;
		gchar* _tmp32_ = NULL;
		gchar* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
#line 492 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp29_ = _ ("Dir not found");
#line 492 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp30_ = src_dir;
#line 492 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp31_ = g_strdup_printf (": %s", _tmp30_);
#line 492 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp32_ = _tmp31_;
#line 492 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp33_ = g_strconcat (_tmp29_, _tmp32_, NULL);
#line 492 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp34_ = _tmp33_;
#line 492 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp34_, FALSE, FALSE);
#line 492 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp34_);
#line 492 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp32_);
#line 3360 "TeeJee.FileSystem.c"
	}
#line 495 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = FALSE;
#line 495 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 3366 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_dir_untar (const gchar* tar_file, const gchar* dst_dir) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 498 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (tar_file != NULL, FALSE);
#line 498 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dst_dir != NULL, FALSE);
#line 499 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = tar_file;
#line 499 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_file_exists (_tmp0_);
#line 499 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp1_) {
#line 3384 "TeeJee.FileSystem.c"
		const gchar* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
		gchar* cmd = NULL;
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
		gchar* stdout = NULL;
		gchar* stderr = NULL;
		gint status = 0;
		const gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
		gint _tmp17_ = 0;
		gint _tmp18_ = 0;
#line 501 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = dst_dir;
#line 501 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = tee_jee_file_system_dir_exists (_tmp2_);
#line 501 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (!_tmp3_) {
#line 3411 "TeeJee.FileSystem.c"
			const gchar* _tmp4_ = NULL;
#line 502 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = dst_dir;
#line 502 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_file_system_dir_create (_tmp4_, FALSE);
#line 3417 "TeeJee.FileSystem.c"
		}
#line 505 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = tar_file;
#line 505 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = tee_jee_file_system_escape_single_quote (_tmp5_);
#line 505 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = _tmp6_;
#line 505 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = dst_dir;
#line 505 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = tee_jee_file_system_escape_single_quote (_tmp8_);
#line 505 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = _tmp9_;
#line 505 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = g_strdup_printf ("tar xvf '%s' --overwrite --same-permissions -C '%s'\n", _tmp7_, _tmp10_);
#line 505 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = _tmp11_;
#line 505 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp10_);
#line 505 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp7_);
#line 505 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp12_;
#line 509 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = cmd;
#line 509 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_debug (_tmp13_);
#line 512 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = cmd;
#line 512 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = tee_jee_process_helper_exec_script_sync (_tmp14_, &_tmp15_, &_tmp16_, FALSE, FALSE, TRUE, FALSE);
#line 512 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stdout);
#line 512 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		stdout = _tmp15_;
#line 512 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stderr);
#line 512 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		stderr = _tmp16_;
#line 512 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		status = _tmp17_;
#line 513 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = status;
#line 513 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp18_ == 0) {
#line 514 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			result = TRUE;
#line 514 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stderr);
#line 514 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stdout);
#line 514 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 514 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 3473 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp19_ = NULL;
#line 517 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp19_ = stderr;
#line 517 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_msg (_tmp19_, FALSE);
#line 3480 "TeeJee.FileSystem.c"
		}
#line 499 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stderr);
#line 499 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stdout);
#line 499 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 3488 "TeeJee.FileSystem.c"
	} else {
		const gchar* _tmp20_ = NULL;
		const gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
		gchar* _tmp23_ = NULL;
		gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
#line 521 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = _ ("File not found");
#line 521 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = tar_file;
#line 521 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = g_strdup_printf (": %s", _tmp21_);
#line 521 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = _tmp22_;
#line 521 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp24_ = g_strconcat (_tmp20_, _tmp23_, NULL);
#line 521 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp25_ = _tmp24_;
#line 521 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp25_, FALSE, FALSE);
#line 521 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp25_);
#line 521 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp23_);
#line 3514 "TeeJee.FileSystem.c"
	}
#line 524 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = FALSE;
#line 524 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 3520 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_chown (const gchar* dir_path, const gchar* user, const gchar* group) {
	gboolean result = FALSE;
	gchar* cmd = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gint status = 0;
	gint _tmp7_ = 0;
#line 527 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dir_path != NULL, FALSE);
#line 527 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (user != NULL, FALSE);
#line 527 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (group != NULL, FALSE);
#line 528 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = user;
#line 528 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = group;
#line 528 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = dir_path;
#line 528 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = tee_jee_file_system_escape_single_quote (_tmp2_);
#line 528 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 528 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = g_strdup_printf ("chown %s:%s -R '%s'", _tmp0_, _tmp1_, _tmp4_);
#line 528 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp6_ = _tmp5_;
#line 528 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp4_);
#line 528 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp6_;
#line 529 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp7_ = tee_jee_process_helper_exec_sync (cmd, NULL, NULL);
#line 529 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	status = _tmp7_;
#line 530 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = status == 0;
#line 530 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 530 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 3570 "TeeJee.FileSystem.c"
}


glong tee_jee_file_system_dir_count (const gchar* path) {
	glong result = 0L;
	gchar* cmd = NULL;
	gchar* _tmp0_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint ret_val = 0;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gint _tmp8_ = 0;
	glong _tmp9_ = 0L;
#line 536 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path != NULL, 0L);
#line 540 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = g_strdup ("");
#line 540 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp0_;
#line 545 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = path;
#line 545 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = tee_jee_file_system_escape_single_quote (_tmp1_);
#line 545 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = _tmp2_;
#line 545 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = g_strdup_printf ("find '%s' | wc -l", _tmp3_);
#line 545 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 545 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp4_;
#line 545 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp3_);
#line 546 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = cmd;
#line 546 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp8_ = tee_jee_process_helper_exec_script_sync (_tmp5_, &_tmp6_, &_tmp7_, FALSE, FALSE, TRUE, FALSE);
#line 546 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 546 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	std_out = _tmp6_;
#line 546 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 546 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	std_err = _tmp7_;
#line 546 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	ret_val = _tmp8_;
#line 547 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = atol (std_out);
#line 547 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp9_;
#line 547 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 547 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 547 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 547 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 3636 "TeeJee.FileSystem.c"
}


glong tee_jee_file_system_dir_size (const gchar* path) {
	glong result = 0L;
	gchar* cmd = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar** _tmp7_ = NULL;
	gchar** _tmp8_ = NULL;
	gchar** _tmp9_ = NULL;
	gint _tmp9__length1 = 0;
	const gchar* _tmp10_ = NULL;
	glong _tmp11_ = 0L;
	glong _tmp12_ = 0L;
#line 551 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path != NULL, 0L);
#line 555 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = path;
#line 555 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_escape_single_quote (_tmp0_);
#line 555 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = _tmp1_;
#line 555 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = g_strdup_printf ("du -s -b '%s'", _tmp2_);
#line 555 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = _tmp3_;
#line 555 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp2_);
#line 555 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp4_;
#line 557 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_process_helper_exec_sync (cmd, &_tmp5_, &_tmp6_);
#line 557 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 557 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	std_out = _tmp5_;
#line 557 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 557 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	std_err = _tmp6_;
#line 558 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp8_ = _tmp7_ = g_strsplit (std_out, "\t", 0);
#line 558 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = _tmp8_;
#line 558 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp9__length1 = _vala_array_length (_tmp7_);
#line 558 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp10_ = _tmp9_[0];
#line 558 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp11_ = atol (_tmp10_);
#line 558 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp12_ = _tmp11_;
#line 558 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = (_vala_array_free (_tmp9_, _tmp9__length1, (GDestroyNotify) g_free), NULL);
#line 558 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp12_;
#line 558 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_err);
#line 558 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (std_out);
#line 558 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 558 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 3709 "TeeJee.FileSystem.c"
}


glong tee_jee_file_system_dir_size_kb (const gchar* path) {
	glong result = 0L;
	const gchar* _tmp0_ = NULL;
	glong _tmp1_ = 0L;
#line 562 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path != NULL, 0L);
#line 566 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = path;
#line 566 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_dir_size (_tmp0_);
#line 566 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = (glong) (_tmp1_ / 1024.0);
#line 566 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 3727 "TeeJee.FileSystem.c"
}


static gint string_index_of (const gchar* self, const gchar* needle, gint start_index) {
	gint result = 0;
	gchar* _result_ = NULL;
	gint _tmp0_ = 0;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 987 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 987 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, 0);
#line 988 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = start_index;
#line 988 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = needle;
#line 988 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp2_ = strstr (((gchar*) self) + _tmp0_, (gchar*) _tmp1_);
#line 988 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_result_ = _tmp2_;
#line 990 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp3_ = _result_;
#line 990 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp3_ != NULL) {
#line 3754 "TeeJee.FileSystem.c"
		gchar* _tmp4_ = NULL;
#line 991 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = _result_;
#line 991 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = (gint) (_tmp4_ - ((gchar*) self));
#line 991 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 3762 "TeeJee.FileSystem.c"
	} else {
#line 993 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = -1;
#line 993 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 3768 "TeeJee.FileSystem.c"
	}
}


gboolean tee_jee_file_system_file_tar_encrypt (const gchar* src_file, const gchar* dst_file, const gchar* password) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 572 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (src_file != NULL, FALSE);
#line 572 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dst_file != NULL, FALSE);
#line 572 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (password != NULL, FALSE);
#line 573 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = src_file;
#line 573 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_file_exists (_tmp0_);
#line 573 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp1_) {
#line 3789 "TeeJee.FileSystem.c"
		const gchar* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
		gchar* src_dir = NULL;
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* src_name = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* dst_dir = NULL;
		const gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* dst_name = NULL;
		const gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* tar_name = NULL;
		const gchar* _tmp13_ = NULL;
		const gchar* _tmp14_ = NULL;
		gint _tmp15_ = 0;
		gchar* _tmp16_ = NULL;
		gchar* tar_file = NULL;
		const gchar* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* cmd = NULL;
		const gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
		const gchar* _tmp23_ = NULL;
		gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
		const gchar* _tmp26_ = NULL;
		gchar* _tmp27_ = NULL;
		gchar* _tmp28_ = NULL;
		gchar* _tmp29_ = NULL;
		gchar* _tmp30_ = NULL;
		const gchar* _tmp31_ = NULL;
		const gchar* _tmp32_ = NULL;
		const gchar* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
		gchar* _tmp35_ = NULL;
		const gchar* _tmp36_ = NULL;
		gchar* _tmp37_ = NULL;
		gchar* _tmp38_ = NULL;
		gchar* _tmp39_ = NULL;
		gchar* _tmp40_ = NULL;
		gchar* _tmp41_ = NULL;
		const gchar* _tmp42_ = NULL;
		const gchar* _tmp43_ = NULL;
		gchar* _tmp44_ = NULL;
		gchar* _tmp45_ = NULL;
		gchar* _tmp46_ = NULL;
		gchar* _tmp47_ = NULL;
		gchar* _tmp48_ = NULL;
		const gchar* _tmp49_ = NULL;
		gchar* stdout = NULL;
		gchar* stderr = NULL;
		gint status = 0;
		const gchar* _tmp50_ = NULL;
		gchar* _tmp51_ = NULL;
		gchar* _tmp52_ = NULL;
		gint _tmp53_ = 0;
		gint _tmp54_ = 0;
#line 574 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = dst_file;
#line 574 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = tee_jee_file_system_file_exists (_tmp2_);
#line 574 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 3858 "TeeJee.FileSystem.c"
			const gchar* _tmp4_ = NULL;
#line 575 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = dst_file;
#line 575 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_file_system_file_delete (_tmp4_);
#line 3864 "TeeJee.FileSystem.c"
		}
#line 578 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = src_file;
#line 578 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = tee_jee_file_system_file_parent (_tmp5_);
#line 578 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		src_dir = _tmp6_;
#line 579 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = src_file;
#line 579 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = tee_jee_file_system_file_basename (_tmp7_);
#line 579 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		src_name = _tmp8_;
#line 581 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = dst_file;
#line 581 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = tee_jee_file_system_file_parent (_tmp9_);
#line 581 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		dst_dir = _tmp10_;
#line 582 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = dst_file;
#line 582 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = tee_jee_file_system_file_basename (_tmp11_);
#line 582 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		dst_name = _tmp12_;
#line 583 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = dst_name;
#line 583 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = dst_name;
#line 583 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = string_index_of (_tmp14_, ".gpg", 0);
#line 583 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = string_slice (_tmp13_, (glong) 0, (glong) _tmp15_);
#line 583 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tar_name = _tmp16_;
#line 584 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = dst_dir;
#line 584 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = tar_name;
#line 584 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = g_strdup_printf ("%s/%s", _tmp17_, _tmp18_);
#line 584 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tar_file = _tmp19_;
#line 586 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = tar_file;
#line 586 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = tee_jee_file_system_escape_single_quote (_tmp20_);
#line 586 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = _tmp21_;
#line 586 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = src_dir;
#line 586 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp24_ = tee_jee_file_system_escape_single_quote (_tmp23_);
#line 586 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp25_ = _tmp24_;
#line 586 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp26_ = src_name;
#line 586 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp27_ = tee_jee_file_system_escape_single_quote (_tmp26_);
#line 586 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp28_ = _tmp27_;
#line 586 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp29_ = g_strdup_printf ("tar cvf '%s' --overwrite -C '%s' '%s'\n", _tmp22_, _tmp25_, _tmp28_);
#line 586 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp30_ = _tmp29_;
#line 586 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp28_);
#line 586 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp25_);
#line 586 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp22_);
#line 586 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp30_;
#line 591 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp31_ = cmd;
#line 591 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp32_ = password;
#line 591 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp33_ = dst_file;
#line 591 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp34_ = tee_jee_file_system_escape_single_quote (_tmp33_);
#line 591 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp35_ = _tmp34_;
#line 591 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp36_ = tar_file;
#line 591 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp37_ = tee_jee_file_system_escape_single_quote (_tmp36_);
#line 591 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp38_ = _tmp37_;
#line 591 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp39_ = g_strdup_printf ("gpg --passphrase '%s' -o '%s' --symmetric '%s'\n", _tmp32_, _tmp35_, _tmp38_);
#line 591 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp40_ = _tmp39_;
#line 591 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp41_ = g_strconcat (_tmp31_, _tmp40_, NULL);
#line 591 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 591 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp41_;
#line 591 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp40_);
#line 591 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp38_);
#line 591 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp35_);
#line 596 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp42_ = cmd;
#line 596 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp43_ = tar_file;
#line 596 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp44_ = tee_jee_file_system_escape_single_quote (_tmp43_);
#line 596 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp45_ = _tmp44_;
#line 596 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp46_ = g_strdup_printf ("rm -f '%s'\n", _tmp45_);
#line 596 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp47_ = _tmp46_;
#line 596 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp48_ = g_strconcat (_tmp42_, _tmp47_, NULL);
#line 596 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 596 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp48_;
#line 596 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp47_);
#line 596 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp45_);
#line 598 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp49_ = cmd;
#line 598 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_debug (_tmp49_);
#line 601 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp50_ = cmd;
#line 601 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp53_ = tee_jee_process_helper_exec_script_sync (_tmp50_, &_tmp51_, &_tmp52_, FALSE, FALSE, TRUE, FALSE);
#line 601 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stdout);
#line 601 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		stdout = _tmp51_;
#line 601 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stderr);
#line 601 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		stderr = _tmp52_;
#line 601 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		status = _tmp53_;
#line 602 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp54_ = status;
#line 602 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp54_ == 0) {
#line 603 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			result = TRUE;
#line 603 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stderr);
#line 603 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stdout);
#line 603 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 603 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (tar_file);
#line 603 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (tar_name);
#line 603 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (dst_name);
#line 603 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (dst_dir);
#line 603 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (src_name);
#line 603 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (src_dir);
#line 603 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 4036 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp55_ = NULL;
#line 606 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp55_ = stderr;
#line 606 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_msg (_tmp55_, FALSE);
#line 4043 "TeeJee.FileSystem.c"
		}
#line 573 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stderr);
#line 573 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stdout);
#line 573 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 573 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (tar_file);
#line 573 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (tar_name);
#line 573 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (dst_name);
#line 573 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (dst_dir);
#line 573 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (src_name);
#line 573 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (src_dir);
#line 4063 "TeeJee.FileSystem.c"
	}
#line 610 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = FALSE;
#line 610 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 4069 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_file_decrypt_untar_read (const gchar* src_file, const gchar* password) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gchar* _tmp29_ = NULL;
#line 614 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (src_file != NULL, NULL);
#line 614 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (password != NULL, NULL);
#line 616 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = src_file;
#line 616 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_file_exists (_tmp0_);
#line 616 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp1_) {
#line 4088 "TeeJee.FileSystem.c"
		gchar* cmd = NULL;
		gchar* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		gchar* std_out = NULL;
		gchar* std_err = NULL;
		gint status = 0;
		const gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		gint _tmp19_ = 0;
		gint _tmp20_ = 0;
#line 623 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = g_strdup ("");
#line 623 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp2_;
#line 625 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = cmd;
#line 625 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = password;
#line 625 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = src_file;
#line 625 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = tee_jee_file_system_escape_single_quote (_tmp5_);
#line 625 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = _tmp6_;
#line 625 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = g_strdup_printf ("gpg --quiet --no-verbose --passphrase '%s' -o- --decrypt '%s'", _tmp4_, _tmp7_);
#line 625 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = _tmp8_;
#line 625 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = g_strconcat (_tmp3_, _tmp9_, NULL);
#line 625 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 625 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp10_;
#line 625 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp9_);
#line 625 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp7_);
#line 629 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = cmd;
#line 629 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = g_strconcat (_tmp11_, " | tar xf - --to-stdout 2>/dev/null\n", NULL);
#line 629 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 629 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp12_;
#line 630 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = cmd;
#line 630 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = g_strconcat (_tmp13_, "exit $?\n", NULL);
#line 630 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 630 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp14_;
#line 632 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = cmd;
#line 632 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_debug (_tmp15_);
#line 635 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = cmd;
#line 635 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = tee_jee_process_helper_exec_script_sync (_tmp16_, &_tmp17_, &_tmp18_, FALSE, FALSE, TRUE, FALSE);
#line 635 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (std_out);
#line 635 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		std_out = _tmp17_;
#line 635 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (std_err);
#line 635 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		std_err = _tmp18_;
#line 635 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		status = _tmp19_;
#line 636 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = status;
#line 636 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp20_ == 0) {
#line 637 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			result = std_out;
#line 637 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (std_err);
#line 637 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 637 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 4186 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp21_ = NULL;
			gchar* _tmp22_ = NULL;
#line 640 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp21_ = std_err;
#line 640 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_error (_tmp21_, FALSE, FALSE);
#line 641 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp22_ = g_strdup ("");
#line 641 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			result = _tmp22_;
#line 641 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (std_err);
#line 641 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (std_out);
#line 641 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 641 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 4206 "TeeJee.FileSystem.c"
		}
#line 616 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (std_err);
#line 616 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (std_out);
#line 616 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 4214 "TeeJee.FileSystem.c"
	} else {
		const gchar* _tmp23_ = NULL;
		const gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
		gchar* _tmp26_ = NULL;
		gchar* _tmp27_ = NULL;
		gchar* _tmp28_ = NULL;
#line 645 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = _ ("File is missing");
#line 645 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp24_ = src_file;
#line 645 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp25_ = g_strdup_printf (": %s", _tmp24_);
#line 645 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp26_ = _tmp25_;
#line 645 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp27_ = g_strconcat (_tmp23_, _tmp26_, NULL);
#line 645 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp28_ = _tmp27_;
#line 645 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp28_, FALSE, FALSE);
#line 645 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp28_);
#line 645 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp26_);
#line 4240 "TeeJee.FileSystem.c"
	}
#line 648 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp29_ = g_strdup ("");
#line 648 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp29_;
#line 648 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 4248 "TeeJee.FileSystem.c"
}


gboolean tee_jee_file_system_decrypt_and_untar (const gchar* src_file, const gchar* dst_file, const gchar* password) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 652 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (src_file != NULL, FALSE);
#line 652 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (dst_file != NULL, FALSE);
#line 652 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (password != NULL, FALSE);
#line 653 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = src_file;
#line 653 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = tee_jee_file_system_file_exists (_tmp0_);
#line 653 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp1_) {
#line 4268 "TeeJee.FileSystem.c"
		const gchar* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
		gchar* src_dir = NULL;
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* src_name = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* tar_name = NULL;
		const gchar* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		gint _tmp11_ = 0;
		gchar* _tmp12_ = NULL;
		gchar* tar_file = NULL;
		const gchar* _tmp13_ = NULL;
		const gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		gchar* cmd = NULL;
		gchar* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
		gchar* _tmp23_ = NULL;
		const gchar* _tmp24_ = NULL;
		const gchar* _tmp25_ = NULL;
		const gchar* _tmp26_ = NULL;
		gchar* _tmp27_ = NULL;
		gchar* _tmp28_ = NULL;
		const gchar* _tmp29_ = NULL;
		gchar* _tmp30_ = NULL;
		gchar* _tmp31_ = NULL;
		gchar* _tmp32_ = NULL;
		gchar* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
		const gchar* _tmp35_ = NULL;
		gchar* _tmp36_ = NULL;
		const gchar* _tmp37_ = NULL;
		const gchar* _tmp38_ = NULL;
		gchar* _tmp39_ = NULL;
		gchar* _tmp40_ = NULL;
		const gchar* _tmp41_ = NULL;
		gchar* _tmp42_ = NULL;
		gchar* _tmp43_ = NULL;
		gchar* _tmp44_ = NULL;
		gchar* _tmp45_ = NULL;
		gchar* _tmp46_ = NULL;
		gchar* _tmp47_ = NULL;
		gchar* _tmp48_ = NULL;
		const gchar* _tmp49_ = NULL;
		const gchar* _tmp50_ = NULL;
		gchar* _tmp51_ = NULL;
		gchar* _tmp52_ = NULL;
		gchar* _tmp53_ = NULL;
		gchar* _tmp54_ = NULL;
		gchar* _tmp55_ = NULL;
		const gchar* _tmp56_ = NULL;
		gchar* stdout = NULL;
		gchar* stderr = NULL;
		gint status = 0;
		const gchar* _tmp57_ = NULL;
		gchar* _tmp58_ = NULL;
		gchar* _tmp59_ = NULL;
		gint _tmp60_ = 0;
		gint _tmp61_ = 0;
#line 654 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = dst_file;
#line 654 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = tee_jee_file_system_file_exists (_tmp2_);
#line 654 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp3_) {
#line 4342 "TeeJee.FileSystem.c"
			const gchar* _tmp4_ = NULL;
#line 655 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp4_ = dst_file;
#line 655 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_file_system_file_delete (_tmp4_);
#line 4348 "TeeJee.FileSystem.c"
		}
#line 658 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = src_file;
#line 658 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = tee_jee_file_system_file_parent (_tmp5_);
#line 658 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		src_dir = _tmp6_;
#line 659 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = src_file;
#line 659 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = tee_jee_file_system_file_basename (_tmp7_);
#line 659 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		src_name = _tmp8_;
#line 660 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = src_name;
#line 660 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = src_name;
#line 660 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = string_index_of (_tmp10_, ".gpg", 0);
#line 660 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = string_slice (_tmp9_, (glong) 0, (glong) _tmp11_);
#line 660 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tar_name = _tmp12_;
#line 661 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = src_dir;
#line 661 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = tar_name;
#line 661 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = g_strdup_printf ("%s/%s", _tmp13_, _tmp14_);
#line 661 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tar_file = _tmp15_;
#line 663 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = g_strdup ("");
#line 663 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp16_;
#line 666 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = cmd;
#line 666 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = tar_file;
#line 666 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = tee_jee_file_system_escape_single_quote (_tmp18_);
#line 666 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = _tmp19_;
#line 666 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp21_ = g_strdup_printf ("rm -f '%s'\n", _tmp20_);
#line 666 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = _tmp21_;
#line 666 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = g_strconcat (_tmp17_, _tmp22_, NULL);
#line 666 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 666 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp23_;
#line 666 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp22_);
#line 666 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp20_);
#line 668 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp24_ = cmd;
#line 668 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp25_ = password;
#line 668 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp26_ = tar_file;
#line 668 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp27_ = tee_jee_file_system_escape_single_quote (_tmp26_);
#line 668 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp28_ = _tmp27_;
#line 668 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp29_ = src_file;
#line 668 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp30_ = tee_jee_file_system_escape_single_quote (_tmp29_);
#line 668 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp31_ = _tmp30_;
#line 668 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp32_ = g_strdup_printf ("gpg --passphrase '%s' -o '%s' --decrypt '%s'\n", _tmp25_, _tmp28_, _tmp31_);
#line 668 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp33_ = _tmp32_;
#line 668 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp34_ = g_strconcat (_tmp24_, _tmp33_, NULL);
#line 668 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 668 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp34_;
#line 668 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp33_);
#line 668 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp31_);
#line 668 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp28_);
#line 673 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp35_ = cmd;
#line 673 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp36_ = g_strconcat (_tmp35_, "status=$?; if [ $status -ne 0 ]; then exit $status; fi\n", NULL);
#line 673 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 673 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp36_;
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp37_ = cmd;
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp38_ = tar_file;
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp39_ = tee_jee_file_system_escape_single_quote (_tmp38_);
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp40_ = _tmp39_;
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp41_ = dst_file;
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp42_ = tee_jee_file_system_file_parent (_tmp41_);
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp43_ = _tmp42_;
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp44_ = tee_jee_file_system_escape_single_quote (_tmp43_);
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp45_ = _tmp44_;
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp46_ = g_strdup_printf ("tar xvf '%s' --overwrite --same-permissions -C '%s'\n", _tmp40_, _tmp45_);
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp47_ = _tmp46_;
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp48_ = g_strconcat (_tmp37_, _tmp47_, NULL);
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp48_;
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp47_);
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp45_);
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp43_);
#line 675 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp40_);
#line 679 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp49_ = cmd;
#line 679 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp50_ = tar_file;
#line 679 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp51_ = tee_jee_file_system_escape_single_quote (_tmp50_);
#line 679 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp52_ = _tmp51_;
#line 679 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp53_ = g_strdup_printf ("rm -f '%s'\n", _tmp52_);
#line 679 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp54_ = _tmp53_;
#line 679 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp55_ = g_strconcat (_tmp49_, _tmp54_, NULL);
#line 679 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 679 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp55_;
#line 679 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp54_);
#line 679 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp52_);
#line 681 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp56_ = cmd;
#line 681 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_debug (_tmp56_);
#line 684 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp57_ = cmd;
#line 684 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp60_ = tee_jee_process_helper_exec_script_sync (_tmp57_, &_tmp58_, &_tmp59_, FALSE, FALSE, TRUE, FALSE);
#line 684 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stdout);
#line 684 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		stdout = _tmp58_;
#line 684 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stderr);
#line 684 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		stderr = _tmp59_;
#line 684 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		status = _tmp60_;
#line 685 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp61_ = status;
#line 685 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp61_ == 0) {
#line 686 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			result = TRUE;
#line 686 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stderr);
#line 686 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stdout);
#line 686 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 686 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (tar_file);
#line 686 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (tar_name);
#line 686 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (src_name);
#line 686 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (src_dir);
#line 686 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 4544 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp62_ = NULL;
#line 689 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp62_ = stderr;
#line 689 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			tee_jee_logging_log_error (_tmp62_, FALSE, FALSE);
#line 690 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			result = FALSE;
#line 690 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stderr);
#line 690 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (stdout);
#line 690 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 690 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (tar_file);
#line 690 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (tar_name);
#line 690 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (src_name);
#line 690 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (src_dir);
#line 690 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 4569 "TeeJee.FileSystem.c"
		}
#line 653 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stderr);
#line 653 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (stdout);
#line 653 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 653 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (tar_file);
#line 653 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (tar_name);
#line 653 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (src_name);
#line 653 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (src_dir);
#line 4585 "TeeJee.FileSystem.c"
	} else {
		const gchar* _tmp63_ = NULL;
		const gchar* _tmp64_ = NULL;
		gchar* _tmp65_ = NULL;
		gchar* _tmp66_ = NULL;
		gchar* _tmp67_ = NULL;
		gchar* _tmp68_ = NULL;
#line 694 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp63_ = _ ("File is missing");
#line 694 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp64_ = src_file;
#line 694 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp65_ = g_strdup_printf (": %s", _tmp64_);
#line 694 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp66_ = _tmp65_;
#line 694 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp67_ = g_strconcat (_tmp63_, _tmp66_, NULL);
#line 694 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp68_ = _tmp67_;
#line 694 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp68_, FALSE, FALSE);
#line 694 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp68_);
#line 694 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp66_);
#line 4611 "TeeJee.FileSystem.c"
	}
#line 697 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = FALSE;
#line 697 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 4617 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_hash_md5 (const gchar* path) {
	gchar* result = NULL;
	GChecksum* checksum = NULL;
	GChecksum* _tmp0_ = NULL;
	FILE* stream = NULL;
	const gchar* _tmp1_ = NULL;
	FILE* _tmp2_ = NULL;
	guint8 fbuf[100] = {0};
	gsize size = 0UL;
	const gchar* digest = NULL;
	GChecksum* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
#line 702 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (path != NULL, NULL);
#line 703 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = g_checksum_new (G_CHECKSUM_MD5);
#line 703 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	checksum = _tmp0_;
#line 704 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = path;
#line 704 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = g_fopen (_tmp1_, "rb");
#line 704 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	stream = _tmp2_;
#line 708 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	while (TRUE) {
#line 4648 "TeeJee.FileSystem.c"
		FILE* _tmp3_ = NULL;
		gsize _tmp4_ = 0UL;
		gsize _tmp5_ = 0UL;
		GChecksum* _tmp6_ = NULL;
		gsize _tmp7_ = 0UL;
#line 708 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp3_ = stream;
#line 708 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = fread (fbuf, (gsize) 1, 100, _tmp3_);
#line 708 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		size = _tmp4_;
#line 708 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = size;
#line 708 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (!(_tmp5_ > ((gsize) 0))) {
#line 708 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			break;
#line 4666 "TeeJee.FileSystem.c"
		}
#line 709 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = checksum;
#line 709 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = size;
#line 709 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_checksum_update (_tmp6_, fbuf, _tmp7_);
#line 4674 "TeeJee.FileSystem.c"
	}
#line 712 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp8_ = checksum;
#line 712 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = g_checksum_get_string (_tmp8_);
#line 712 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	digest = _tmp9_;
#line 714 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp10_ = g_strdup (digest);
#line 714 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp10_;
#line 714 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_fclose0 (stream);
#line 714 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_checksum_free0 (checksum);
#line 714 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 4692 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_format_file_size (guint64 size, gboolean binary_units, const gchar* unit, gboolean show_units, gint decimals) {
	gchar* result = NULL;
	gint _tmp0_ = 0;
	gboolean _tmp1_ = FALSE;
	guint64 unit_k = 0ULL;
	guint64 _tmp2_ = 0ULL;
	gboolean _tmp3_ = FALSE;
	guint64 unit_m = 0ULL;
	guint64 _tmp6_ = 0ULL;
	gboolean _tmp7_ = FALSE;
	guint64 unit_g = 0ULL;
	guint64 _tmp10_ = 0ULL;
	gboolean _tmp11_ = FALSE;
	guint64 unit_t = 0ULL;
	guint64 _tmp14_ = 0ULL;
	gchar* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	gchar* txt = NULL;
	gchar* _tmp17_ = NULL;
	gboolean _tmp18_ = FALSE;
	guint64 _tmp19_ = 0ULL;
	guint64 _tmp20_ = 0ULL;
	const gchar* _tmp122_ = NULL;
	gchar* _tmp123_ = NULL;
	gchar* _tmp124_ = NULL;
#line 719 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (unit != NULL, NULL);
#line 723 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = binary_units;
#line 723 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp1_) {
#line 723 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = 1024;
#line 4729 "TeeJee.FileSystem.c"
	} else {
#line 723 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp0_ = 1000;
#line 4733 "TeeJee.FileSystem.c"
	}
#line 723 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	unit_k = (guint64) _tmp0_;
#line 724 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = binary_units;
#line 724 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp3_) {
#line 4741 "TeeJee.FileSystem.c"
		guint64 _tmp4_ = 0ULL;
#line 724 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = unit_k;
#line 724 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = 1024 * _tmp4_;
#line 4747 "TeeJee.FileSystem.c"
	} else {
		guint64 _tmp5_ = 0ULL;
#line 724 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = unit_k;
#line 724 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp2_ = 1000 * _tmp5_;
#line 4754 "TeeJee.FileSystem.c"
	}
#line 724 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	unit_m = _tmp2_;
#line 725 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp7_ = binary_units;
#line 725 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp7_) {
#line 4762 "TeeJee.FileSystem.c"
		guint64 _tmp8_ = 0ULL;
#line 725 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = unit_m;
#line 725 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = 1024 * _tmp8_;
#line 4768 "TeeJee.FileSystem.c"
	} else {
		guint64 _tmp9_ = 0ULL;
#line 725 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = unit_m;
#line 725 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = 1000 * _tmp9_;
#line 4775 "TeeJee.FileSystem.c"
	}
#line 725 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	unit_g = _tmp6_;
#line 726 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp11_ = binary_units;
#line 726 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp11_) {
#line 4783 "TeeJee.FileSystem.c"
		guint64 _tmp12_ = 0ULL;
#line 726 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = unit_g;
#line 726 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = 1024 * _tmp12_;
#line 4789 "TeeJee.FileSystem.c"
	} else {
		guint64 _tmp13_ = 0ULL;
#line 726 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = unit_g;
#line 726 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = 1000 * _tmp13_;
#line 4796 "TeeJee.FileSystem.c"
	}
#line 726 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	unit_t = _tmp10_;
#line 728 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp14_ = size;
#line 728 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp15_ = g_strdup_printf ("size: %'lld", _tmp14_);
#line 728 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp16_ = _tmp15_;
#line 728 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_logging_log_debug (_tmp16_);
#line 728 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp16_);
#line 730 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp17_ = g_strdup ("");
#line 730 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	txt = _tmp17_;
#line 732 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp19_ = size;
#line 732 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp20_ = unit_t;
#line 732 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp19_ > _tmp20_) {
#line 4820 "TeeJee.FileSystem.c"
		gboolean _tmp21_ = FALSE;
		const gchar* _tmp22_ = NULL;
		gint _tmp23_ = 0;
		gint _tmp24_ = 0;
#line 732 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = unit;
#line 732 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = strlen (_tmp22_);
#line 732 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp24_ = _tmp23_;
#line 732 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp24_ == 0) {
#line 732 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp21_ = TRUE;
#line 4835 "TeeJee.FileSystem.c"
		} else {
			const gchar* _tmp25_ = NULL;
#line 732 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp25_ = unit;
#line 732 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp21_ = g_strcmp0 (_tmp25_, "t") == 0;
#line 4842 "TeeJee.FileSystem.c"
		}
#line 732 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = _tmp21_;
#line 4846 "TeeJee.FileSystem.c"
	} else {
#line 732 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = FALSE;
#line 4850 "TeeJee.FileSystem.c"
	}
#line 732 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp18_) {
#line 4854 "TeeJee.FileSystem.c"
		const gchar* _tmp26_ = NULL;
		gint _tmp27_ = 0;
		gchar* _tmp28_ = NULL;
		gchar* _tmp29_ = NULL;
		guint64 _tmp30_ = 0ULL;
		guint64 _tmp31_ = 0ULL;
		gchar* _tmp32_ = NULL;
		gchar* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
		gboolean _tmp35_ = FALSE;
#line 733 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp26_ = txt;
#line 733 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp27_ = decimals;
#line 733 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp28_ = g_strdup_printf ("%%'0.%df", _tmp27_);
#line 733 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp29_ = _tmp28_;
#line 733 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp30_ = size;
#line 733 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp31_ = unit_t;
#line 733 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp32_ = g_strdup_printf (_tmp29_, _tmp30_ / (1.0 * _tmp31_));
#line 733 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp33_ = _tmp32_;
#line 733 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp34_ = g_strconcat (_tmp26_, _tmp33_, NULL);
#line 733 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (txt);
#line 733 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		txt = _tmp34_;
#line 733 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp33_);
#line 733 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp29_);
#line 734 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp35_ = show_units;
#line 734 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp35_) {
#line 4895 "TeeJee.FileSystem.c"
			const gchar* _tmp36_ = NULL;
			gboolean _tmp37_ = FALSE;
			const gchar* _tmp38_ = NULL;
			gchar* _tmp39_ = NULL;
			gchar* _tmp40_ = NULL;
			gchar* _tmp41_ = NULL;
#line 735 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp37_ = binary_units;
#line 735 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp37_) {
#line 735 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp36_ = "Ti";
#line 4908 "TeeJee.FileSystem.c"
			} else {
#line 735 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp36_ = "T";
#line 4912 "TeeJee.FileSystem.c"
			}
#line 735 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp38_ = txt;
#line 735 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp39_ = g_strdup_printf (" %sB", _tmp36_);
#line 735 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp40_ = _tmp39_;
#line 735 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp41_ = g_strconcat (_tmp38_, _tmp40_, NULL);
#line 735 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (txt);
#line 735 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			txt = _tmp41_;
#line 735 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp40_);
#line 4928 "TeeJee.FileSystem.c"
		}
	} else {
		gboolean _tmp42_ = FALSE;
		guint64 _tmp43_ = 0ULL;
		guint64 _tmp44_ = 0ULL;
#line 738 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp43_ = size;
#line 738 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp44_ = unit_g;
#line 738 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp43_ > _tmp44_) {
#line 4940 "TeeJee.FileSystem.c"
			gboolean _tmp45_ = FALSE;
			const gchar* _tmp46_ = NULL;
			gint _tmp47_ = 0;
			gint _tmp48_ = 0;
#line 738 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp46_ = unit;
#line 738 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp47_ = strlen (_tmp46_);
#line 738 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp48_ = _tmp47_;
#line 738 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp48_ == 0) {
#line 738 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp45_ = TRUE;
#line 4955 "TeeJee.FileSystem.c"
			} else {
				const gchar* _tmp49_ = NULL;
#line 738 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp49_ = unit;
#line 738 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp45_ = g_strcmp0 (_tmp49_, "g") == 0;
#line 4962 "TeeJee.FileSystem.c"
			}
#line 738 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp42_ = _tmp45_;
#line 4966 "TeeJee.FileSystem.c"
		} else {
#line 738 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp42_ = FALSE;
#line 4970 "TeeJee.FileSystem.c"
		}
#line 738 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp42_) {
#line 4974 "TeeJee.FileSystem.c"
			const gchar* _tmp50_ = NULL;
			gint _tmp51_ = 0;
			gchar* _tmp52_ = NULL;
			gchar* _tmp53_ = NULL;
			guint64 _tmp54_ = 0ULL;
			guint64 _tmp55_ = 0ULL;
			gchar* _tmp56_ = NULL;
			gchar* _tmp57_ = NULL;
			gchar* _tmp58_ = NULL;
			gboolean _tmp59_ = FALSE;
#line 739 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp50_ = txt;
#line 739 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp51_ = decimals;
#line 739 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp52_ = g_strdup_printf ("%%'0.%df", _tmp51_);
#line 739 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp53_ = _tmp52_;
#line 739 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp54_ = size;
#line 739 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp55_ = unit_g;
#line 739 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp56_ = g_strdup_printf (_tmp53_, _tmp54_ / (1.0 * _tmp55_));
#line 739 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp57_ = _tmp56_;
#line 739 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp58_ = g_strconcat (_tmp50_, _tmp57_, NULL);
#line 739 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (txt);
#line 739 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			txt = _tmp58_;
#line 739 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp57_);
#line 739 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (_tmp53_);
#line 740 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp59_ = show_units;
#line 740 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp59_) {
#line 5015 "TeeJee.FileSystem.c"
				const gchar* _tmp60_ = NULL;
				gboolean _tmp61_ = FALSE;
				const gchar* _tmp62_ = NULL;
				gchar* _tmp63_ = NULL;
				gchar* _tmp64_ = NULL;
				gchar* _tmp65_ = NULL;
#line 741 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp61_ = binary_units;
#line 741 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				if (_tmp61_) {
#line 741 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp60_ = "Gi";
#line 5028 "TeeJee.FileSystem.c"
				} else {
#line 741 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp60_ = "G";
#line 5032 "TeeJee.FileSystem.c"
				}
#line 741 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp62_ = txt;
#line 741 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp63_ = g_strdup_printf (" %sB", _tmp60_);
#line 741 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp64_ = _tmp63_;
#line 741 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp65_ = g_strconcat (_tmp62_, _tmp64_, NULL);
#line 741 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (txt);
#line 741 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				txt = _tmp65_;
#line 741 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (_tmp64_);
#line 5048 "TeeJee.FileSystem.c"
			}
		} else {
			gboolean _tmp66_ = FALSE;
			guint64 _tmp67_ = 0ULL;
			guint64 _tmp68_ = 0ULL;
#line 744 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp67_ = size;
#line 744 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_tmp68_ = unit_m;
#line 744 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp67_ > _tmp68_) {
#line 5060 "TeeJee.FileSystem.c"
				gboolean _tmp69_ = FALSE;
				const gchar* _tmp70_ = NULL;
				gint _tmp71_ = 0;
				gint _tmp72_ = 0;
#line 744 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp70_ = unit;
#line 744 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp71_ = strlen (_tmp70_);
#line 744 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp72_ = _tmp71_;
#line 744 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				if (_tmp72_ == 0) {
#line 744 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp69_ = TRUE;
#line 5075 "TeeJee.FileSystem.c"
				} else {
					const gchar* _tmp73_ = NULL;
#line 744 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp73_ = unit;
#line 744 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp69_ = g_strcmp0 (_tmp73_, "m") == 0;
#line 5082 "TeeJee.FileSystem.c"
				}
#line 744 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp66_ = _tmp69_;
#line 5086 "TeeJee.FileSystem.c"
			} else {
#line 744 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp66_ = FALSE;
#line 5090 "TeeJee.FileSystem.c"
			}
#line 744 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			if (_tmp66_) {
#line 5094 "TeeJee.FileSystem.c"
				const gchar* _tmp74_ = NULL;
				gint _tmp75_ = 0;
				gchar* _tmp76_ = NULL;
				gchar* _tmp77_ = NULL;
				guint64 _tmp78_ = 0ULL;
				guint64 _tmp79_ = 0ULL;
				gchar* _tmp80_ = NULL;
				gchar* _tmp81_ = NULL;
				gchar* _tmp82_ = NULL;
				gboolean _tmp83_ = FALSE;
#line 745 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp74_ = txt;
#line 745 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp75_ = decimals;
#line 745 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp76_ = g_strdup_printf ("%%'0.%df", _tmp75_);
#line 745 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp77_ = _tmp76_;
#line 745 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp78_ = size;
#line 745 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp79_ = unit_m;
#line 745 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp80_ = g_strdup_printf (_tmp77_, _tmp78_ / (1.0 * _tmp79_));
#line 745 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp81_ = _tmp80_;
#line 745 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp82_ = g_strconcat (_tmp74_, _tmp81_, NULL);
#line 745 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (txt);
#line 745 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				txt = _tmp82_;
#line 745 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (_tmp81_);
#line 745 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_g_free0 (_tmp77_);
#line 746 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp83_ = show_units;
#line 746 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				if (_tmp83_) {
#line 5135 "TeeJee.FileSystem.c"
					const gchar* _tmp84_ = NULL;
					gboolean _tmp85_ = FALSE;
					const gchar* _tmp86_ = NULL;
					gchar* _tmp87_ = NULL;
					gchar* _tmp88_ = NULL;
					gchar* _tmp89_ = NULL;
#line 747 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp85_ = binary_units;
#line 747 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					if (_tmp85_) {
#line 747 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						_tmp84_ = "Mi";
#line 5148 "TeeJee.FileSystem.c"
					} else {
#line 747 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						_tmp84_ = "M";
#line 5152 "TeeJee.FileSystem.c"
					}
#line 747 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp86_ = txt;
#line 747 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp87_ = g_strdup_printf (" %sB", _tmp84_);
#line 747 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp88_ = _tmp87_;
#line 747 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp89_ = g_strconcat (_tmp86_, _tmp88_, NULL);
#line 747 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (txt);
#line 747 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					txt = _tmp89_;
#line 747 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp88_);
#line 5168 "TeeJee.FileSystem.c"
				}
			} else {
				gboolean _tmp90_ = FALSE;
				guint64 _tmp91_ = 0ULL;
				guint64 _tmp92_ = 0ULL;
#line 750 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp91_ = size;
#line 750 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				_tmp92_ = unit_k;
#line 750 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				if (_tmp91_ > _tmp92_) {
#line 5180 "TeeJee.FileSystem.c"
					gboolean _tmp93_ = FALSE;
					const gchar* _tmp94_ = NULL;
					gint _tmp95_ = 0;
					gint _tmp96_ = 0;
#line 750 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp94_ = unit;
#line 750 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp95_ = strlen (_tmp94_);
#line 750 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp96_ = _tmp95_;
#line 750 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					if (_tmp96_ == 0) {
#line 750 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						_tmp93_ = TRUE;
#line 5195 "TeeJee.FileSystem.c"
					} else {
						const gchar* _tmp97_ = NULL;
#line 750 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						_tmp97_ = unit;
#line 750 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						_tmp93_ = g_strcmp0 (_tmp97_, "k") == 0;
#line 5202 "TeeJee.FileSystem.c"
					}
#line 750 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp90_ = _tmp93_;
#line 5206 "TeeJee.FileSystem.c"
				} else {
#line 750 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp90_ = FALSE;
#line 5210 "TeeJee.FileSystem.c"
				}
#line 750 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
				if (_tmp90_) {
#line 5214 "TeeJee.FileSystem.c"
					const gchar* _tmp98_ = NULL;
					gint _tmp99_ = 0;
					gchar* _tmp100_ = NULL;
					gchar* _tmp101_ = NULL;
					guint64 _tmp102_ = 0ULL;
					guint64 _tmp103_ = 0ULL;
					gchar* _tmp104_ = NULL;
					gchar* _tmp105_ = NULL;
					gchar* _tmp106_ = NULL;
					gboolean _tmp107_ = FALSE;
#line 751 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp98_ = txt;
#line 751 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp99_ = decimals;
#line 751 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp100_ = g_strdup_printf ("%%'0.%df", _tmp99_);
#line 751 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp101_ = _tmp100_;
#line 751 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp102_ = size;
#line 751 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp103_ = unit_k;
#line 751 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp104_ = g_strdup_printf (_tmp101_, _tmp102_ / (1.0 * _tmp103_));
#line 751 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp105_ = _tmp104_;
#line 751 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp106_ = g_strconcat (_tmp98_, _tmp105_, NULL);
#line 751 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (txt);
#line 751 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					txt = _tmp106_;
#line 751 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp105_);
#line 751 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp101_);
#line 752 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp107_ = show_units;
#line 752 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					if (_tmp107_) {
#line 5255 "TeeJee.FileSystem.c"
						const gchar* _tmp108_ = NULL;
						gboolean _tmp109_ = FALSE;
						const gchar* _tmp110_ = NULL;
						gchar* _tmp111_ = NULL;
						gchar* _tmp112_ = NULL;
						gchar* _tmp113_ = NULL;
#line 753 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						_tmp109_ = binary_units;
#line 753 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						if (_tmp109_) {
#line 753 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
							_tmp108_ = "Ki";
#line 5268 "TeeJee.FileSystem.c"
						} else {
#line 753 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
							_tmp108_ = "K";
#line 5272 "TeeJee.FileSystem.c"
						}
#line 753 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						_tmp110_ = txt;
#line 753 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						_tmp111_ = g_strdup_printf (" %sB", _tmp108_);
#line 753 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						_tmp112_ = _tmp111_;
#line 753 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						_tmp113_ = g_strconcat (_tmp110_, _tmp112_, NULL);
#line 753 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						_g_free0 (txt);
#line 753 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						txt = _tmp113_;
#line 753 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						_g_free0 (_tmp112_);
#line 5288 "TeeJee.FileSystem.c"
					}
				} else {
					const gchar* _tmp114_ = NULL;
					guint64 _tmp115_ = 0ULL;
					gchar* _tmp116_ = NULL;
					gchar* _tmp117_ = NULL;
					gchar* _tmp118_ = NULL;
					gboolean _tmp119_ = FALSE;
#line 757 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp114_ = txt;
#line 757 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp115_ = size;
#line 757 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp116_ = g_strdup_printf ("%'0lld", _tmp115_);
#line 757 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp117_ = _tmp116_;
#line 757 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp118_ = g_strconcat (_tmp114_, _tmp117_, NULL);
#line 757 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (txt);
#line 757 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					txt = _tmp118_;
#line 757 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_g_free0 (_tmp117_);
#line 758 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					_tmp119_ = show_units;
#line 758 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
					if (_tmp119_) {
#line 5317 "TeeJee.FileSystem.c"
						const gchar* _tmp120_ = NULL;
						gchar* _tmp121_ = NULL;
#line 759 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						_tmp120_ = txt;
#line 759 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						_tmp121_ = g_strconcat (_tmp120_, " B", NULL);
#line 759 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						_g_free0 (txt);
#line 759 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
						txt = _tmp121_;
#line 5328 "TeeJee.FileSystem.c"
					}
				}
			}
		}
	}
#line 763 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp122_ = txt;
#line 763 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp123_ = g_strdup_printf ("converted: %s", _tmp122_);
#line 763 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp124_ = _tmp123_;
#line 763 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	tee_jee_logging_log_debug (_tmp124_);
#line 763 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp124_);
#line 765 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = txt;
#line 765 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 5348 "TeeJee.FileSystem.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 5361 "TeeJee.FileSystem.c"
	{
		GRegex* regex = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 5392 "TeeJee.FileSystem.c"
				goto __catch74_g_regex_error;
			}
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 5401 "TeeJee.FileSystem.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6_ = regex;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp7_ = replacement;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = g_regex_replace_literal (_tmp6_, self, (gssize) -1, 0, _tmp7_, 0, &_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = _tmp8_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 5417 "TeeJee.FileSystem.c"
				goto __catch74_g_regex_error;
			}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 5428 "TeeJee.FileSystem.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp9_ = _tmp5_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = NULL;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = _tmp9_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp5_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 5442 "TeeJee.FileSystem.c"
	}
	goto __finally74;
	__catch74_g_regex_error:
	{
		GError* e = NULL;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 5456 "TeeJee.FileSystem.c"
	}
	__finally74:
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return NULL;
#line 5467 "TeeJee.FileSystem.c"
	}
}


gchar* tee_jee_file_system_escape_single_quote (const gchar* file_path) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 768 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file_path != NULL, NULL);
#line 769 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = file_path;
#line 769 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = string_replace (_tmp0_, "'", "'\\''");
#line 769 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp1_;
#line 769 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 5486 "TeeJee.FileSystem.c"
}


gint tee_jee_file_system_chmod (const gchar* file, const gchar* permission) {
	gint result = 0;
	gchar* cmd = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gint _tmp6_ = 0;
#line 774 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (file != NULL, 0);
#line 774 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (permission != NULL, 0);
#line 777 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = permission;
#line 777 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = file;
#line 777 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = tee_jee_file_system_escape_single_quote (_tmp1_);
#line 777 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = _tmp2_;
#line 777 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = g_strdup_printf ("chmod %s '%s'", _tmp0_, _tmp3_);
#line 777 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp5_ = _tmp4_;
#line 777 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp3_);
#line 777 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp5_;
#line 778 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp6_ = tee_jee_process_helper_exec_sync (cmd, NULL, NULL);
#line 778 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp6_;
#line 778 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 778 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 5528 "TeeJee.FileSystem.c"
}


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 1207 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _result_;
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 5551 "TeeJee.FileSystem.c"
}


gchar* tee_jee_file_system_resolve_relative_path (const gchar* filePath) {
	gchar* result = NULL;
	gchar* filePath2 = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	GError * _inner_error_ = NULL;
#line 782 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (filePath != NULL, NULL);
#line 786 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = filePath;
#line 786 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 786 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	filePath2 = _tmp1_;
#line 787 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = filePath2;
#line 787 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = g_str_has_prefix (_tmp2_, "~");
#line 787 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp3_) {
#line 5577 "TeeJee.FileSystem.c"
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		gint _tmp9_ = 0;
		gint _tmp10_ = 0;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
#line 788 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp4_ = g_get_home_dir ();
#line 788 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = g_strconcat (_tmp4_, "/", NULL);
#line 788 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp6_ = _tmp5_;
#line 788 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp7_ = filePath2;
#line 788 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp8_ = filePath2;
#line 788 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp9_ = strlen (_tmp8_);
#line 788 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp10_ = _tmp9_;
#line 788 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp11_ = string_slice (_tmp7_, (glong) 2, (glong) _tmp10_);
#line 788 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp12_ = _tmp11_;
#line 788 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp13_ = g_strconcat (_tmp6_, _tmp12_, NULL);
#line 788 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (filePath2);
#line 788 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		filePath2 = _tmp13_;
#line 788 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp12_);
#line 788 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp6_);
#line 5616 "TeeJee.FileSystem.c"
	}
	{
		gchar* output = NULL;
		gchar* _tmp14_ = NULL;
		gchar* cmd = NULL;
		const gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		const gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		const gchar* _tmp22_ = NULL;
		gchar* _tmp23_ = NULL;
		const gchar* _tmp24_ = NULL;
		gboolean _tmp25_ = FALSE;
#line 792 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp14_ = g_strdup ("");
#line 792 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		output = _tmp14_;
#line 793 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp15_ = filePath2;
#line 793 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp16_ = tee_jee_file_system_escape_single_quote (_tmp15_);
#line 793 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp17_ = _tmp16_;
#line 793 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp18_ = g_strdup_printf ("realpath '%s'", _tmp17_);
#line 793 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp19_ = _tmp18_;
#line 793 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (_tmp17_);
#line 793 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		cmd = _tmp19_;
#line 794 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp20_ = cmd;
#line 794 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_spawn_command_line_sync (_tmp20_, &_tmp21_, NULL, NULL, &_inner_error_);
#line 794 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (output);
#line 794 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		output = _tmp21_;
#line 794 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 794 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 794 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (output);
#line 5665 "TeeJee.FileSystem.c"
			goto __catch75_g_error;
		}
#line 795 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp22_ = output;
#line 795 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp23_ = string_strip (_tmp22_);
#line 795 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (output);
#line 795 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		output = _tmp23_;
#line 796 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp24_ = output;
#line 796 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp25_ = g_file_test (_tmp24_, G_FILE_TEST_EXISTS);
#line 796 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		if (_tmp25_) {
#line 797 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			result = output;
#line 797 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (cmd);
#line 797 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			_g_free0 (filePath2);
#line 797 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
			return result;
#line 5690 "TeeJee.FileSystem.c"
		}
#line 791 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (cmd);
#line 791 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (output);
#line 5696 "TeeJee.FileSystem.c"
	}
	goto __finally75;
	__catch75_g_error:
	{
		GError* e = NULL;
		GError* _tmp26_ = NULL;
		const gchar* _tmp27_ = NULL;
#line 791 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		e = _inner_error_;
#line 791 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_inner_error_ = NULL;
#line 801 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp26_ = e;
#line 801 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp27_ = _tmp26_->message;
#line 801 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		tee_jee_logging_log_error (_tmp27_, FALSE, FALSE);
#line 791 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_error_free0 (e);
#line 5716 "TeeJee.FileSystem.c"
	}
	__finally75:
#line 791 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 791 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_g_free0 (filePath2);
#line 791 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 791 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		g_clear_error (&_inner_error_);
#line 791 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		return NULL;
#line 5729 "TeeJee.FileSystem.c"
	}
#line 804 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = filePath2;
#line 804 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 5735 "TeeJee.FileSystem.c"
}


gint tee_jee_file_system_rsync (const gchar* sourceDirectory, const gchar* destDirectory, gboolean updateExisting, gboolean deleteExtra) {
	gint result = 0;
	gchar* cmd = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	const gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	gchar* _tmp17_ = NULL;
	const gchar* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	gchar* _tmp21_ = NULL;
	gchar* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	gchar* _tmp24_ = NULL;
	const gchar* _tmp25_ = NULL;
	gint _tmp26_ = 0;
#line 807 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (sourceDirectory != NULL, 0);
#line 807 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	g_return_val_if_fail (destDirectory != NULL, 0);
#line 811 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp0_ = g_strdup ("rsync -avh");
#line 811 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp0_;
#line 812 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp2_ = updateExisting;
#line 812 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp2_) {
#line 812 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = "";
#line 5783 "TeeJee.FileSystem.c"
	} else {
#line 812 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp1_ = " --ignore-existing";
#line 5787 "TeeJee.FileSystem.c"
	}
#line 812 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp3_ = cmd;
#line 812 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp4_ = g_strconcat (_tmp3_, _tmp1_, NULL);
#line 812 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 812 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp4_;
#line 813 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp6_ = deleteExtra;
#line 813 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	if (_tmp6_) {
#line 813 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = " --delete";
#line 5803 "TeeJee.FileSystem.c"
	} else {
#line 813 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
		_tmp5_ = "";
#line 5807 "TeeJee.FileSystem.c"
	}
#line 813 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp7_ = cmd;
#line 813 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp8_ = g_strconcat (_tmp7_, _tmp5_, NULL);
#line 813 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 813 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp8_;
#line 814 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp9_ = cmd;
#line 814 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp10_ = sourceDirectory;
#line 814 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp11_ = tee_jee_file_system_escape_single_quote (_tmp10_);
#line 814 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp12_ = _tmp11_;
#line 814 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp13_ = g_strconcat (_tmp12_, "//", NULL);
#line 814 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp14_ = _tmp13_;
#line 814 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp15_ = g_strdup_printf (" '%s'", _tmp14_);
#line 814 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp16_ = _tmp15_;
#line 814 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp17_ = g_strconcat (_tmp9_, _tmp16_, NULL);
#line 814 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 814 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp17_;
#line 814 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp16_);
#line 814 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp14_);
#line 814 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp12_);
#line 815 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp18_ = cmd;
#line 815 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp19_ = destDirectory;
#line 815 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp20_ = tee_jee_file_system_escape_single_quote (_tmp19_);
#line 815 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp21_ = _tmp20_;
#line 815 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp22_ = g_strdup_printf (" '%s'", _tmp21_);
#line 815 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp23_ = _tmp22_;
#line 815 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp24_ = g_strconcat (_tmp18_, _tmp23_, NULL);
#line 815 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 815 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	cmd = _tmp24_;
#line 815 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp23_);
#line 815 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (_tmp21_);
#line 816 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp25_ = cmd;
#line 816 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_tmp26_ = tee_jee_process_helper_exec_sync (_tmp25_, NULL, NULL);
#line 816 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	result = _tmp26_;
#line 816 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	_g_free0 (cmd);
#line 816 "/builddir/build/BUILD/timeshift-18.1.1/src/Utility/TeeJee.FileSystem.vala"
	return result;
#line 5877 "TeeJee.FileSystem.c"
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



